2012-05-21  Gavin Barraclough  <barraclough@apple.com>

        Disable private names by default in WebCore
        https://bugs.webkit.org/show_bug.cgi?id=87088

        Reviewed by Geoff Garen.

        r117859 introduced a preliminary implementation of ES6-like private name objects to JSC.
        These are probably not yet ready to be web-facing, so disabling by default in WebCore.
        Opting-in for JSC & DumpRenderTree so that we can still run the fast/js/names.html test.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):
            - Enable private name support in DRT.
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):
            - Enable private name support in WKTR.

2012-05-22  Martin Robinson  <mrobinson@igalia.com>

        Fix a small syntax error in the GTK+ API test runner.

        Reviewed by Gustavo Noronha Silva.

        * gtk/run-api-tests:
        (TestRunner._setup_testing_environment): When reporting the error use
        the correct Python format string syntax.

2012-05-22  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [GTK][DRT] Wrong cache model is taken in LayoutTestController's setCacheModel()
        https://bugs.webkit.org/show_bug.cgi?id=86962

        Reviewed by Gustavo Noronha Silva.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setCacheModel): Sets WEBKIT_CACHE_MODEL_WEB_BROWSER if argument is 2.

2012-05-22  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL][DRT] Key modifier bit flags have enum type.
        https://bugs.webkit.org/show_bug.cgi?id=86838

        Reviewed by Antonio Gomes.

        Refactoring. Key modifier flags are unsigned int.
        Key modifier bit flags used have enum type. It caused problems as a key can have several modifiers 
        at the same time and the union of modifiers (i.e. EvasKeyModifierControl | EvasKeyModifierShift) 
        would have been out of EvasKeyModifier enum.

        * DumpRenderTree/efl/EventSender.cpp:
        (KeyEventInfo::KeyEventInfo):
        (KeyEventInfo):
        (MouseEventInfo::MouseEventInfo):
        (MouseEventInfo):
        (setEvasModifiers):
        (modifiersFromJSValue):
        (mouseDownCallback):
        (mouseUpCallback):
        (keyPadNameFromJSValue):
        (keyNameFromJSValue):
        (createKeyEventInfo):
        (sendKeyDown):

2012-05-22  Takashi Sakamoto  <tasak@google.com>

        Implement DOM_KEY_LOCATION_LEFT and RIGHT of KeyboardEvent's location property
        https://bugs.webkit.org/show_bug.cgi?id=86694

        Modify keyDown to create left- and right- control, shift, and alt
        keyevent for a test to check that keyLocation property can have
        DOM_KEY_LOCATION_LEFT for left-control, shift, and alt, and
        DOM_KEY_LOCATION_RIGHT for right-control, shift, and alt.

        Reviewed by Alexey Proskuryakov.

        * DumpRenderTree/chromium/EventSender.cpp:
        (EventSender::keyDown):
        * DumpRenderTree/mac/EventSendingController.mm:
        (-[EventSendingController keyDown:withModifiers:withLocation:]):

2012-05-22  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] EFL's DRT needs to print information about received Web Intents
        https://bugs.webkit.org/show_bug.cgi?id=86864

        Reviewed by Adam Barth.

        Catch "intent,new" signal in EFL's DumpRenderTree and dump information
        about the intent. This output is expected by several webintents test
        cases.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::onFrameCreated):
        (DumpRenderTreeChrome::onFrameIntentNew):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2012-05-22  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] Add support to enable/disable DOM paste 
        https://bugs.webkit.org/show_bug.cgi?id=85040

        Reviewed by Gustavo Noronha Silva.

        Enable JavascriptCanAccessClipboard setting on each test startup so
        that test cases which rely on clipboard can be unskipped.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):

2012-05-22  Hugo Parente Lima  <hugo.lima@openbossa.org>

        [Qt][WK2] EventSenderProxy::keyDown doesn't use the helper functions to send events
        https://bugs.webkit.org/show_bug.cgi?id=87044

        Reviewed by Alexis Menard.

        Use sendOrQueueEvent instead of m_testController->mainWebView()->sendEvent

        * WebKitTestRunner/qt/EventSenderProxyQt.cpp:
        (WTR::EventSenderProxy::keyDown):

2012-05-22  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk][LayoutTests] Repaint the complete WebKitWebView before dumping pixel results
        https://bugs.webkit.org/show_bug.cgi?id=86284

        Reviewed by Martin Robinson.

        Paint the current dirty regions of the web view once more before
        dumping pixel results.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dump):

2012-05-22  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        GCC 4.7 and C++11 support.
        https://bugs.webkit.org/show_bug.cgi?id=86465

        Reviewed by Darin Adler.

        Update detection of C++11 mode in GCC.

        * qmake/mkspecs/features/unix/default_post.prf:

2012-05-22  Hao Zheng  <zhenghao@chromium.org>

        [chromium] WebViewHost should use ENABLE guards for some features.
        https://bugs.webkit.org/show_bug.cgi?id=87087

        Reviewed by Kent Tamura.

        These features are disabled on OS(ANDROID) and so shouldn't be
        compiled when the feature is off.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::reset):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2012-05-21  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] EFL's DumpRenderTree does not print didReceiveTitle messages
        https://bugs.webkit.org/show_bug.cgi?id=85971

        Reviewed by Antonio Gomes.

        Listen for the "title,changed" signal on the frames instead of the
        view so that we get notified for other frame than the main one.
        Print out the didReceiveTitle messages which are expected if
        LayoutTestController's dumpFrameLoadCallbacks() returns true.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::onFrameTitleChanged):
        (DumpRenderTreeChrome::onFrameCreated):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2012-05-21  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL] Unreviewed, reverting r116461.

        r116461 caused a regression in the pixel tests, as scrollbars
        stopped being rendered in the PNGs.

        * DumpRenderTree/efl/PixelDumpSupportEfl.cpp:
        (createBitmapContextFromWebView):

2012-05-21  Brady Eidson  <beidson@apple.com>

        <rdar://problem/11460336> and https://bugs.webkit.org/show_bug.cgi?id=87061
        WKPageGetScaleFactor can return 0.0 after a session is restored

        Reviewed by Beth Dakin.

        Loads a simple page, creates a session from it, restores that session, then
        queries the page scale factor for the appropriate value of 1.0.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/WebKit2/WKPageGetScaleFactorNotZero.cpp: Added.
        (TestWebKitAPI):
        (TestWebKitAPI::didFinishLoadForFrame):
        (TestWebKitAPI::setPageLoaderClient):
        (TestWebKitAPI::createSessionState):
        (TestWebKitAPI::TEST):

2012-05-21  Hugo Parente Lima  <hugo.lima@openbossa.org>

        [WK2] Remove a useless #if on Tools/WebKitTestRunner/TestController.cpp
        https://bugs.webkit.org/show_bug.cgi?id=87047

        Reviewed by Alexis Menard.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::didReceiveSynchronousMessageFromInjectedBundle):

2012-05-21  Dirk Pranke  <dpranke@chromium.org>

        webkitpy: clean up the TestExpectations constructor
        https://bugs.webkit.org/show_bug.cgi?id=86926

        Reviewed by Ojan Vafai.

        The TestExpectations constructor was attempting to pretend
        it didn't need to get stuff from the Port, and as a result we
        had a complicated constructor with a bunch of arguments, and
        calling it was too complicated (although it made testing a
        little easier and simplified the style checker).

        This patch has the constructor pull all the data it needs from
        the port directly, and allows us to delete a bunch of code.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.parse_expectations):
        * Scripts/webkitpy/layout_tests/controllers/manager_unittest.py:
        (ManagerTest.test_update_summary_with_result):
        (ResultSummaryTest.get_result_summary):
        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectations.__init__):
        * Scripts/webkitpy/layout_tests/models/test_expectations_unittest.py:
        (parse_exp):
        (SkippedTests.check):
        (RemoveConfigurationsTest.test_remove):
        (test_remove_line):
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (lint):
        (run):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (LintTest.test_all_configurations.FakePort.__init__):
        (LintTest.test_all_configurations.FakePort.test_expectations):
        (LintTest.test_all_configurations.FakePort.skipped_layout_tests):
        (LintTest.test_all_configurations.FakePort):
        (LintTest.test_all_configurations.FakePort.all_test_configurations):
        (LintTest.test_all_configurations.FakePort.configuration_specifier_macros):
        (LintTest.test_all_configurations.FakePort.path_from_webkit_base):
        (LintTest.test_all_configurations.FakePort.get_option):
        (LintTest.test_all_configurations.FakeFactory.__init__):
        (LintTest.test_all_configurations.FakeFactory.all_port_names):
        (LintTest.test_all_configurations):
        * Scripts/webkitpy/layout_tests/views/printing_unittest.py:
        (Testprinter.get_result_summary):
        * Scripts/webkitpy/style/checkers/test_expectations.py:
        (TestExpectationsChecker.check_test_expectations):
        * Scripts/webkitpy/tool/commands/queries.py:
        (PrintExpectations._model):
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (RebaselineTest._update_expectations_file):
        (RebaselineExpectations._expectations):

2012-05-21  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [GTK] DRT support for layoutTestController.setSerializeHTTPLoads
        https://bugs.webkit.org/show_bug.cgi?id=86653

        Reviewed by Gustavo Noronha Silva.

        Add missing implementation setSerializeHTTPLoads to allow
        testing resource load order.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setSerializeHTTPLoads):

2012-05-21  Elliot Poger  <epoger@chromium.org>

        add skia_test_expectations override file to chromium NRWT
        https://bugs.webkit.org/show_bug.cgi?id=86749

        Reviewed by Dirk Pranke

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.test_expectations_overrides):
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.test_expectations_overrides):
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        (ChromiumPortTest.test_overrides_and_builder_names):

2012-05-21  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        webkitdirs.pm: Fix undefined CXXFLAGS variable
        https://bugs.webkit.org/show_bug.cgi?id=87000

        Reviewed by Martin Robinson.

        Fixes a warning on Autotools and CMake buildsystem when
        CXXFLAGS is not defined.

        * Scripts/webkitdirs.pm:
        (runAutogenForAutotoolsProjectIfNecessary):
        (generateBuildSystemFromCMakeProject):

2012-05-21  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        Move setEditingBehavior() from layoutTestController to window.internals
        https://bugs.webkit.org/show_bug.cgi?id=42689

        Reviewed by Hajime Morita and Kenneth Rohde Christiansen.

        Remove code that implements setEditingBehavior() for each platform. Note that
        During the InternalsObject reset the behavior is changed back to the platform
        default.

        Qt and Chromium ports set a default editing behavior for running tests different
        from the platform default, so they still keep code for resetting to the desired
        editing behavior. Other ports use the their defaults, that are restored by
        internals object.

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::DumpRenderTree::resetToConsistentStateBeforeTesting):
        * DumpRenderTree/blackberry/LayoutTestControllerBlackBerry.cpp:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        * DumpRenderTree/chromium/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::resetToConsistentStateBeforeTesting):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        (LayoutTestController):
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:

2012-05-21  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL] PlatformKeyboardEventEfl is missing ESC key handling.
        https://bugs.webkit.org/show_bug.cgi?id=86837

        Reviewed by Kenneth Rohde Christiansen.

        * DumpRenderTree/efl/EventSender.cpp:
        (keyNameFromJSValue): Added ESC key handling.

2012-05-20  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Add GCancellable parameter to all methods using gio async pattern
        https://bugs.webkit.org/show_bug.cgi?id=86843

        Reviewed by Gustavo Noronha Silva.

        * MiniBrowser/gtk/BrowserWindow.c:
        (browser_window_load_uri):

2012-05-20  Daniel Bates  <dbates@webkit.org>

        svn-apply cannot apply patches to files that contain space
        characters in their path
        https://bugs.webkit.org/show_bug.cgi?id=85742

        Reviewed by Eric Seidel.

        Fixes an issue where svn-apply cannot apply a patch to a file
        if there is a space in its file path.

        The regular expression we were using to fix up +++/--- lines
        was too strict; it only matched file paths that contained non-
        whitespace characters. Instead, it's sufficient to match file
        paths whose characters aren't in the set {\t, \n, \r}.

        * Scripts/VCSUtils.pm:
        (parseSvnDiffHeader):
        (runCommand): Added.
        * Scripts/svn-apply:
        (scmWillDeleteFile): Modified to call runCommand() so as to
        handle querying git for a file whose path may contain a space
        character.
        * Scripts/webkitperl/VCSUtils_unittest/parseSvnDiffHeader.pl:
          - Added test case "new file with spaces in its name".
        * Scripts/webkitperl/VCSUtils_unittest/runCommand.pl: Added.

2012-05-20  Daniel Bates  <dbates@webkit.org>

        svn-apply fails to apply a patch that moves files from directory A to A/B
        https://bugs.webkit.org/show_bug.cgi?id=86973

        Reviewed by Eric Seidel.

        Fixes an issue where svn-apply fails to apply a patch that moves files in a
        directory A to some sub-directory B in A with a Git checkout of WebKit.

        Currently, svn-apply only creates new directories along a file system path that
        it hasn't already processed. That is, if svn-apply creates/traverses all the
        intermediate directories along the path A/B then it will assume the directory A/B
        exists for all subsequent requests to create sub-directories in A/B (e.g. A/B/C).
        When moving a file F in directory A to directory A/B using a Git checkout, Git
        may remove directory A if F is the last file in A. Therefore, svn-apply will fail
        to create sub-directory B in A (since A no longer exists).

        * Scripts/svn-apply:
        (addDirectoriesIfNeeded):

2012-05-20  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [Chromium] Print layout test result on buildbot
        https://bugs.webkit.org/show_bug.cgi?id=86965

        Reviewed by Eric Seidel.

        * Scripts/run-webkit-tests: Add chrome-bot to buildbot user list.
        (runningOnBuildBot):

2012-05-19  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Don't stop the build if a build system update check fails.
        
        * waf/build/build_utils.py:
        (download_if_newer):

2012-05-19  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix. Sometimes --suffixes isn't supplied.

        * Scripts/webkitpy/tool/servers/gardeningserver.py:
        (GardeningHTTPRequestHandler.rebaseline):
        (GardeningHTTPRequestHandler.optimizebaselines):

2012-05-19  Ryosuke Niwa  <rniwa@webkit.org>

        Add "Lion" -> "mac-lion" to the builder port map.

        * Scripts/webkitpy/layout_tests/port/builders.py:

2012-05-19  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r117675.
        http://trac.webkit.org/changeset/117675
        https://bugs.webkit.org/show_bug.cgi?id=86938

        Broke builds. You can't initialize members by members
        themselves (Requested by rniwa on #webkit).

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::numberOfPages):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::printPage):

2012-05-18  Kausalya Madhusudhanan  <kmadhusu@chromium.org>

        [chromium] User overloaded printBegin() webkit API to support auto fit to page functionality.
        https://bugs.webkit.org/show_bug.cgi?id=86684

        Reviewed by Darin Fisher.

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::numberOfPages):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::printPage):

2012-05-18  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL][DRT] Make it possible to enable CSS Grid Layout.
        https://bugs.webkit.org/show_bug.cgi?id=86921

        Reviewed by Tony Chang.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::overridePreference):

2012-05-18  Dirk Pranke  <dpranke@chromium.org>

        scm.add() doesn't work properly with svn 1.7
        https://bugs.webkit.org/show_bug.cgi?id=86779

        Reviewed by Eric Seidel.

        Re-land the change in r117526 with a fix to maintain
        compatibility with SVN 1.4.4 (yay Leopard!); turns out
        that "svn info foo" works correctly in 1.4.4 but
        "svn info" from the directory "foo" doesn't if foo is
        not part of a checkout. in_working_directory() and
        value_from_svn_info() were using the arguments inconsistently,
        leading to weird errors.

        * Scripts/webkitpy/common/checkout/scm/scm.py:
        (SCM):
        (SCM.in_working_directory):
        * Scripts/webkitpy/common/checkout/scm/svn.py:
        (SVN):
        (SVN.in_working_directory):

2012-05-18  Levi Weintraub  <leviw@chromium.org>

        Unreviewed. Moving myself from committer to reviewer.

        * Scripts/webkitpy/common/config/committers.py:

2012-05-18  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Buildbot output does not print result stats anymore
        https://bugs.webkit.org/show_bug.cgi?id=85366

        Reviewed by Ryosuke Niwa.

        Make run-webkit-tests pass --verbose to new-run-webkit-tests
        on EFL Debug bot.

        * Scripts/run-webkit-tests:
        (runningOnBuildBot):

2012-05-18  Tony Chang  <tony@chromium.org>

        remove the CSS_GRID_LAYOUT compiler define, but default grid layout to off
        https://bugs.webkit.org/show_bug.cgi?id=86767

        Reviewed by Ojan Vafai.

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::overridePreference):
        * DumpRenderTree/chromium/WebPreferences.cpp:
        (WebPreferences::reset):
        (WebPreferences::applyTo):
        * DumpRenderTree/chromium/WebPreferences.h:
        (WebPreferences):
        * Scripts/webkitperl/FeatureList.pm:

2012-05-18  Hugo Parente Lima  <hugo.lima@openbossa.org>

        [Qt][WK2] fast/events/page-visibility-iframe-move-test.html fails
        https://bugs.webkit.org/show_bug.cgi?id=86731

        Reviewed by Simon Hausmann.

        Set the page visibility on a single page instead of on all pages
        from the page group.

        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::setPageVisibility):
        (WTR::LayoutTestController::resetPageVisibility):

2012-05-18  Yi Shen  <yi.4.shen@nokia.com>

        REGRESSION (r102553): Smart links do not work
        https://bugs.webkit.org/show_bug.cgi?id=85463

        Reviewed by Ryosuke Niwa.

        Add LayoutTestController::setAutomaticLinkDetectionEnabled().

        * DumpRenderTree/LayoutTestController.cpp:
        (setAutomaticLinkDetectionEnabledCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/blackberry/LayoutTestControllerBlackBerry.cpp:
        (LayoutTestController::setAutomaticLinkDetectionEnabled): Not implemented.
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::setAutomaticLinkDetectionEnabled): Not implemented.
        * DumpRenderTree/chromium/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setAutomaticLinkDetectionEnabled): Not implemented.
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setAutomaticLinkDetectionEnabled): Not implemented.
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setAutomaticLinkDetectionEnabled): Set automatic link detection enabled.
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setAutomaticLinkDetectionEnabled): Not implemented.
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        (LayoutTestController):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setAutomaticLinkDetectionEnabled): Not implemented.
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setAutomaticLinkDetectionEnabled): Not implemented.

2012-05-18  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Add shortcut to dump Security Origin and Web Database information
        https://bugs.webkit.org/show_bug.cgi?id=86521

        Reviewed by Gustavo Noronha Silva.

        Added key combination (CTRL+s) to dump information about the
        security origin and databases of the main frame. Useful for API
        testing and debugging.

        * EWebLauncher/main.c:
        (on_key_down):

2012-05-18  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] DRT needs an implementation of layoutTestController.setSerializeHTTPLoads
        https://bugs.webkit.org/show_bug.cgi?id=86101

        Reviewed by Ryosuke Niwa.

        Add missing implementation setSerializeHTTPLoads to allow
        testing resource load order.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setSerializeHTTPLoads):

2012-05-18  Jochen Eisinger  <jochen@chromium.org>

        [chromium] plumb the frame for which a drag was initiated to the WebViewClient

        https://bugs.webkit.org/show_bug.cgi?id=86670

        Reviewed by Kent Tamura.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::startDragging):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2012-05-18  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] appcache tests are flaky
        https://bugs.webkit.org/show_bug.cgi?id=86619

        Reviewed by Ryosuke Niwa.

        Correctly set the application cache database path in EFL's
        DumpRenderTree initialization code.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::initialize):

2012-05-17  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL][DRT] Call resetInternalsObject() after each test.
        https://bugs.webkit.org/show_bug.cgi?id=86793

        Reviewed by Antonio Gomes.

        We need to reset the internals object's settings after running
        each test so that there are no interferences between each test's
        results.

        * DumpRenderTree/efl/DumpRenderTree.cpp:
        (runTest):

2012-05-17  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r117526.
        http://trac.webkit.org/changeset/117526
        https://bugs.webkit.org/show_bug.cgi?id=86801

        broke Chromium Mac 10.5 layout test canaries (Requested by
        pkasting on #webkit).

        * Scripts/webkitpy/common/checkout/scm/scm.py:
        (SCM):
        (SCM.in_working_directory):
        * Scripts/webkitpy/common/checkout/scm/svn.py:
        (SVN):
        (SVN.in_working_directory):

2012-05-17  Dirk Pranke  <dpranke@chromium.org>

        scm.add() doesn't work properly with svn 1.7
        https://bugs.webkit.org/show_bug.cgi?id=86779

        Reviewed by Ojan Vafai.

        The code relied on '.svn' directories being present
        in order to tell if a directory had already been added to the
        repository; this is no longer true in SVN 1.7.

        * Scripts/webkitpy/common/checkout/scm/scm.py:
        (SCM):
        (SCM.in_working_directory):
        * Scripts/webkitpy/common/checkout/scm/svn.py:
        (SVN):
        (SVN.in_working_directory):

2012-05-17  Jon Lee  <jonlee@apple.com>

        Update Apple buildbots to prioritize latest changelists
        https://bugs.webkit.org/show_bug.cgi?id=86766

        Reviewed by Brady Eidson.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (pickLatestBuild): Function to get the most pick the most recent build request.
        (loadBuilderConfig): Configure builders in the AppleMac and AppleWin categories to
        use the pickLatestBuild function when choosing which request to build next.

2012-05-17  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        [Qt] Fix MiniBrowser by using correct syntax for qrc URLs
        https://bugs.webkit.org/show_bug.cgi?id=86761

        Reviewed by Alexis Menard.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::updateVisualMockTouchPoints):

2012-05-17  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Add API for Web Database handling
        https://bugs.webkit.org/show_bug.cgi?id=85178

        Reviewed by Antonio Gomes.

        Use the newly introduced Web Database API in EFL's DRT.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::clearAllDatabases):

2012-05-17  Dan Bernstein  <mitz@apple.com>

        REGRESSION (r117428): WebKit API/SPI was removed
        https://bugs.webkit.org/show_bug.cgi?id=86748

        Reverted r117428.

        * DumpRenderTree/LayoutTestController.cpp:
        (setDomainRelaxationForbiddenForURLSchemeCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/blackberry/LayoutTestControllerBlackBerry.cpp:
        (LayoutTestController::setDomainRelaxationForbiddenForURLScheme):
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::setDomainRelaxationForbiddenForURLScheme):
        * DumpRenderTree/chromium/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setDomainRelaxationForbiddenForURLScheme):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setDomainRelaxationForbiddenForURLScheme):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setDomainRelaxationForbiddenForURLScheme):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setDomainRelaxationForbiddenForURLScheme):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        (LayoutTestController):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setDomainRelaxationForbiddenForURLScheme):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setDomainRelaxationForbiddenForURLScheme):

2012-05-17  Li Yin  <li.yin@intel.com>

        [chromium] run-webkit-tests can't work on ubuntu 12.04
        https://bugs.webkit.org/show_bug.cgi?id=86565

        Reviewed by Kent Tamura.

        On ubuntu 12.04, the package ttf-thai-tlwg install the Garuda.ttf
        into /usr/share/fonts/truetype/tlwg/Garuda.ttf, not /usr/share/fonts/truetype/thai/Garuda.ttf

        * DumpRenderTree/chromium/TestShellLinux.cpp:
        (checkAndLoadFontFile):
        (setupFontconfig):

2012-05-17  Elliot Poger  <epoger@chromium.org>

        Add setting of additional_expectations option to 
        chromium_unittest.test_overrides_and_builder_names(),
        so we can test order in which the base and chromium expectations files
        are combined.

        https://bugs.webkit.org/show_bug.cgi?id=86642

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        (ChromiumPortTest.test_overrides_and_builder_names):

2012-05-17  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] Web process hangs while waiting for plugin process connection during layouttests
        https://bugs.webkit.org/show_bug.cgi?id=86620

        Reviewed by Csaba Osztrogonác.

        Reenable TestNetscapePlugin with Qt 4.

        * Tools.pro:

2012-05-17  Hugo Parente Lima  <hugo.lima@openbossa.org>

        [Qt][WK2] fast/events/page-visibility-* tests fail
        https://bugs.webkit.org/show_bug.cgi?id=83263

        Reviewed by Kenneth Rohde Christiansen.

        Handle "preview" state and avoid string conversion.

        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::setPageVisibility):

2012-05-17  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Convert setDomainRelaxationForbiddenForURLScheme to use InternalSettings interface
        https://bugs.webkit.org/show_bug.cgi?id=86704

        Reviewed by Eric Seidel.

        Remove setDomainRelaxationForbiddenForURLScheme functions, because it is able to work in the
        cross-port way through the InternalSettings interface.

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/blackberry/LayoutTestControllerBlackBerry.cpp:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        * DumpRenderTree/chromium/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        (LayoutTestController):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:

2012-05-17  Mariusz Grzegorczyk  <mariusz.g@samsung.com>

        [EFL] [DRT] EFL's DumpRenderTree should support LayoutTestController's dumpEditingCallbacks()
        https://bugs.webkit.org/show_bug.cgi?id=84835

        Reviewed by Eric Seidel.

        Added editing callbacks implementation.

        * DumpRenderTree/efl/CMakeLists.txt: Add EditingCallbacks.cpp to compilation.
        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp: Invoke connectEditingCallbacks.
        (DumpRenderTreeChrome::createView):
        * DumpRenderTree/efl/EditingCallbacks.cpp: Added. Dump editing callbacks.
        (dumpPath):
        (dumpRange):
        (insertActionString):
        (selectionAffinityString):
        (shouldBeginEditing):
        (shouldEndEditing):
        (shouldInsertNode):
        (shouldInsertText):
        (shouldDeleteRange):
        (shouldChangeSelectedRange):
        (shouldApplyStyle):
        (editingBegan):
        (userChangedContents):
        (editingEnded):
        (selectionChanged):
        (connectEditingCallbacks):
        * DumpRenderTree/efl/EditingCallbacks.h: Added.

2012-05-17  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Unreviewed. Roll out r117382 because of layout test crashes on EFL debug buildbot.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::initialize):

2012-05-17  Kentaro Hara  <haraken@chromium.org>

        [Performance test] In perftest.py, do not include 'description' in 'results'
        https://bugs.webkit.org/show_bug.cgi?id=86696

        Reviewed by Csaba Osztrogoná.

        'results' in perftest.py should not include any data that is not expected
        by the perf bot server. We do not need to send 'description' to the perf bot
        server since 'description' is always the same.

        Thus this patch just removes 'description' from 'results'.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest.parse_output):
        (PerfTest.output_statistics):
        (ChromiumStylePerfTest.parse_output):
        (PageLoadingPerfTest.run):

2012-05-17  Kentaro Hara  <haraken@chromium.org>

        [Performance test] Always fill results['description'] in perftest.py
        https://bugs.webkit.org/show_bug.cgi?id=86696

        Reviewed by Ryosuke Niwa.

        This is a follow-up patch for r117397 to fix perf bot failures.
        This patch fills results['description'] always.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PageLoadingPerfTest.run):

2012-05-16  Kentaro Hara  <haraken@chromium.org>

        [Performance test] Support "description" for PerfTestRunner.run and PerfTestRunner.runPerSecond
        https://bugs.webkit.org/show_bug.cgi?id=86696

        Reviewed by Ryosuke Niwa.

        We want to add some description for each PerfTestRunner.run and
        PerfTestRunner.runPerSecond, so that people can know what each
        run is testing.

        Output example:

        $ ./Tools/Scripts/run-perf-tests Bindings/first-child.html
        Running Bindings/first-child.html (1 of 1)
        DESCRIPTION: Benchmark for DOM attributes that return a Node object.
        RESULT Bindings: first-child= 788.359076534 runs/s
        median= 797.508097751 runs/s, stdev= 19.0972905207 runs/s, min= 746.666666667 runs/s, max= 801.001251564 runs/s

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest):
        (PerfTest.parse_output):
        (PerfTest.output_statistics):

2012-05-16  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] appcache tests are flaky
        https://bugs.webkit.org/show_bug.cgi?id=86619

        Reviewed by Gustavo Noronha Silva.

        Correctly set the application cache database path in EFL's
        DumpRenderTree initialization code.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::initialize):

2012-05-16  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Add new build slave for EFL port.
        https://bugs.webkit.org/show_bug.cgi?id=86567

        Reviewed by Ryosuke Niwa.

        Add a build slave for EFL 32-bit linux build.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2012-05-16  Kihong Kwon  <kihong.kwon@samsung.com>

        [EFL] Support for Battery Status API on the WebKit-Efl
        https://bugs.webkit.org/show_bug.cgi?id=83254

        Reviewed by Chang Shu.

        Add e_dbus libraries to jhbuild's modules list.

        * efl/jhbuild.modules:

2012-05-16  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Rounding errors on 32-bit machines causes tests to fail
        https://bugs.webkit.org/show_bug.cgi?id=86194

        Reviewed by Martin Robinson.

        Pass additional CXXFLAGS to CMake in an attempt to harmonize floating
        point values between 32-bit and 64-bit architectures.
        Same flags are already used by Qt and GTK ports. 

        * Scripts/webkitdirs.pm:
        (determineArchitecture):
        (generateBuildSystemFromCMakeProject):

2012-05-16  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] Web process hangs while waiting for plugin process connection during layouttests
        https://bugs.webkit.org/show_bug.cgi?id=86620

        Reviewed by Csaba Osztrogonác.

        Temporary workaround not to fail layout tests.

        * Tools.pro: Disable TestNetscapePlugin.

2012-05-16  Dinu Jacob  <dinu.jacob@nokia.com>

        Add didFinishProgress BundleUIClient callback
        https://bugs.webkit.org/show_bug.cgi?id=86541

        Reviewed by Kenneth Rohde Christiansen.

        Added support for dumpProgressFinishedCallback.

        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        (WTR::InjectedBundlePage::didFinishProgress):
        (WTR):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        (InjectedBundlePage):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::LayoutTestController):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:
        (WTR::LayoutTestController::dumpProgressFinishedCallback):
        (WTR::LayoutTestController::setShouldDumpProgressFinishedCallback):
        (WTR::LayoutTestController::shouldDumpProgressFinishedCallback):
        (LayoutTestController):

2012-05-15  Pierre Rossi  <pierre.rossi@gmail.com>

        [Qt] Enable SVG Fonts by default
        https://bugs.webkit.org/show_bug.cgi?id=86463

        Reviewed by Nikolas Zimmermann.

        * qmake/mkspecs/features/features.pri:

2012-05-16  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] EFL's LayoutTestController does not implement setApplicationCacheOriginQuota
        https://bugs.webkit.org/show_bug.cgi?id=85585

        Reviewed by Gustavo Noronha Silva.

        Implement setApplicationCacheOriginQuota in EFL's
        LayoutTestController.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/DumpRenderTreeView.cpp:
        (onExceededApplicationCacheQuota):
        (drtViewAdd):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setApplicationCacheOriginQuota):

2012-05-16  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL] EFL's LayoutTestController  evaluateScriptInIsolatedWorld implementation
        https://bugs.webkit.org/show_bug.cgi?id=83776

        Reviewed by Tor Arne Vestbø.

        Added missing implementation of LayoutTestController::evaluateScriptInIsolatedWorld().

        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::evaluateScriptInIsolatedWorld):

2012-05-16  Grzegorz Czajkowski  <g.czajkowski@samsung.com>

        Unreviewed. Add myself as a committer.

        * Scripts/webkitpy/common/config/committers.py:

2012-05-15  Kangil Han  <kangil.han@samsung.com>

        [EFL][DRT] Fix eventSender key providing
        https://bugs.webkit.org/show_bug.cgi?id=84710

        Reviewed by Andreas Kling.

        Currently eventSender doesn't provide key event correctly.
        For example, 'Right' will be visible when 'right arrow' key event is fired.
        Given circumstance, nothing has to be shown.
        Therefore, this patch fixed incorrectly provided key event.

        * DumpRenderTree/efl/EventSender.cpp:
        (KeyEventInfo::KeyEventInfo):
        (KeyEventInfo):
        (keyPadNameFromJSValue):
        (keyNameFromJSValue):
        (createKeyEventInfo):
        (sendKeyDown):

2012-05-15  Dan Bernstein  <mitz@apple.com>

        Fixed a typo.

        * Scripts/copy-webkitlibraries-to-product-directory:

2012-05-15  Kihong Kwon  <kihong.kwon@samsung.com>

        [EFL] Enable Fullscreen API
        https://bugs.webkit.org/show_bug.cgi?id=85870

        Reviewed by Antonio Gomes.

        Enable full screen api feature on the EFL port.
        There are two failed test cases under LayoutTests/fullscreen.
        They are going to be fixed with other patch.

        * Scripts/webkitperl/FeatureList.pm:

2012-05-15  James Robinson  <jamesr@chromium.org>

        [chromium] Chromium port never sets USE(CG) so code behind it is dead
        https://bugs.webkit.org/show_bug.cgi?id=86537

        Reviewed by Adrienne Walker.

        Deletes code behind USE(CG) in chromium-specific code and removes unneeded USE(SKIA) guards.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::paintRect):

2012-05-15  James Robinson  <jamesr@chromium.org>

        [chromium] Remove WEBKIT_USING_(SKIA|CG) #defines
        https://bugs.webkit.org/show_bug.cgi?id=86536

        Reviewed by Adam Barth.

        Deletes dead WEBKIT_USING_CG code and #ifdefs guarding it.

        * DumpRenderTree/chromium/WebThemeEngineDRTMac.mm:
        (WebThemeEngineDRTMac::paintHIThemeScrollbarThumb):
        (WebThemeEngineDRTMac::paintNSScrollerScrollbarThumb):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::paintPagesWithBoundaries):

2012-05-15  James Robinson  <jamesr@chromium.org>

        [chromium] Unreviewed build fix.

        Partial revert of r117166 - it appears making DumpRenderTree depend on webkit_platform causes crashes in the
        component build, at least on linux.  This restores Tools/DumpRenderTree to its pre-r117166 state.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/chromium/TestWebPlugin.cpp:
        (TestWebPlugin::initialize):

2012-05-15  Elliot Poger  <epoger@google.com>

        add unit test for NRWT's --additional-expectations option
        https://bugs.webkit.org/show_bug.cgi?id=86501

        Reviewed by Ojan Vafai.

        * Scripts/webkitpy/layout_tests/port/base_unittest.py:
        (PortTest.test_additional_expectations):

2012-05-15  James Robinson  <jamesr@chromium.org>

        [chromium] Move createOffscreenGraphicsContext3D() from WebKitPlatformSupport to Platform
        https://bugs.webkit.org/show_bug.cgi?id=86524

        Reviewed by Adam Barth.

        Updates TestWebPlugin to use the Platform headers and updates the build dependencies so it can.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:
        * DumpRenderTree/chromium/TestWebPlugin.cpp:
        (TestWebPlugin::initialize):

2012-05-15  Jessie Berlin  <jberlin@apple.com>

        WKContextSetCacheModel(contextref, kWKCacheModelDocumentViewer) doesn't prevent pages from
        going into the PageCache.
        https://bugs.webkit.org/show_bug.cgi?id=85891

        Reviewed by Brady Eidson.

        Set the cache model in DOMWindowExtensionNoCache so that the page cache is not used. This is
        better than using pages with unload handlers because we may find a way to make pages with
        unload handlers cacheable in the future.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        Remove simple-iframe-unload.html and simple-unload.html, since they are no longer used.

        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionNoCache.cpp:
        (TestWebKitAPI::TEST):
        Set the cache model to kWKCacheModelDocumentViewer.

        * TestWebKitAPI/Tests/WebKit2/simple-iframe-unload.html: Removed.
        * TestWebKitAPI/Tests/WebKit2/simple-unload.html: Removed.

2012-05-15  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        [Qt] Add infra for testing double-tap to zoom functionality etc
        https://bugs.webkit.org/show_bug.cgi?id=86474

        Reviewed by Simon Hausmann.

        The WebViewportInfo class was renamed to QWebKitTest in preparation
        of becoming a separate module. Adapt the use API.

        * MiniBrowser/qt/qml/BrowserWindow.qml:
        * MiniBrowser/qt/qml/ViewportInfoItem.qml:

2012-05-15  Csaba Osztrogonác  <ossy@webkit.org>

        Introduce ENABLE_CSS_VARIABLES compile flag.
        https://bugs.webkit.org/show_bug.cgi?id=86338

        Reviewed by Hajime Morita.

        * Scripts/webkitpy/layout_tests/port/webkit_unittest.py: Unittest fix after r117028.
        (WebKitPortTest.test_skipped_directories_for_symbols):

2012-05-15  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Teach webkit-patch to gracefully handle writes of raw utf-8 encoded strings to sys.stdout

        https://bugs.webkit.org/show_bug.cgi?id=85809

        webkit-patch overrides sys.stdout with a StreamWriter that ensures we write utf8
        output to stdout, but StreamWriter will by default always encode the object that's
        passed to write(). This blows up when the object is a raw string, already encoded
        as utf8, and does not match the default behavior of sys.stdout.

        To solve this in one place, instead of every single call-site that might write
        raw strings, we extend the stdout-wrapper to assume raw strings are utf8 before
        passing them on to StreamWriter.write(). This has the benefit of also making the
        stacktrace easy to read in the case where this assumption does not hold.

        The source of this particular bug was that Executive.run_and_throw_if_fail() will
        tee the output of the subprocess, and in the case of running prepare-ChangeLog this
        might produce non-ascii output, which gets written directly to sys.stdout as raw
        utf8-encoded strings.

        Reviewed by Dirk Pranke.

        * Scripts/webkit-patch:

2012-05-15  Tomasz Morawski  <t.morawski@samsung.com>

        [EFL][DRT] Split ewk_private.h file to multiple private files.
        https://bugs.webkit.org/show_bug.cgi?id=84572

        Reviewed by Antonio Gomes.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:

2012-05-15  Michael Brüning  <michael.bruning@nokia.com>

        [Qt][WK2] http/tests/navigation/https-in-page-cache.html fails with timeout
        https://bugs.webkit.org/show_bug.cgi?id=83576

        Reviewed by Simon Hausmann.

        Set the PlatformWebView for the Qt port to accept all SSL certificates.

        * WebKitTestRunner/qt/PlatformWebViewQt.cpp:
        (WTR::PlatformWebView::PlatformWebView):

2012-05-14  Luke Macpherson  <macpherson@chromium.org>

        Introduce ENABLE_CSS_VARIABLES compile flag.
        https://bugs.webkit.org/show_bug.cgi?id=86338

        Reviewed by Dimitri Glazkov.

        Add a configuration option for CSS Variables support, disabling it by default.

        * Scripts/webkitperl/FeatureList.pm:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        (WebKitPort._missing_symbol_to_skipped_tests):
        * qmake/mkspecs/features/features.pri:

2012-05-14  Nate Chapin  <japhet@chromium.org>

        Add end-of-life test cases for https://bugs.webkit.org/show_bug.cgi?id=86131.

        Reviewed by Adam Barth.

        * DumpRenderTree/TestNetscapePlugIn/PluginObject.cpp:
        (callDeletePlugin):
        (pluginHasProperty):
        (pluginHasMethod):
        (pluginGetProperty):
        (pluginSetProperty):
        (pluginInvoke):

2012-05-14  Dirk Pranke  <dpranke@chromium.org>

        Re-enable "drt mode" on chromium-mac-leopard
        https://bugs.webkit.org/show_bug.cgi?id=83076

        Unreviewed, build fix (change?).

        This change is another attempt to gather data on
        the flakiness and timeouts we're seeing on Mac SL
        now that we have another bot.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumDriver.__init__):

2012-05-14  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r116981.
        http://trac.webkit.org/changeset/116981
        https://bugs.webkit.org/show_bug.cgi?id=86402

        Caused compositing and mathml tests to fail. (Requested by
        rakuco on #webkit).

        * Scripts/webkitpy/layout_tests/port/efl.py:
        (EflPort._path_to_webcore_library):

2012-05-14  Dirk Pranke  <dpranke@chromium.org>

        Fix regressions in garden-o-matic after r116988.

        Unreviewed, build fix.

        I had a typo in a field name in checkout.js, and unfortunately
        the unittests had the same typo :(.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/checkout.js:
        (.):
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/checkout_unittests.js:

2012-05-14  Dirk Pranke  <dpranke@chromium.org>

        garden-o-matic should specify which types of baselines to rebaseline
        https://bugs.webkit.org/show_bug.cgi?id=86242

        Reviewed by Adam Barth.

        This change modifies garden-o-matic so that we are explicit
        about whether to rebaseline the text file, the image file, or
        both. This should prevent us from pulling incorrect or
        unexpected baselines off the bots.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/checkout.js:
        (.):
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/checkout_unittests.js:
        (.):
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (AbstractRebaseliningCommand):
        (AbstractRebaseliningCommand.__init__):
        (RebaselineTest):
        (RebaselineTest._rebaseline_test_and_update_expectations):
        (RebaselineTest.execute):
        (OptimizeBaselines):
        (OptimizeBaselines._optimize_baseline):
        (OptimizeBaselines.execute):
        (AnalyzeBaselines):
        (AnalyzeBaselines._analyze_baseline):
        (AnalyzeBaselines.execute):
        (RebaselineExpectations._rebaseline_port):
        * Scripts/webkitpy/tool/servers/gardeningserver.py:
        (GardeningHTTPRequestHandler.rebaseline):
        (GardeningHTTPRequestHandler.optimizebaselines):
        * Scripts/webkitpy/tool/servers/gardeningserver_unittest.py:
        (GardeningServerTest.test_rebaseline):
        (GardeningServerTest.test_rebaseline_new_port):
        (GardeningServerTest.test_optimizebaselines):

2012-05-14  Kangil Han  <kangil.han@samsung.com>

        [EFL][DRT] Fix WebCore library path
        https://bugs.webkit.org/show_bug.cgi?id=86355

        Reviewed by Dirk Pranke.

        Currently EFL DRT uses wrong WebCore library path when running DRT.
        This patch simply adjusted it.

        * Scripts/webkitpy/layout_tests/port/efl.py:
        (EflPort._path_to_webcore_library):

2012-05-14  Wei James  <james.wei@intel.com>

        [Chromium] ImageDiff should be build for host on Android
        https://bugs.webkit.org/show_bug.cgi?id=82039

        Reviewed by Adam Barth.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2012-05-14  Joone Hur  <joone@webkit.org>

        Unreviewed. Updating email for committers.py script.

        * Scripts/webkitpy/common/config/committers.py:

2012-05-14  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix make distcheck.

        * GNUmakefile.am: Add run-api-tests script to EXTRA_DIST.
        * gtk/run-api-tests:
        (TestRunner._lookup_atspi2_binary): Handle the case when
        pkg_config_file_variable() return None.

2012-05-14  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r116935.
        http://trac.webkit.org/changeset/116935
        https://bugs.webkit.org/show_bug.cgi?id=86373

        Something is still broken (Requested by Ossy on #webkit).

        * Scripts/webkitpy/common/checksvnconfigfile.py: Removed.
        * Scripts/webkitpy/style/checkers/png.py:
        (PNGChecker.check):
        (PNGChecker):
        (PNGChecker._config_file_path):
        * Scripts/webkitpy/tool/commands/download.py:
        (Land):
        * Scripts/webkitpy/tool/steps/__init__.py:
        * Scripts/webkitpy/tool/steps/addsvnmimetypeforpng.py: Removed.
        * Scripts/webkitpy/tool/steps/addsvnmimetypeforpng_unittest.py: Removed.

2012-05-14  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        [Qt] Doesn't build with ENABLE_INSPECTOR=0
        https://bugs.webkit.org/show_bug.cgi?id=85056

        Reviewed by Tor Arne Vestbø.

        * WebKitTestRunner/TestInvocation.cpp: Ifdef otherwise unused static function.
        * qmake/mkspecs/features/features.prf:
        * qmake/mkspecs/features/features.pri:

2012-05-11  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Make sure dialogs have their parent and attached properties set before Component.onCompleted
        https://bugs.webkit.org/show_bug.cgi?id=86222

        The WebView QML api for dialogs is based on delegates for each dialog, which
        are implemented as components. Since there's no explicit API to show the dialog,
        the natural place to allow the dialog to choose how to display itself is in
        Component.onCompleted.

        The issue was that we were using QQmlComponent::create() when instantiating the
        component, at which point the component did not have a parent or it's attached
        WebView property set. That meant that we had to do some ugly workaround in our
        test, using a 1ms timer, to get a callback once the parent was there.

        We now use the QQmlComponent::beginCreate() -> QQmlComponent::completeCreate()
        pair, which allows us to set the relevant properties before triggering the
        Component.onCompleted callback. We were already doing this for the context
        menus (except for setting the parent, which we did afterwards).

        Reviewed by Simon Hausmann.

        * MiniBrowser/qt/qml/BrowserWindow.qml:
        * MiniBrowser/qt/qml/Dialog.qml:

2012-05-14  Balazs Ankes  <bank@inf.u-szeged.hu>

        webkit-patch land should automatically add svn:mime-type for .png files
        https://bugs.webkit.org/show_bug.cgi?id=75825
        I refactored the png.py to avoid code duplication.

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/common/checksvnconfigfile.py: Added.
        (check):
        (_config_file_path):
        (errorstr_autoprop):
        (errorstr_png):
        * Scripts/webkitpy/style/checkers/png.py:
        (PNGChecker.check):
        * Scripts/webkitpy/tool/commands/download.py:
        (Land):
        * Scripts/webkitpy/tool/steps/__init__.py:
        * Scripts/webkitpy/tool/steps/addsvnmimetypeforpng.py: Added.
        (AddSvnMimetypeForPng):
        (AddSvnMimetypeForPng.__init__):
        (AddSvnMimetypeForPng.run):
        (AddSvnMimetypeForPng._check_pngs):
        * Scripts/webkitpy/tool/steps/addsvnmimetypeforpng_unittest.py: Added.
        (MockSCMDetector):
        (MockSCMDetector.__init__):
        (MockSCMDetector.display_name):
        (AddSvnMimetypeForPngTest):
        (AddSvnMimetypeForPngTest.test_run):

2012-05-14  David Kilzer  <ddkilzer@apple.com>

        webkit-patch apply-attachment is very slow for big patches
        https://bugs.webkit.org/show_bug.cgi?id=74929

        Add "excludefield=attachmentdata" to the URL everywhere
        "ctype=xml" is used to exclude this field from the XML.

        Reviewed by Adam Barth.

        * Scripts/prepare-ChangeLog:
        (fetchBugDescriptionFromURL):
        * Scripts/webkitpy/common/config/urls.py:
        * Scripts/webkitpy/common/config/urls_unittest.py:
        (URLsTest.test_parse_bug_id):
        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        (Bugzilla.bug_url_for_bug_id):

2012-05-13  Ryosuke Niwa  <rniwa@webkit.org>

        performance tests should be able to measure runs/sec rather than time
        https://bugs.webkit.org/show_bug.cgi?id=86021

        Reviewed by Ojan Vafai.

        Allow " runs/s" or " ms" to appear after numerical values in tests.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest):

2012-05-12  Tim Horton  <timothy_horton@apple.com>

        run-safari and co. should support --guard-malloc command line argument
        https://bugs.webkit.org/show_bug.cgi?id=86287

        Reviewed by Dan Bernstein.

        Add setUpGuardMallocIfNeeded(), which consults the argument --guard-malloc on OS X,
        setting DYLD_INSERT_LIBRARIES="/usr/lib/libgmalloc.dylib" if it's enabled.

        Use setUpGuardMallocIfNeeded() before running a WebKit app (whether standalone or
        in the debugger). This will cause gmalloc to be loaded for gdb as well, but this
        tends to be harmless.

        Change "malloc guard" to the more common "Guard Malloc" in run-webkit-tests.

        * Scripts/old-run-webkit-tests:
        * Scripts/webkitdirs.pm:
        (appendToEnvironmentVariableList):
        (setUpGuardMallocIfNeeded):
        (printHelpAndExitForRunAndDebugWebKitAppIfNeeded):
        (runMacWebKitApp):
        (execMacWebKitAppForDebugging):
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):

2012-05-11  Ojan Vafai  <ojan@chromium.org>

        Add previous/next buttons the garden-o-matics perf panel
        https://bugs.webkit.org/show_bug.cgi?id=86280

        Reviewed by Dimitri Glazkov.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/perf.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/perf_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/styles/perf.css:

2012-05-11  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Unreviewed build fix. Fix memory exhausted errors from 32-bit ld on *nix.

        * waf/build/settings.py:
        (common_configure):

2012-05-11  Dirk Pranke  <dpranke@chromium.org>

        webkit-patch rebaseline should fetch stale expectations :)
        https://bugs.webkit.org/show_bug.cgi?id=86231

        Unreviewed, build fix.

        This change reverts r115492 and goes back to fetching individual
        baselines from the layout tests directory, rather than fetching
        entire zip files. The performance hit over networks for people
        far away from the bots has turned out to be severe, so we need a
        better solution to this.

        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (RebaselineTest._results_url):
        (RebaselineTest._file_name_for_expected_result):
        (RebaselineTest._rebaseline_test):
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaseline.test_rebaseline_updates_expectations_file_noop):
        (test_rebaseline_updates_expectations_file):
        (test_rebaseline_test):
        (test_rebaseline_and_copy_test):
        (test_rebaseline_and_copy_test_no_existing_result):
        (test_rebaseline_and_copy_test_with_lion_result):
        (test_rebaseline_and_copy_no_overwrite_test):

2012-05-11  Christophe Dumez  <christophe.dumez@intel.com>

        [GTK] LayoutTests/svg/batik/text/verticalText.svg fails to display Chinese characters
        https://bugs.webkit.org/show_bug.cgi?id=86198

        Reviewed by Martin Robinson.

        Update webkitgtk-fonts package to v0.0.3 in order to get new Kochi
        Mincho / Gothic fonts to display Japanese and Chinese characters.

        * gtk/jhbuild.modules:

2012-05-11  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][DRT] SVG Batik test fails to display Chinese characters
        https://bugs.webkit.org/show_bug.cgi?id=84461

        Reviewed by Martin Robinson.

        Update webkitgtk-fonts package from v0.0.1 to v0.0.3 in order to get
        new Kochi Mincho / Gothic fonts to display Japanese and Chinese
        characters.

        * DumpRenderTree/efl/CMakeLists.txt:
        * efl/jhbuild.modules:

2012-05-11  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, GTK 64-bit Debug bot fix attempt.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort._get_gdb_output): Ignore unicode decoding errors when
        processing gdb output.

2012-05-11  Gustavo Noronha Silva  <gns@gnome.org>

        REGRESSION(r116205): [GTK]: build no longer supports thin archives
        https://bugs.webkit.org/show_bug.cgi?id=86207

        * GNUmakefile.am: link libWebCoreModules to DRT.

2012-05-10  Ojan Vafai  <ojan@chromium.org>

        Add a perf tab to garden-o-matic
        https://bugs.webkit.org/show_bug.cgi?id=86169

        Reviewed by Dimitri Glazkov.

        This is a first stab at making it easier to view the Chromium WebKit canary
        perf graphs. For now, it's just a couple select elements and an iframe.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/garden-o-matic.html:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/run-unittests.html:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/builders.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/builders_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/garden-o-matic.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/perf.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/perf_unittests.js: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/styles/perf.css: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/styles/results.css:

2012-05-10  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Move resumeAnimations to use Internals interface
        https://bugs.webkit.org/show_bug.cgi?id=86063

        Reviewed by Alexey Proskuryakov.

        Remove resumeAnimations functions, because it is able to work in the 
        cross-port way through the Internals interface.

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/blackberry/LayoutTestControllerBlackBerry.cpp:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        * DumpRenderTree/chromium/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        (LayoutTestController):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:
        (LayoutTestController):

2012-05-10  Alexey Proskuryakov  <ap@apple.com>

        Crash in 3rd party WebKit apps that disable cache at a wrong time
        https://bugs.webkit.org/show_bug.cgi?id=86027
        <rdar://problem/10615880>

        Reviewed by Antti Koivisto.

        Added a test that's very similar to MemoryCachePruneWithinResourceLoadDelegate,
        but for disabling the cache instead of triggering a prune.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/mac/MemoryCacheDisableWithinResourceLoadDelegate.html: Added.
        * TestWebKitAPI/Tests/mac/MemoryCacheDisableWithinResourceLoadDelegate.mm: Added.
        (-[MemoryCacheDisableTestResourceLoadDelegate webView:identifierForInitialRequest:fromDataSource:]):
        (-[MemoryCacheDisableTestResourceLoadDelegate webView:resource:willSendRequest:redirectResponse:fromDataSource:]):
        (-[MemoryCacheDisableTestResourceLoadDelegate webView:resource:didFinishLoadingFromDataSource:]):
        (-[MemoryCacheDisableTestResourceLoadDelegate webView:resource:didFailLoadingWithError:fromDataSource:]):
        (TestWebKitAPI::TEST):

2012-05-10  Anders Carlsson  <andersca@apple.com>

        WebKit2: Add a way to blacklist specific plug-ins/plug-in versions
        https://bugs.webkit.org/show_bug.cgi?id=86164
        <rdar://problem/9551196>

        Reviewed by Sam Weinig.

        Update for WK2 API changes.

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::createOtherPage):
        (WTR::TestController::initialize):

2012-05-10  Dirk Pranke  <dpranke@chromium.org>

        nrwt: [chromium] fix path to asan symbolize script
        https://bugs.webkit.org/show_bug.cgi?id=86161

        Reviewed by Abhishek Arya.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort._get_crash_log):

2012-05-10  Lei Zhang  <thestig@chromium.org>

        [chromium] Set Valgrind environment variables for layout tests.
        https://bugs.webkit.org/show_bug.cgi?id=86156

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.setup_environ_for_server):

2012-05-10  Raphael Kubo da Costa  <rakuco@webkit.org>

        [webkitpy][EFL] It should be possible to use a wrapper command for ImageDiff.
        https://bugs.webkit.org/show_bug.cgi?id=86145

        Reviewed by Dirk Pranke.

        The GTK+ and EFL ports use jhbuild to build a few base libraries
        which are then used when building the port itself. Programs such
        as DRT and ImageDiff are then supposed to be run with the
        `run-with-jhbuild' wrapper so that the libraries are properly
        found and loaded.

        This was already the case for DumpRenderTree (EflPort defines the
        'wrapper' option for that), but it was not possible to do the same
        with ImageDiff so far.

        The code which created the ImageDiff command-line call has been
        moved to a separate method, _image_diff_command, which is then
        overridden by EflPort to add the jhbuild wrapper.

        * Scripts/webkitpy/layout_tests/port/efl.py:
        (EflPort.__init__):
        (EflPort._image_diff_command):
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        (WebKitPort):
        (WebKitPort._image_diff_command):
        (WebKitPort._start_image_diff_process):

2012-05-10  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] ENABLE_IFRAME_SEAMLESS support
        https://bugs.webkit.org/show_bug.cgi?id=85843

        Reviewed by Eric Seidel.

        Add the iframe-seamless option to the options list. This makes it
        possible to enable the iframe seamless support through build-webkit
        script. Enabled by default for all the ports.

        * Scripts/webkitperl/FeatureList.pm:

2012-05-10  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL][webkitpy] Do not redefine check_build() in EflPort.
        https://bugs.webkit.org/show_bug.cgi?id=86124

        Reviewed by Dirk Pranke.

        Remove an old FIXME and do not redefine check_build in EflPort;
        once build-dumprendertree recognizes --efl, we can use the
        check_build implementation in WebKitPort.

        * Scripts/build-dumprendertree:
        * Scripts/webkitpy/layout_tests/port/efl.py:
        (EflPort.check_build):

2012-05-10  Tommy Widenflycht  <tommyw@google.com>

        [chromium] MediaStream API: Fix the ExtraData functionality in WebMediaStreamDescriptor
        https://bugs.webkit.org/show_bug.cgi?id=86087

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/WebUserMediaClientMock.cpp:
        (MockExtraData):
        (WebKit):
        (WebKit::WebUserMediaClientMock::requestUserMedia):

2012-05-10  Varun Jain  <varunjain@google.com>

        [chromium] Trigger context menu for long press gesture
        https://bugs.webkit.org/show_bug.cgi?id=85919

        Reviewed by Adam Barth.

        * DumpRenderTree/chromium/EventSender.cpp:
        (EventSender::EventSender):
        (EventSender::gestureLongPress):
        (EventSender::gestureEvent):
        * DumpRenderTree/chromium/EventSender.h:
        (EventSender):

2012-05-10  Takashi Toyoshima  <toyoshim@chromium.org>

        don't use autoinstall to import pywebsocket but check it in WebKit directly.
        https://bugs.webkit.org/show_bug.cgi?id=86107

        Reviewed by Adam Barth.

        This change removes pywebsocket from webkitpy's autoinstall list and
        imports pywebsocket 0.7.4 directly into webkitpy/thirparty.

        * Scripts/webkitpy/layout_tests/servers/websocket_server.py:
        (PyWebSocket._prepare_config):
        * Scripts/webkitpy/thirdparty/__init__.py:
        (AutoinstallImportHook.find_module):
        (AutoinstallImportHook._install_irc):
        * Scripts/webkitpy/thirdparty/__init___unittest.py:
        (ThirdpartyTest.test_import_hook.MockImportHook.__init__):
        (ThirdpartyTest.test_import_hook.MockImportHook._install_eliza):
        (ThirdpartyTest):
        (ThirdpartyTest.test_import_hook):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/COPYING: Added.
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/__init__.py: Added.
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/_stream_base.py: Added.
        (ConnectionTerminatedException):
        (InvalidFrameException):
        (BadOperationException):
        (UnsupportedFrameException):
        (InvalidUTF8Exception):
        (StreamBase):
        (StreamBase.__init__):
        (StreamBase._read):
        (StreamBase._write):
        (StreamBase.receive_bytes):
        (StreamBase._read_until):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/_stream_hixie75.py: Added.
        (for):
        (StreamHixie75):
        (StreamHixie75.for):
        (StreamHixie75.__init__):
        (StreamHixie75.send_message):
        (StreamHixie75._read_payload_length_hixie75):
        (StreamHixie75.receive_message):
        (StreamHixie75._send_closing_handshake):
        (StreamHixie75.close_connection):
        (StreamHixie75.send_ping):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/_stream_hybi.py: Added.
        (Frame):
        (Frame.__init__):
        (create_length_header):
        (create_header):
        (_build_frame):
        (_filter_and_format_frame_object):
        (create_binary_frame):
        (create_text_frame):
        (FragmentedFrameBuilder):
        (FragmentedFrameBuilder.to):
        (FragmentedFrameBuilder.__init__):
        (FragmentedFrameBuilder.build):
        (_create_control_frame):
        (create_ping_frame):
        (create_pong_frame):
        (create_close_frame):
        (StreamOptions):
        (StreamOptions.__init__):
        (Stream):
        (Stream.for):
        (Stream.__init__):
        (Stream._receive_frame):
        (Stream._receive_frame_as_frame_object):
        (Stream.send_message):
        (Stream.receive_message):
        (Stream._send_closing_handshake):
        (Stream.close_connection):
        (Stream.send_ping):
        (Stream._send_pong):
        (Stream._drain_received_data):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/common.py: Added.
        (is_control_opcode):
        (ExtensionParameter):
        (ExtensionParameter.__init__):
        (ExtensionParameter.name):
        (ExtensionParameter.add_parameter):
        (ExtensionParameter.get_parameters):
        (ExtensionParameter.get_parameter_names):
        (ExtensionParameter.has_parameter):
        (ExtensionParameter.get_parameter_value):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/dispatch.py: Added.
        (DispatchException):
        (DispatchException.__init__):
        (_default_passive_closing_handshake_handler):
        (_normalize_path):
        (_create_path_to_resource_converter):
        (_create_path_to_resource_converter.converter):
        (_enumerate_handler_file_paths):
        (_HandlerSuite):
        (_HandlerSuite.__init__):
        (_source_handler_file):
        (_extract_handler):
        (Dispatcher):
        (Dispatcher.maintains):
        (Dispatcher.__init__):
        (Dispatcher.add_resource_path_alias):
        (Dispatcher.source_warnings):
        (Dispatcher.do_extra_handshake):
        (Dispatcher.transfer_data):
        (Dispatcher.passive_closing_handshake):
        (Dispatcher.get_handler_suite):
        (Dispatcher._source_handler_files_in_dir):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/extensions.py: Added.
        (ExtensionProcessorInterface):
        (ExtensionProcessorInterface.get_extension_response):
        (ExtensionProcessorInterface.setup_stream_options):
        (DeflateStreamExtensionProcessor):
        (DeflateStreamExtensionProcessor.__init__):
        (DeflateStreamExtensionProcessor.get_extension_response):
        (DeflateStreamExtensionProcessor.setup_stream_options):
        (DeflateFrameExtensionProcessor):
        (DeflateFrameExtensionProcessor.__init__):
        (DeflateFrameExtensionProcessor.get_extension_response):
        (DeflateFrameExtensionProcessor.setup_stream_options):
        (DeflateFrameExtensionProcessor.setup_stream_options._OutgoingFilter):
        (DeflateFrameExtensionProcessor.setup_stream_options._OutgoingFilter.__init__):
        (DeflateFrameExtensionProcessor.setup_stream_options._OutgoingFilter.filter):
        (DeflateFrameExtensionProcessor.setup_stream_options._IncomingFilter):
        (DeflateFrameExtensionProcessor.setup_stream_options._IncomingFilter.__init__):
        (DeflateFrameExtensionProcessor.setup_stream_options._IncomingFilter.filter):
        (DeflateFrameExtensionProcessor.set_response_window_bits):
        (DeflateFrameExtensionProcessor.set_response_no_context_takeover):
        (DeflateFrameExtensionProcessor.enable_outgoing_compression):
        (DeflateFrameExtensionProcessor.disable_outgoing_compression):
        (DeflateFrameExtensionProcessor._outgoing_filter):
        (DeflateFrameExtensionProcessor._incoming_filter):
        (get_extension_processor):
        (get_extension_processor.is):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/handshake/__init__.py: Added.
        (try):
        (do_handshake):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/handshake/_base.py: Added.
        (AbortedByUserException):
        (HandshakeException):
        (HandshakeException.__init__):
        (VersionException):
        (VersionException.__init__):
        (get_default_port):
        (validate_subprotocol):
        (parse_host_header):
        (format_header):
        (build_location):
        (get_mandatory_header):
        (validate_mandatory_header):
        (check_request_line):
        (check_header_lines):
        (parse_token_list):
        (_parse_extension_param):
        (_parse_extension):
        (parse_extensions):
        (format_extensions):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/handshake/draft75.py: Added.
        (Handshaker):
        (Handshaker.performs):
        (Handshaker.__init__):
        (Handshaker.do_handshake):
        (Handshaker._set_resource):
        (Handshaker._set_origin):
        (Handshaker._set_location):
        (Handshaker._set_subprotocol):
        (Handshaker._set_protocol_version):
        (Handshaker._sendall):
        (Handshaker._send_handshake):
        (Handshaker._check_header_lines):
        (Handshaker._check_first_lines):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/handshake/hybi.py: Added.
        (compute_accept):
        (Handshaker):
        (Handshaker.__init__):
        (Handshaker._validate_connection_header):
        (Handshaker.do_handshake):
        (Handshaker._get_origin):
        (Handshaker._check_version):
        (Handshaker._set_protocol):
        (Handshaker._parse_extensions):
        (Handshaker._validate_key):
        (Handshaker._get_key):
        (Handshaker._send_handshake):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/handshake/hybi00.py: Added.
        (Handshaker):
        (Handshaker.__init__):
        (Handshaker.do_handshake):
        (Handshaker._set_resource):
        (Handshaker._set_subprotocol):
        (Handshaker._set_location):
        (Handshaker._set_origin):
        (Handshaker._set_protocol_version):
        (Handshaker._set_challenge_response):
        (Handshaker._get_key_value):
        (Handshaker._get_challenge):
        (Handshaker._send_handshake):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/headerparserhandler.py: Added.
        (ApacheLogHandler):
        (ApacheLogHandler.__init__):
        (ApacheLogHandler.emit):
        (_configure_logging):
        (_parse_option):
        (_create_dispatcher):
        (headerparserhandler):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/http_header_util.py: Added.
        (_is_char):
        (_is_ctl):
        (ParsingState):
        (ParsingState.__init__):
        (peek):
        (consume):
        (consume_string):
        (consume_lws):
        (consume_lwses):
        (consume_token):
        (consume_token_or_quoted_string):
        (quote_if_necessary):
        (parse_uri):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/memorizingfile.py: Added.
        (MemorizingFile):
        (MemorizingFile.__init__):
        (MemorizingFile.__getattribute__):
        (MemorizingFile.readline):
        (MemorizingFile.get_memorized_lines):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/msgutil.py: Added.
        (close_connection):
        (send_message):
        (receive_message):
        (send_ping):
        (MessageReceiver):
        (MessageReceiver.receives):
        (MessageReceiver.provides):
        (MessageReceiver.should):
        (MessageReceiver.__init__):
        (MessageReceiver.run):
        (MessageReceiver.receive):
        (MessageReceiver.receive_nowait):
        (MessageReceiver.stop):
        (MessageSender):
        (MessageSender.sends):
        (MessageSender.provides):
        (MessageSender.should):
        (MessageSender.__init__):
        (MessageSender.run):
        (MessageSender.send):
        (MessageSender.send_nowait):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/standalone.py: Added.
        (_StandaloneConnection):
        (_StandaloneConnection.__init__):
        (_StandaloneConnection.get_local_addr):
        (_StandaloneConnection.get_remote_addr):
        (_StandaloneConnection.write):
        (_StandaloneConnection.read):
        (_StandaloneConnection.get_memorized_lines):
        (_StandaloneRequest):
        (_StandaloneRequest.__init__):
        (_StandaloneRequest.get_uri):
        (_StandaloneRequest.get_method):
        (_StandaloneRequest.is_https):
        (_StandaloneRequest._drain_received_data):
        (_StandaloneSSLConnection):
        (_StandaloneSSLConnection.for):
        (_StandaloneSSLConnection.__init__):
        (_StandaloneSSLConnection.__getattribute__):
        (_StandaloneSSLConnection.__setattr__):
        (_StandaloneSSLConnection.makefile):
        (WebSocketServer):
        (WebSocketServer.__init__):
        (WebSocketServer._create_sockets):
        (WebSocketServer.server_bind):
        (WebSocketServer.server_activate):
        (WebSocketServer.server_close):
        (WebSocketServer.fileno):
        (WebSocketServer.handle_error):
        (WebSocketServer.get_request):
        (WebSocketServer.serve_forever):
        (WebSocketServer.shutdown):
        (WebSocketRequestHandler):
        (WebSocketRequestHandler.setup):
        (WebSocketRequestHandler.setup.SocketServer):
        (WebSocketRequestHandler.__init__):
        (WebSocketRequestHandler.parse_request):
        (WebSocketRequestHandler.log_request):
        (WebSocketRequestHandler.log_error):
        (WebSocketRequestHandler.is_cgi):
        (_configure_logging):
        (_alias_handlers):
        (_build_option_parser):
        (ThreadMonitor):
        (ThreadMonitor.__init__):
        (ThreadMonitor.run):
        (_parse_args_and_config):
        (_main):
        (_main.if):
        (_main.if.__check_script):
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/stream.py: Copied from Tools/Scripts/webkitpy/thirdparty/__init___unittest.py.
        * Scripts/webkitpy/thirdparty/mod_pywebsocket/util.py: Added.
        (get_stack_trace):
        (prepend_message_to_exception):
        (__translate_interp):
        (get_script_interp):
        (wrap_popen3_for_win):
        (wrap_popen3_for_win.__wrap_popen3):
        (hexify):
        (get_class_logger):
        (NoopMasker):
        (NoopMasker.__init__):
        (NoopMasker.mask):
        (RepeatedXorMasker):
        (RepeatedXorMasker.__init__):
        (RepeatedXorMasker.mask):
        (DeflateRequest):
        (DeflateRequest.for):
        (DeflateRequest.__init__):
        (DeflateRequest.__getattribute__):
        (DeflateRequest.__setattr__):
        (_Deflater):
        (_Deflater.__init__):
        (_Deflater.compress_and_flush):
        (_Inflater):
        (_Inflater.__init__):
        (_Inflater.decompress):
        (_Inflater.append):
        (_Inflater.reset):
        (_RFC1979Deflater):
        (_RFC1979Deflater.that):
        (_RFC1979Deflater.__init__):
        (_RFC1979Deflater.filter):
        (_RFC1979Inflater):
        (_RFC1979Inflater.for):
        (_RFC1979Inflater.__init__):
        (_RFC1979Inflater.filter):
        (DeflateSocket):
        (DeflateSocket.for):
        (DeflateSocket.__init__):
        (DeflateSocket.recv):
        (DeflateSocket.sendall):
        (DeflateSocket.send):
        (DeflateConnection):
        (DeflateConnection.for):
        (DeflateConnection.__init__):
        (DeflateConnection.get_remote_addr):
        (DeflateConnection.put_bytes):
        (DeflateConnection.read):
        (DeflateConnection.write):
        (_is_ewouldblock_errno):
        (drain_received_data):

2012-05-10  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL][webkitpy] Define the 'wrapper' option in EflPort instead of creating a EflDriver.
        https://bugs.webkit.org/show_bug.cgi?id=86117

        Reviewed by Adam Barth.

        Simplify the code used to wrap driver calls with jhbuild: we can
        just define the 'wrapper' option instead of having to create a
        Driver class just for that.

        * Scripts/webkitpy/layout_tests/port/efl.py:
        (EflPort.__init__):
        (EflPort._port_flag_for_scripts):

2012-05-10  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r116633.
        http://trac.webkit.org/changeset/116633
        https://bugs.webkit.org/show_bug.cgi?id=86093

        Breaks EFL tests (Requested by kov on #webkit).

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/EventSender.cpp:
        (keyDownCallback):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setTabKeyCyclesThroughElements):

2012-05-10  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] Memory leaks found in EFL DRT
        https://bugs.webkit.org/show_bug.cgi?id=85889

        Reviewed by Gustavo Noronha Silva.

        Fix two memory leaks in EFL's DRT by using JSRetainPtr for JSString
        created with JSStringCreateWithUTF8CString.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::onWindowObjectCleared):
        * DumpRenderTree/efl/EventSender.cpp:
        (modifiersFromJSValue):

2012-05-10  Alexander Shalamov  <alexander.shalamov@intel.com>

        [EFL] LayoutTestController needs implementation of setTabKeyCyclesThroughElements
        https://bugs.webkit.org/show_bug.cgi?id=82864

        Reviewed by Gustavo Noronha Silva.

        Add missing implementation for setTabKeyCyclesThroughElements to EFL's LayoutTestController
        in order to unskip fast/events/keypress-insert-tab.html

        * DumpRenderTree/efl/EventSender.cpp:
        (keyDownCallback):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setTabKeyCyclesThroughElements):

2012-05-10  Alexander Shalamov  <alexander.shalamov@intel.com>

        [EFL][DRT] EventSender - set delayed event information if it was not set before
        https://bugs.webkit.org/show_bug.cgi?id=85972

        Reviewed by Gustavo Noronha Silva.

        Reset delayed event information if it is missing.

        * DumpRenderTree/efl/EventSender.cpp:
        (feedOrQueueMouseEvent):

2012-05-07  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        WebPageProxy::activeURL() should return the pending API request, even when there's no main frame
        https://bugs.webkit.org/show_bug.cgi?id=85806

        The m_pendingAPIRequestURL member is used (presumably) to mask over the async
        nature of WebKit2, so that starting a load of a URL will reflect that URL
        immedeatly from activeURL, even if the request has not been passed over to
        the web process yet and reflected there.

        This works well, except in the case of the initial request, where the main
        frame creation happens on the web process side and is notified back to the
        UI process. Until we've recived the notification we don't know about the main
        frame, and this race condition will potentially give us an empty url instead
        of the pending request.

        To solve this we always return the pending API request if it's set, even
        when there's no mainframe yet (that we known about).

        Reviewed by Simon Hausmann.

        * TestWebKitAPI/Tests/WebKit2/PageLoadBasic.cpp:

2012-05-10  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL][DRT] Clear added user style sheets before a new testcase execution.
        https://bugs.webkit.org/show_bug.cgi?id=84792

        Reviewed Gustavo Noronha Silva.

        The added user style sheets from the previous testcases are cleared in order to avoid 
        flaky results.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):

2012-05-09  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Move suspendAnimations to use Internals interface.
        https://bugs.webkit.org/show_bug.cgi?id=85986

        Reviewed by Ryosuke Niwa.

        Remove suspendAnimations functions, because it is able to work in the 
        cross-port way through the Internals interface

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/blackberry/LayoutTestControllerBlackBerry.cpp:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        * DumpRenderTree/chromium/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        (LayoutTestController):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:

2012-05-09  Kent Tamura  <tkent@chromium.org>

        [Chromium] Attempt to fix an Android build error.
        https://bugs.webkit.org/show_bug.cgi?id=86045

        * DumpRenderTree/DumpRenderTree.gypi:

2012-05-09  Ojan Vafai  <ojan@chromium.org>

        Don't show partytime if there are non-layout test failures.
        https://bugs.webkit.org/show_bug.cgi?id=86056

        Reviewed by Dimitri Glazkov.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/controllers.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/controllers_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/garden-o-matic.js:

2012-05-09  Hayato Ito  <hayato@chromium.org>

        Improve a warning message for a reftest having an unused expectation file.
        https://bugs.webkit.org/show_bug.cgi?id=85975

        Reviewed by Adam Barth.

        The current warning message is not intuitive. It might be better to update the message
        so that it encourage users to remove unused expectation files.

        * Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:
        (SingleTestRunner.__init__):

2012-05-09  Ojan Vafai  <ojan@chromium.org>

        Change "losing test coverage" to cover all non-layout test problems in garden-o-matic
        https://bugs.webkit.org/show_bug.cgi?id=86043

        Reviewed by Adam Barth.

        -Get rid of the gtest iframe.
        -Cover all non-layout test problems. Before we wouldn't catch compile failures
        or gtest failures since they were not on the webkit testing bots.
        -Include the list of failing steps next to the builder name. This is a lot less
        cluttered than you'd expect and already helped me find a compile failure early.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/builders.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/builders_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/config.js:
        Delete unused map.
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/controllers.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/garden-o-matic.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/failures.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/failures_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/notifications.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/notifications_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui_unittests.js:

2012-05-09  Jessie Berlin  <jberlin@apple.com>

        Crash using the new WKBundleDOMWindowExtensions APIs.
        https://bugs.webkit.org/show_bug.cgi?id=85888

        Reviewed by Brady Eidson.

        Cached frames can live slightly longer than the page, but most clients unregister themselves
        and do other cleanup in the willDestroyPage callback, making them miss the
        willDestroyGlobalObjectForDOMWindowExtension callbacks.

        The calls to willDestroyGlobalObjectForDOMWindowExtension in the DOMWindowExtensionBasic
        test were all being invoked underneath WebPage::close. This is unrealistic. Update that test
        to destroy the BundleDOMWindowExtensions in response to the willDestroyPage callback.

        Add a test to verify that willDestroyGlobalObjectForDOMWindowExtension is being called for
        pages that don't go into the page cache.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        Add DOMWindowExtensionNoCache.cpp, DOMWindowExtensionNoCache_Bundle.cpp, simple-unload.html
        and simple-iframe-unload.html

        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic.cpp:
        (TestWebKitAPI):
        Remove the expected messages for willDestroyGlobalObjectForDOMWindowExtension.
        (TestWebKitAPI::didReceiveMessageFromInjectedBundle):
        Do not bother to keep track of the live extension count - all of them are expected to be
        live until the test completes.
        (TestWebKitAPI::TEST):
        Fix the calls to EXPECT to pass the expected value first, and use EXPECT_WK_STREQ so that
        message failures will be clearer.
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic_Bundle.cpp:
        (TestWebKitAPI::DOMWindowExtensionBasic::willDestroyPage):
        Clean up the BundleDOMWindowExtensions.
        (TestWebKitAPI::DOMWindowExtensionBasic::willDestroyGlobalObjectForDOMWindowExtension):
        Add an ASSERT_NOT_REACHED.

        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionNoCache.cpp: Added.
        (TestWebKitAPI::didReceiveMessageFromInjectedBundle):
        Keep track of the messages received so they can be checked at the end of the test.
        (TestWebKitAPI::TEST):
        Navigate to uncacheable pages and back.
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionNoCache_Bundle.cpp: Copied from Tools/TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic_Bundle.cpp.
        (DOMWindowExtensionNoCache):
        (TestWebKitAPI::DOMWindowExtensionNoCache::DOMWindowExtensionNoCache):
        Set up all the states for each BundleDOMWindowExtension.
        (TestWebKitAPI::DOMWindowExtensionNoCache::frameLoadFinished):
        Tell the UI Process about the states of the BundleDOMWindowExtensions.
        (TestWebKitAPI::DOMWindowExtensionNoCache::sendExtensionStateMessage):
        (TestWebKitAPI::DOMWindowExtensionNoCache::initialize):
        (TestWebKitAPI::DOMWindowExtensionNoCache::didCreatePage):
        (TestWebKitAPI::DOMWindowExtensionNoCache::willDestroyPage):
        Remvoe the remaining BundleDOMWindowExtensions, send the updated state, and finish the test.
        (TestWebKitAPI::DOMWindowExtensionNoCache::updateExtensionStateRecord):
        (TestWebKitAPI::DOMWindowExtensionNoCache::sendBundleMessage):
        (TestWebKitAPI::DOMWindowExtensionNoCache::globalObjectIsAvailableForFrame):
        (TestWebKitAPI::DOMWindowExtensionNoCache::willDisconnectDOMWindowExtensionFromGlobalObject):
        ASSERT that these pages not going into the page cache are not getting disconnected to go into
        the page cache.
        (TestWebKitAPI::DOMWindowExtensionNoCache::didReconnectDOMWindowExtensionToGlobalObject):
        Ditto about getting reconnected when coming out of the page cache.
        (TestWebKitAPI::DOMWindowExtensionNoCache::willDestroyGlobalObjectForDOMWindowExtension):
        Tell the UI Process, update the state, and get rid of the BundleDOMWindowExtension.
        (TestWebKitAPI::didFinishLoadForFrameCallback):
        (TestWebKitAPI::globalObjectIsAvailableForFrameCallback):
        (TestWebKitAPI::willDisconnectDOMWindowExtensionFromGlobalObjectCallback):
        (TestWebKitAPI::didReconnectDOMWindowExtensionToGlobalObjectCallback):
        (TestWebKitAPI::willDestroyGlobalObjectForDOMWindowExtensionCallback):

        * TestWebKitAPI/Tests/WebKit2/simple-iframe-unload.html: Added.
        * TestWebKitAPI/Tests/WebKit2/simple-unload.html: Added.

2012-05-09  Adam Barth  <abarth@webkit.org>

        [Chromium] Android's DRT doesn't want to build WebUserMediaClientMock
        https://bugs.webkit.org/show_bug.cgi?id=86045

        Reviewed by Eric Seidel.

        * DumpRenderTree/DumpRenderTree.gypi:

2012-05-09  Adam Barth  <abarth@webkit.org>

        [Chromium] MockWebSpeechInputController.cpp should be guarded by ENABLE(INPUT_SPEECH)
        https://bugs.webkit.org/show_bug.cgi?id=86041

        Reviewed by Eric Seidel.

        * DumpRenderTree/chromium/MockWebSpeechInputController.cpp:

2012-05-09  Adam Barth  <abarth@webkit.org>

        [Chromium] Android needs to swizzle pixel dumps in order to get the same hash as other platforms
        https://bugs.webkit.org/show_bug.cgi?id=86040

        Reviewed by Kent Tamura.

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::dumpImage):

2012-05-09  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL] Build fix after r116464.

        `ulong' is a type defined by glibc, so it is not very
        portable. Use `unsigned long' instead.

        * DumpRenderTree/efl/EventSender.cpp:
        (DelayedEvent::DelayedEvent):
        (DelayedEvent):
        (leapForwardCallback):

2012-05-09  Adam Barth  <abarth@webkit.org>

        [Chromium] LayoutTestController should use ENABLE guards for some features
        https://bugs.webkit.org/show_bug.cgi?id=86030

        Reviewed by Eric Seidel.

        These features are disabled on OS(ANDROID) and so shouldn't be compiled
        when the feature is off.

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        * DumpRenderTree/chromium/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/chromium/TestShell.h:
        (TestShell):

2012-05-09  Tom Zakrajsek  <tomz@codeaurora.org>

        Fix overzealous re-opened since blocked by... message
        https://bugs.webkit.org/show_bug.cgi?id=86020

        Reviewed by Adam Barth.

        Changed CreateBug behavior to only re-open a blocked bug if it
        was RESOLVED.  Also had to update the test infrastructure slightly
        to allow for distinct mock commit revisions, so one could point
        to a RESOLVED bug for testing while another pointed to an OPEN bug.

        Also moved default created mock bug to be 60001 instead of 50004
        which already exists as a reference mock bug.

        * Scripts/webkitpy/common/checkout/checkout_mock.py:
        (MockCheckout.__init__):
        (MockCheckout.commit_info_for_revision):
        * Scripts/webkitpy/common/net/bugzilla/bugzilla_mock.py:
        (MockBugzilla.create_bug):
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:
        * Scripts/webkitpy/tool/commands/download_unittest.py:
        (test_create_rollout_resolved):
        * Scripts/webkitpy/tool/commands/queries_unittest.py:
        (FailureReasonTest.test_blame_line_for_revision):
        * Scripts/webkitpy/tool/steps/createbug.py:
        (CreateBug.run):

2012-05-09  Hugo Parente Lima  <hugo.lima@openbossa.org>

        Use suitable viewport values on XHTML-MP pages.
        https://bugs.webkit.org/show_bug.cgi?id=85425

        Reviewed by Kenneth Rohde Christiansen.

        Enable LEGACY_VIEWPORT_ADAPTION on Qt port.

        * qmake/mkspecs/features/features.prf:

2012-05-09  Jochen Eisinger  <jochen@chromium.org>

        When creating a new page during a navigation, prime the initial document with the correct referrer policy
        https://bugs.webkit.org/show_bug.cgi?id=86001

        Reviewed by Adam Barth.

        Store the referrer policy in the request, so the network stack can comply with it.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::willSendRequest):

2012-05-09  Vivek Galatage  <vivekgalatage@gmail.com>

        Remove CYGWIN=tty from environment variable as its no longer supported
        https://bugs.webkit.org/show_bug.cgi?id=85791

        The CYGWIN=tty environment variable is no longer supported from Cygwin
        version 1.7.10. This fix avoids addition of this environment variable
        for Cygwin versions greater than 1.7.9. For supporting older versions
        i.e. 1.7.9 or older, the script takes care of retaining the environment
        variable.

        Reviewed by Adam Roben.

        * Scripts/webkitdirs.pm:
        (setupAppleWinEnv):

2012-05-09  Dirk Pranke  <dpranke@chromium.org>

        nrwt: --skip-failing-tests should also skip flaky tests
        https://bugs.webkit.org/show_bug.cgi?id=85941

        Reviewed by Ojan Vafai.

        This changes --skip-failing-tests so that we skip tests that
        are believed to pass sometimes as well as tests that are
        believed to always fail.

        In addition, in testing this I discovered that we had lousy
        test coverage of the details of retrying test failures and
        --clobber-old-results, so I wrote some more tests.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.prepare_lists_and_print_output):
        * Scripts/webkitpy/layout_tests/port/test.py:
        (unit_test_list):
        (TestPort.__init__):
        (TestDriver.run_test):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.test_skip_failing_tests):
        (MainTest.test_retrying_and_flaky_tests):

2012-05-09  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][DRT] EFL's DRT needs to support LayoutTestController.dumpIconChanges()
        https://bugs.webkit.org/show_bug.cgi?id=84435

        Reviewed by Antonio Gomes.

        Catch the "icon,changed" signal on the frames in EFL's DumpRenderTree
        to support LayoutTestController's dumpIconChanges().

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::onFrameIconChanged):
        (DumpRenderTreeChrome::onFrameCreated):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2012-05-09  Dominik Röttsches  <dominik.rottsches@intel.com>

        webkit-patch upload Fails Behind Load-balancing Proxies
        https://bugs.webkit.org/show_bug.cgi?id=85980

        Reviewed by Adam Barth.

        Unchecking the login restriction to IP to allow the tool
        to function behind load-balancing proxies that use multiple
        outgoing IPs.

        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        (Bugzilla.authenticate):

2012-05-09  Hao Zheng  <zhenghao@chromium.org>

        [Chromium-android] Add unit test for Android layout test script (chromium_android.py)
        https://bugs.webkit.org/show_bug.cgi?id=80852

        Reviewed by Adam Barth.

        Add some tests to ensure that chromium android port works to some
        extent. Some methods is hard to test, as they rely on the actual
        behavior on device, e.g. pushing files to device.

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidPort.get_last_stacktrace): Check if dir exists.
        * Scripts/webkitpy/layout_tests/port/chromium_android_unittest.py:
        (ChromiumAndroidPortTest):
        (ChromiumAndroidPortTest.test_attributes):
        (ChromiumAndroidPortTest.test_get_last_stacktrace):
        (ChromiumAndroidPortTest.test_get_last_stacktrace.mock_run_command_no_dir):
        (ChromiumAndroidPortTest.test_get_last_stacktrace.mock_run_command_no_file):
        (ChromiumAndroidPortTest.test_get_last_stacktrace.mock_run_command_non_empty):
        (ChromiumAndroidDriverTest):
        (ChromiumAndroidDriverTest.setUp):
        (ChromiumAndroidDriverTest.test_get_drt_return_value):
        (ChromiumAndroidDriverTest.test_has_crash_hint):
        (ChromiumAndroidDriverTest.test_read_prompt):
        (ChromiumAndroidDriverTest.test_test_shell_command):
        (ChromiumAndroidDriverTest.test_write_command_and_read_line):

2012-05-09  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        [Qt] ORWT fails with Qt 5 and WK2.
        https://bugs.webkit.org/show_bug.cgi?id=85968

        Reviewed by Csaba Osztrogonác.

        The Qt5 binary does not have a -style argument, so avoid using it.

        * Scripts/old-run-webkit-tests:

2012-05-09  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL][DRT] LayoutTestController addUserScript implementation
        https://bugs.webkit.org/show_bug.cgi?id=84718

        Reviewed by Antonio Gomes.

        Added implementation of addUserScript() to LayoutTestController.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues): clear added user scripts
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::addUserScript): added implementation

2012-05-09  Dan Bernstein  <mitz@apple.com>

        Made build-webkit copy WebKitLibraries to the right location again after r116257

        Reviewed by Mark Rowe.

        * Scripts/build-webkit: Pass the built product directory to copy-webkitlibraries-to-product-directory.
        * Scripts/copy-webkitlibraries-to-product-directory: Use the first argument, if present, as the
        product directory.

2012-05-08  Ojan Vafai  <ojan@chromium.org>

        Show the chromium non-layout test bots in garden-o-matic
        https://bugs.webkit.org/show_bug.cgi?id=85903

        Reviewed by Eric Seidel.

        This is just a single-line high-level overview of the chromium non-layout test bots.
        This means that Chromium WebKit gardeners only need to keep garden-o-matic open in
        order to do their job.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/garden-o-matic.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/styles/onebar.css:
        (#chromium-gtests iframe):
        (#chromium-gtests):
        (#gtest-label):

2012-05-08  Kangil Han  <kangil.han@samsung.com>

        [EFL][DRT] Implement TextInputController.
        https://bugs.webkit.org/show_bug.cgi?id=78559

        Reviewed by Martin Robinson.

        TextInputController has been created for an input emulation purpose in DRT.
        However, not like other ports, EFL doesn't have it.
        Therefore, this patch will enable EFL port to have an input emulation in DRT.

        * DumpRenderTree/efl/CMakeLists.txt:
        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::onWindowObjectCleared):
        * DumpRenderTree/efl/TextInputController.cpp: Added.
        (setMarkedTextCallback):
        (hasMarkedTextCallback):
        (markedRangeCallback):
        (insertTextCallback):
        (unmarkTextCallback):
        (firstRectForCharacterRangeCallback):
        (selectedRangeCallback):
        (makeTextInputController):
        * DumpRenderTree/efl/TextInputController.h: Added.

2012-04-23  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL] Pass a WTF::String directly from DRT to ewebkit when possible
        https://bugs.webkit.org/show_bug.cgi?id=84634

        Reviewed by Gustavo Noronha Silva.

        Drop unnecessary const char* -> WTF::String conversions by
        creating String objects directly in LayoutTestController out of
        JSStringRef's and passing them to DumpRenderTreeSupportEfl.

        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::queueLoad):
        (LayoutTestController::setValueForUser):
        (LayoutTestController::findString):
        (LayoutTestController::addUserStyleSheet):

2012-05-08  Alexander Shalamov  <alexander.shalamov@intel.com>

        [EFL][DRT] EventSender needs implementation of leapForward function
        https://bugs.webkit.org/show_bug.cgi?id=83486

        Reviewed by Eric Seidel.

        Implemented leapForward function in Efl's DRT. This function is required
        to delay and queue event execution and simulate real user behavior.

        * DumpRenderTree/efl/EventSender.cpp:
        (DelayedEvent):
        (MouseEventInfo::MouseEventInfo):
        (MouseEventInfo):
        (sendClick):
        (mouseDownCallback):
        (mouseUpCallback):
        (mouseMoveToCallback):
        (leapForwardCallback):
        (mouseScrollByCallback):
        (feedOrQueueMouseEvent):
        (feedMouseEvent):
        (feedQueuedMouseEvents):

2012-05-08  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [GTK] Memory leak in DRT EventSender.cpp
        https://bugs.webkit.org/show_bug.cgi?id=85886

        Reviewed by Martin Robinson.

        Fix a memory leak in gdkModifersFromJSValue() by using JSRetainPtr for
        JSString created with JSStringCreateWithUTF8CString.

        * DumpRenderTree/gtk/EventSender.cpp:
        (gdkModifersFromJSValue):

2012-05-08  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] glib dependency needs to be updated in jhbuild
        https://bugs.webkit.org/show_bug.cgi?id=85878

        Reviewed by Martin Robinson.

        Bump glib version from 2.31.8 to 2.32.2 in jhbuild.modules. This
        addresses flakiness in media tests due to possible deadlock with the
        following output on stderr:
        GStreamer-WARNING **: wrong STREAM_LOCK count 0

        The bug was fixed upstream by:
        http://git.gnome.org/browse/glib/commit/?id=265f265c677bc5399dbb1cfa449cb4b915a6459f

        * efl/jhbuild.modules:

2012-05-07  Alexis Menard  <alexis.menard@openbossa.org>

        [Qt] Unbreak debugging of WebKit2.
        https://bugs.webkit.org/show_bug.cgi?id=85839

        Reviewed by Simon Hausmann.

        When you attach GDB to a running process, it stops it.
        http://trac.webkit.org/changeset/115958 introduced a pause() 
        call to wait the debugger to be attached to then continue 
        the execution of the WebProcess. Unfortunately the pause()
        function does not return unless a signal handler is called.
        This patch introduce an event handler to exit from the paused
        state when the debugger send the signal SIGCONT. The old code
        works with older version of GDB (<7.0) but not with newer
        versions where the behavior of pause() is correct.

        * WebKitTestRunner/qt/main.cpp:
        (sigcontHandler):
        (main):

2012-05-08  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][DRT] EFL's DRT does not fully support page visibility
        https://bugs.webkit.org/show_bug.cgi?id=85032

        Reviewed by Antonio Gomes.

        * DumpRenderTree/LayoutTestController.cpp:
        (resetPageVisibilityCallback): Fix incorrect argumentCount check.
        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues): Properly
        reset page visibility setting between tests.
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setPageVisibility): Add support for "preview"
        visibility state.

2012-05-08  Gavin Peters  <gavinp@chromium.org>

        [webkit-patch] Return meaningful results from single-result queries.
        https://bugs.webkit.org/show_bug.cgi?id=85367

        Reviewed by Dirk Pranke.

        Sometimes a quicksearch returns a single result by just redirecting to the page for that single
        bug. This patch hacks around that by noticing the redirect target is a single page, and constructing
        a result list consisting of that one bug.

        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        (BugzillaQueries._fetch_bugs_from_advanced_query):

2012-05-08  Gavin Peters  <gavinp@chromium.org>

        [webkit-patch] Add new chrome-channels command to track down current chrome release channels for a committed bug.
        https://bugs.webkit.org/show_bug.cgi?id=85368

        Reviewed by Eric Seidel.

        * Scripts/webkitpy/common/config/urls.py:
        * Scripts/webkitpy/common/net/bugzilla/bugzilla_mock.py:
        (MockBugzillaQueries.fetch_bugs_matching_quicksearch):
        * Scripts/webkitpy/common/net/omahaproxy.py: Added.
        (OmahaProxy):
        (OmahaProxy.__init__):
        (OmahaProxy.set_url):
        (OmahaProxy._json_url):
        (OmahaProxy._get_json):
        (OmahaProxy.get_revisions):
        * Scripts/webkitpy/common/net/omahaproxy_unittest.py: Added.
        (MockOmahaProxy):
        (MockOmahaProxy.__init__):
        (OmahaProxyTest):
        (OmahaProxyTest.test_get_revisions):
        * Scripts/webkitpy/tool/commands/__init__.py:
        * Scripts/webkitpy/tool/commands/bugsearch.py:
        (BugSearch):
        * Scripts/webkitpy/tool/commands/chromechannels.py: Added.
        (ChromeChannels):
        (__init__):
        (execute):
        * Scripts/webkitpy/tool/commands/chromechannels_unittest.py: Added.
        (MockOmahaProxy):
        (MockOmahaProxy.get_revisions):
        (TestableChromeChannels):
        (TestableChromeChannels.__init__):
        (ChromeChannelsTest):
        (ChromeChannelsTest.test_single_bug):
        (ChromeChannelsTest.test_with_query):

2012-05-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix GTK+ unit tests.

        * gtk/common.py:
        (pkg_config_file_variable):

2012-05-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Google tests that time out are leaked
        https://bugs.webkit.org/show_bug.cgi?id=84973

        Reviewed by Philippe Normand.

        Move Tools/Scripts/run-gtk-tests to Tools/gtk/run-api-tests
        leaving run-gtk-tests as simple wrapper that runs run-api-tests in
        a jhbuild environment when jhbuild is available.

        * Scripts/run-gtk-tests: Run Tools/gtk/run-api-tests directly or
        with jhbuild if present.
        * gtk/common.py:
        (pkg_config_file_variable): Generic function to get a variable
        from a pkg-config file.
        (prefix_of_pkg_config_file): Use pkg_config_file_variable with 'prefix'.
        * gtk/run-api-tests: Copied from Tools/Scripts/run-gtk-tests.
        (TestRunner.__init__): Use common.build_path() to get the programs path.
        (TestRunner._lookup_atspi2_binary): Use
        common.pkg_config_file_variable() to get the 'exec_prefix'.
        (TestRunner._start_accessibility_daemons): Use subprocess.Popen()
        directly instead of helper _create_process that has been removed.
        (TestRunner._setup_testing_environment): Use subprocess.Popen()
        directly instead of helper _create_process that has been
        removed. Use common.top_level_path() and common.build_path()
        instead of custom methods that have been removed too.
        (TestRunner._run_test_command): Use subprocess.Popen() directly
        instead of helper _create_process that has been removed.

2012-05-08  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] [DRT] Clear extra views before setting a blank page
        https://bugs.webkit.org/show_bug.cgi?id=85608

        Reviewed by Kenneth Rohde Christiansen.

        We need to clear the extra views before setting a blank page,
        otherwise it will cause more events interactions and sometimes
        trigger a unload(). This was causing frame-crash-with-page-cache.html
        to leak events to the next test causing any subsequent test to
        fail.

        * DumpRenderTree/efl/DumpRenderTree.cpp:
        (runTest):
        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::clearExtraViews):
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2012-05-08  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] X11 plugins need to be reworked for Qt5+WK1
        https://bugs.webkit.org/show_bug.cgi?id=80691

        Reviewed by Simon Hausmann.

        Implement basic windowless plugin support with Qt5.

        * qmake/mkspecs/features/features.prf:
        Enable NPAPI plugins if X11 libraries are available.
        * qmake/mkspecs/features/functions.prf:
        Added a convenience function to determine availability
        of X11 libraries.

2012-05-07  Raphael Kubo da Costa  <rakuco@webkit.org>

        [webkitpy] Remove Python 2.5-specific workaround from http_server_base.py.
        https://bugs.webkit.org/show_bug.cgi?id=85852

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/layout_tests/servers/http_server_base.py:
        (HttpServerBase._is_server_running_on_all_ports): Revert the part
        of r89412 which was a workaround for an issue with Python 2.5 on
        Mac 10.5.

2012-05-07  Raphael Kubo da Costa  <rakuco@FreeBSD.org>

        webkitdirs.pm: Make determineNumberOfCPUs work on FreeBSD.
        https://bugs.webkit.org/show_bug.cgi?id=81481

        Reviewed by Dirk Pranke.

        FreeBSD has the same sysctl interface present in Darwin to query
        the number of CPUs available, so use that too.

        * Scripts/webkitdirs.pm:
        (determineNumberOfCPUs): Share the sysctl call with Darwin.
        (isFreeBSD): Added.

2012-05-07  Alexis Menard  <alexis.menard@openbossa.org>

        Unreviewed Qt build fix in Debug.

        We need some system includes here for getpid() to be recognized.

        * WebKitTestRunner/qt/main.cpp:

2012-05-07  Ojan Vafai  <ojan@chromium.org>

        When embedding the flakiness dashboard, hide popups when the frame is blurred.
        https://bugs.webkit.org/show_bug.cgi?id=85684

        Reviewed by Dirk Pranke.

        If you show a popup, then click elsewhere in garden-o-matic, it will now
        properly hide it.

        * TestResultServer/static-dashboards/dashboard_base.js:
        (showPopup):
        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (showPopupForBuild):
        (generatePageForIndividualTests.if):
        (generatePageForIndividualTests):
        * TestResultServer/static-dashboards/flakiness_dashboard_embedded_unittests.js: Added.
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        * TestResultServer/static-dashboards/run-embedded-unittests.html: Added.

2012-05-07  Ian Vollick  <vollick@chromium.org>

        [chromium] WebViewHost should setCompositorSurfaceReady
        https://bugs.webkit.org/show_bug.cgi?id=85418

        Reviewed by James Robinson.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::setWebWidget):

2012-05-07  Jon Lee  <jonlee@apple.com>

        WebKitTestRunner needs layoutTestController.dumpFrameLoadCallbacks
        https://bugs.webkit.org/show_bug.cgi?id=42331
        <rdar://problem/8193641>

        Reviewed by Darin Adler.

        This patch sets up the framework for supporting dumpFrameLoadCallbacks, as well as
        outputting some of the required strings. As tests become unskipped the other callbacks
        can be supported.

        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl: Add dumpFrameLoadCallbacks()
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::didReceiveMessage): pass in the dictionary containing keys needed to initialize
        dump callbacks for the layoutTestController.
        (WTR::InjectedBundle::booleanForKey): Helper function to extract boolean value from key in WKDictionaryRef.
        Output some warning if we are trying to extract a value that is not a boolean.
        (WTR::InjectedBundle::beginTesting): Update to take in the dictionary passed in by the TestController.
        We cannot set the bits on the layoutTestController until it has been created in beginTesting().
        * WebKitTestRunner/InjectedBundle/InjectedBundle.h:
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::didReceiveMessage):
        (WTR):
        (WTR::InjectedBundle::beginTesting):
        * WebKitTestRunner/InjectedBundle/InjectedBundle.h:
        (InjectedBundle):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR):
        (WTR::dumpFrameDescriptionSuitableForTestResult): Static function similar to
        -[WebFrame _drt_descriptionSuitableForTestResult] in DumpRenderTree.
        (WTR::InjectedBundlePage::didStartProvisionalLoadForFrame): Output string.
        (WTR::InjectedBundlePage::didCommitLoadForFrame): Output string.
        (WTR::InjectedBundlePage::didFinishLoadForFrame): Output string.
        (WTR::InjectedBundlePage::didReceiveTitleForFrame): Output string.
        (WTR::InjectedBundlePage::didCancelClientRedirectForFrame): Output string.
        (WTR::InjectedBundlePage::willPerformClientRedirectForFrame): Output string. In WK1 it's
        "willPerformClientRedirectToURL" so we will have to use that value here.
        (WTR::InjectedBundlePage::didFinishDocumentLoadForFrame): Output string.
        (WTR::InjectedBundlePage::didHandleOnloadEventsForFrame): Output string.
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::LayoutTestController): Initialize to not dump frame load callbacks.
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:
        (WTR::LayoutTestController::dumpFrameLoadCallbacks): Change to use setShouldDumpFrameLoadCallbacks.
        (WTR::LayoutTestController::setShouldDumpFrameLoadCallbacks): Set bit.
        (WTR::LayoutTestController::shouldDumpFrameLoadCallbacks): Return bit.
        (LayoutTestController): Added m_dumpFrameLoadCallbacks to track whether to dump the output.
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::shouldLogFrameLoadDelegates): Similar to DRT.
        (WTR::TestInvocation::invoke): Based on the URL loaded, set the bit in the dictionary that gets passed
        to the injected bundle.

2012-05-07  Tommy Widenflycht  <tommyw@google.com>

        [chromium] MediaStream API: Enhance WebUserMediaClientMock and add a test for it
        https://bugs.webkit.org/show_bug.cgi?id=85618

        Reviewed by Adam Barth.

        Adding the capability to control which MediaStreamTracks actually get created,
        and adding a test that exercises the JS api using that capability.

        * DumpRenderTree/chromium/WebUserMediaClientMock.cpp:
        (WebKit::WebUserMediaClientMock::requestUserMedia):
        * DumpRenderTree/chromium/WebUserMediaClientMock.h:
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::testMediaStreamClient):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost):

2012-05-07  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] WebGL feature is not built anymore through build-webkit after r116251
        https://bugs.webkit.org/show_bug.cgi?id=85788

        Reviewed by Martin Robinson.

        Enable WebGL by default for the Gtk port. The feature is already enabled by
        default in configure.ac, so there's no reason it shouldn't be enabled when
        building through build-webkit.

        * Scripts/webkitperl/FeatureList.pm:

2012-05-07  Csaba Osztrogonác  <ossy@webkit.org>

        Unittest fix after r116288, because now there are more than 5 hit for the 'Eric' word.
        We have only 2 'Gavin', so it is a better choice than 'Eric' for unit testing.

        Reviewed by Tor Arne Vestbø.

        * Scripts/webkitpy/tool/bot/irc_command_unittest.py:
        (IRCCommandTest.test_whois):

2012-05-07  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r116299, r116301, and r116303.
        http://trac.webkit.org/changeset/116299
        http://trac.webkit.org/changeset/116301
        http://trac.webkit.org/changeset/116303
        https://bugs.webkit.org/show_bug.cgi?id=85795

        Build is still broken (Requested by Ossy on #webkit).

        * DumpRenderTree/qt/DumpRenderTree.pro:
        * DumpRenderTree/qt/main.cpp:
        (main):
        * QtTestPlatformPlugin/QtTestPlatformPlugin.pro: Removed.
        * QtTestPlatformPlugin/TestIntegration.cpp: Removed.
        * QtTestPlatformPlugin/TestIntegration.h: Removed.
        * QtTestPlatformPlugin/mac/TestFontDatabase.h: Removed.
        * QtTestPlatformPlugin/mac/TestFontDatabase.mm: Removed.
        * QtTestPlatformPlugin/mac/TestIntegrationMac.mm: Removed.
        * QtTestPlatformPlugin/main.cpp: Removed.
        * QtTestPlatformPlugin/testplatform.json: Removed.
        * Tools.pro:
        * WebKitTestRunner/Target.pri:
        * WebKitTestRunner/qt/main.cpp:
        (main):

2012-05-07  Balazs Kelemen  <kbalazs@webkit.org>

        Unreviewed Qt build fix.

        One more try to learn how to use
        const with a pointer array.

        * DumpRenderTree/qt/main.cpp:
        (initializeTestPlatformPlugin):

2012-05-07  Balazs Kelemen  <kbalazs@webkit.org>

        Unreviewed build fix after r116299.

        * DumpRenderTree/qt/main.cpp:
        (initializeTestPlatformPlugin):

2012-05-07  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] Add test specific platform plugin to achieve unified layout test results
        https://bugs.webkit.org/show_bug.cgi?id=80996

        Reviewed by Simon Hausmann.

        Added QtTestPlatformPlugin as a new project under Tools.
        This is a Qt5-ish platform plugin that can be used to tweak the
        platform support interfaces in order to unify layout test results.
        For now it only overrides the font database on Mac and redirects
        everything else to the real platform plugin. The font database it
        provides mimics the way how we set up test fonts with fontconfig on Linux.
        Make DumpRenderTree and WebKitTestRunner use this platform plugin.

        * DumpRenderTree/qt/DumpRenderTree.pro:
        * DumpRenderTree/qt/main.cpp:
        (initializeTestPlatformPlugin):
        (main):
        * QtTestPlatformPlugin/QtTestPlatformPlugin.pro: Added.
        * QtTestPlatformPlugin/TestIntegration.cpp: Added.
        (TestIntegration::TestIntegration):
        (TestIntegration::fontDatabase):
        * QtTestPlatformPlugin/TestIntegration.h: Added.
        (TestIntegration):
        (TestIntegration::hasCapability):
        (TestIntegration::createPlatformPixmap):
        (TestIntegration::createPlatformWindow):
        (TestIntegration::createPlatformBackingStore):
        (TestIntegration::createPlatformOpenGLContext):
        (TestIntegration::createPlatformSharedGraphicsCache):
        (TestIntegration::guiThreadEventDispatcher):
        (TestIntegration::clipboard):
        (TestIntegration::drag):
        (TestIntegration::inputContext):
        (TestIntegration::accessibility):
        (TestIntegration::nativeInterface):
        (TestIntegration::services):
        (TestIntegration::styleHint):
        (TestIntegration::platformTheme):
        * QtTestPlatformPlugin/mac/TestFontDatabase.h: Added.
        (TestFontDatabase):
        * QtTestPlatformPlugin/mac/TestFontDatabase.mm: Added.
        (TestFontDatabase::populateFontDatabase):
        * QtTestPlatformPlugin/mac/TestIntegrationMac.mm: Added.
        (TestIntegration::fontDatabase):
        * QtTestPlatformPlugin/main.cpp: Added.
        (TestIntegrationPlugin::keys):
        (TestIntegrationPlugin::create):
        (TestIntegrationPlugin::initialize):
        * QtTestPlatformPlugin/testplatform.json: Added.
        * Tools.pro:
        * WebKitTestRunner/Target.pri:
        * WebKitTestRunner/qt/main.cpp:
        (main):

2012-05-07  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] media/video-poster-blocked-by-willsendrequest.html is flaky
        https://bugs.webkit.org/show_bug.cgi?id=85609

        Reviewed by Simon Hausmann.

        Flakiness was caused by the fact that
        media/crash-closing-page-with-media-as-plugin-fallback.html and
        media/video-poster-blocked-by-willsendrequest.html use the same PNG
        file as poster attribute in the video tag. The PNG file gets cached
        when the first test is executed and this somehow causes the second
        test to fail. 

        The flakiness was addressed by clearing the memory and page caches
        between tests.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):

2012-05-07  Eric Seidel  <eric@webkit.org>

        Add values for all features to Qt's features.pri
        https://bugs.webkit.org/show_bug.cgi?id=85746

        Reviewed by Tor Arne Vestbø.

        When generate-feature-files generates features.pri it provides a value
        for every possible ENABLE_.  In prepration for landing generate-feature-files
        it seems appropriate to add a value for all possible ENABLEs to the existing
        features.pri.  This lets me make sure that I'm getting them all right!

        * qmake/mkspecs/features/features.pri:

2012-05-07  Adam Bergkvist  <adam.bergkvist@ericsson.com>

        Added myself as a committer.

        Not reviewed.

        * Scripts/webkitpy/common/config/committers.py:

2012-05-07  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL][DRT] Implement LayoutTestController::execCommand
        https://bugs.webkit.org/show_bug.cgi?id=82286

        Reviewed by Antonio Gomes.

        Add missing implementation execCommand and isCommandEnabled to EFL's
        LayoutTestController. 

        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::execCommand):
        (LayoutTestController::isCommandEnabled):

2012-05-06  Hayato Ito  <hayato@chromium.org>

        [prepare-ChangeLog] Excludes a reference file used by reftests from test files.
        https://bugs.webkit.org/show_bug.cgi?id=74268

        Reviewed by Ryosuke Niwa.

        * Scripts/prepare-ChangeLog:
        (generateFileList):

2012-05-06  Mary Wu  <mary.wu@torchmobile.com.cn>

        Add a contributor to committers.py
        https://bugs.webkit.org/show_bug.cgi?id=85761

        Reviewed by Unreviewed.

        Add myself to committers.py contributor.

        * Scripts/webkitpy/common/config/committers.py:

2012-05-06  Dan Bernstein  <mitz@apple.com>

        Tools part of: Building and debugging WebKit in the Xcode IDE requires a lot of setup
        https://bugs.webkit.org/show_bug.cgi?id=85739

        Reviewed by Daniel Bates.

        * Scripts/build-webkit: Moved code that copies from WebKitLibraries to the product directory
        from here...
        * Scripts/copy-webkitlibraries-to-product-directory: ...to this new script.

2012-05-06  Andy Estes  <aestes@apple.com>

        Fix the build after r116246.

        * DumpRenderTree/LayoutTestController.cpp: Remove an unused function.

2012-05-06  Eric Seidel  <eric@webkit.org>

        Update several build-webkit options to match the #defines they toggle
        https://bugs.webkit.org/show_bug.cgi?id=85744

        Reviewed by Adam Barth.

        Most notable here is fixing --3d-canvas to be --webgl these days --
        the define was renamed 15 months ago!

        * Scripts/webkitperl/FeatureList.pm:

2012-05-06  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL] EFL's LayoutTestController setJavaScriptCanAccessClipboard implementation
        https://bugs.webkit.org/show_bug.cgi?id=83687

        Reviewed by Antonio Gomes.

        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setJavaScriptCanAccessClipboard):

2012-05-06  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Convert isPageBoxVisible to use Internals interface.
        https://bugs.webkit.org/show_bug.cgi?id=85692

        Reviewed by Darin Adler.

        Remove isPageBoxVisible functions, because it is able to work in the
        cross-port way through the Internals interface.

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/blackberry/LayoutTestControllerBlackBerry.cpp:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        * DumpRenderTree/chromium/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        (LayoutTestController):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:

2012-05-06  Tom Zakrajsek  <tomz@codeaurora.org>

        sheriffbot isn't reopening patches after it lands rollouts
        https://bugs.webkit.org/show_bug.cgi?id=64418

        Reviewed by Adam Barth.

        * Scripts/webkitpy/tool/commands/download_unittest.py:
        * Scripts/webkitpy/tool/steps/createbug.py:
        (CreateBug.run):

2012-05-04  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Use os.pathsep instead of manually finding out the path separator in NRWT.
        https://bugs.webkit.org/show_bug.cgi?id=85697

        Reviewed by Eric Seidel.

        * Scripts/new-run-webkit-tests: Instead of manually detecting whether
        the path separator should be ':' or ';' by checking sys.platform, rely
        on os.pathsep which has exactly the same information (os.pathsep is
        ':' for Cygwin, from what I could check in Python's sources).

2012-05-05  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r116223.
        http://trac.webkit.org/changeset/116223
        https://bugs.webkit.org/show_bug.cgi?id=85718

        The bots need to set XDG_DATA_DIRS (Requested by rakuco on
        #webkit).

        * efl/jhbuildrc:
        * gtk/jhbuildrc:

2012-05-05  Raphael Kubo da Costa  <rakuco@webkit.org>

        [jhbuild] Do not set XDG_DATA_DIRS in jhbuildrc.
        https://bugs.webkit.org/show_bug.cgi?id=85717

        Reviewed by Martin Robinson.

        After r116209, the XDG_DATA_DIRS environment variable is now
        passed by webkitpy's layout_tests code to run-with-jhbuild, so
        instead of setting a few defaults in jhbuildrc we can now rely on
        the values set and really used by each system.

        * efl/jhbuildrc:
        * gtk/jhbuildrc:

2012-05-05  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Buildfix for --minimal build after r116107.

        Reviewed by Csaba Osztrogonác.

        * qmake/mkspecs/features/features.prf:

2012-05-05  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] GtkDriver is not required anymore after r116134
        https://bugs.webkit.org/show_bug.cgi?id=85699

        Reviewed by Csaba Osztrogonác.

        Remove GtkDriver as it was replaced by the XvfbDriver and is
        no longer needed.

        * Scripts/webkitpy/layout_tests/port/gtk.py:

2012-05-05  Zan Dobersek  <zandobersek@gmail.com>

        Increase the display ID for the Xvfb process to use if pixel_tests argument
        is true rather than if pixel_tests option is present. This fixes the
        XvfbDriver in the same way r115825 fixed the now-redundant GtkDriver.

        Rubber-stamped by Csaba Osztrogonác.

        * Scripts/webkitpy/layout_tests/port/xvfbdriver.py:
        (XvfbDriver._start):

2012-05-04  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Preserve XDG_DATA_DIRS in the environment passed to ServerProcess.
        https://bugs.webkit.org/show_bug.cgi?id=85694

        Reviewed by Martin Robinson.

        This is sort of a follow-up to r100674: $XDG_DATA_DIRS should be
        preserved, as it is particularly useful for Linux/Unix
        environments.  As a real use case, if shared-mime-info is
        installed into a non-trivial prefix, Glib and other libraries will
        have trouble to properly identify mimetypes (in ResourceResponses,
        for example) as the base freedesktop.org mimetype file will not be
        found.

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.to.setup_environ_for_server):

2012-05-04  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Simplify how libWebCoreModules is linked in, and fix WebKit2 build
        https://bugs.webkit.org/show_bug.cgi?id=85691

        * GNUmakefile.am: no longer link libWebCoreModules to DumpRenderTree.

2012-05-04  Eric Seidel  <eric@webkit.org>

        Make capitalization and descriptions in FeatureList.pm more consistent to make easier to autogenerate
        https://bugs.webkit.org/show_bug.cgi?id=85583

        Reviewed by Daniel Bates.

        * Scripts/webkitperl/FeatureList.pm:

2012-05-04  Eric Seidel  <eric@webkit.org>

        Sort entries in FeaturesList.pm to make them easier to autogenerate
        https://bugs.webkit.org/show_bug.cgi?id=85584

        Reviewed by Daniel Bates.

        No functional changes, only sorting.

        * Scripts/webkitperl/FeatureList.pm:

2012-05-04  Andy Estes  <aestes@apple.com>

        REGRESSION (r115752): WebKit2.NewFirstVisuallyNonEmptyLayout API test times out
        https://bugs.webkit.org/show_bug.cgi?id=85675

        * TestWebKitAPI/Tests/WebKit2/NewFirstVisuallyNonEmptyLayout.cpp:
        (TestWebKitAPI::TEST): Disable the test.

2012-04-30  Jer Noble  <jer.noble@apple.com>

        Full screen will exit during a provisional load of a non-ancestor iframe.
        https://bugs.webkit.org/show_bug.cgi?id=85230

        Reviewed by Maciej Stachowiak .

        Add support for the new UIDelegate webView:closeFullScreenWithListener: method:
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:closeFullScreenWithListener:]):

        Add support for the new closeFullScreen injected bundle method:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        (WTR::InjectedBundlePage::closeFullScreen):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:

2012-05-04  Ojan Vafai  <ojan@chromium.org>

        Fix test naming to be camel-case like the methods they are testing.

        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (test):

2012-05-04  Ojan Vafai  <ojan@chromium.org>

        Show the results links in the embedded flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=85660

        Reviewed by Adam Barth.

        Turns out these links don't add much visual noise and it's annoying
        to have to go to the dashboard from garden-o-matic just to view the
        results for a test.

        This is useful for cases where garden-o-matic doesn't properly show the
        results (e.g. missing tests). If we address all those cases, then
        we could easily hide the results links again if we wanted to.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (showUpdateInfoForTest):
        (htmlForIndividualTestOnAllBuildersWithResultsLinks):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (test):

2012-05-04  Dirk Pranke  <dpranke@chromium.org>

        Revert to using chromium --test-shell mode on SL in NRWT

        https://bugs.webkit.org/show_bug.cgi?id=83076

        Unreviewed, build fix.

        We seem to be seeing a lot more flakiness on the bot since
        I switched NRWT to "DRT" mode. We'll try reverting back and
        see if this helps things.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumDriver.__init__):

2012-05-04  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Implement layoutTestController.dumpResourceResponseMIMETypes
        https://bugs.webkit.org/show_bug.cgi?id=84941

        Reviewed by Martin Robinson.

        Print MIME type detection messages in EFL's DumpRenderTree if
        LayoutTestController's dumpResourceResponseMIMETypes() returns true.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::onResponseReceived):

2012-05-04  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [GTK] DRT needs an implementation of LayoutTestController::setDefersLoading and ::goBack
        https://bugs.webkit.org/show_bug.cgi?id=85134

        Reviewed by Martin Robinson.

        Add missing implementation setDefersLoading and goBack to GTK's
        LayoutTestController so that the test case rely on these methods
        can be enabled.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::goBack):
        (LayoutTestController::setDefersLoading):

2012-05-04  Kristóf Kosztyó  <kkristof@inf.u-szeged.hu>

        [Qt][NRWT] Run each DRT in it's own xvfb
        https://bugs.webkit.org/show_bug.cgi?id=77335

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort._driver_class):
        * Scripts/webkitpy/layout_tests/port/qt.py:
        (QtPort._driver_class):
        * Scripts/webkitpy/layout_tests/port/xvfbdriver.py: Added.
        (XvfbDriver):
        (XvfbDriver._start):
        (XvfbDriver._start.x_filter):
        (XvfbDriver.stop):

2012-05-04  Zan Dobersek  <zandobersek@gmail.com>

        Use destructuring assingment for the return values of the
        port.diff_image() method call.

        Rubber-stamped by Dirk Pranke.

        * Scripts/webkitpy/layout_tests/controllers/test_result_writer.py:
        (write_test_result):

2012-05-03  Ojan Vafai  <ojan@chromium.org>

        Store fewer runs by default in the flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=85568

        Reviewed by Dirk Pranke.

        This will greatly shrink the size of the json files we load,
        resulting in a much faster initial load. People rarely care
        about more than 100 runs. For the cases they do, they can still click
        the show all runs checkbox to show 500 runs.

        * TestResultServer/model/jsonresults.py:

2012-05-04  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Frame load callbacks output is missing for redirections
        https://bugs.webkit.org/show_bug.cgi?id=85173

        Reviewed by Antonio Gomes.

        Catch the new ewk_frame signals to print the expected output in case
        of redirections, when LayoutTestController's dumpFrameLoadCallbacks()
        returns true.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::onWillSendRequest):
        (DumpRenderTreeChrome::onFrameCreated):
        (DumpRenderTreeChrome::onFrameRedirectForProvisionalLoad):
        (DumpRenderTreeChrome::onFrameRedirectRequested):
        (DumpRenderTreeChrome::onResponseReceived):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2012-05-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Fix up warning about missing GLib/Gio/GStreamer

        We don't actually fall back.

        Rubber-stamped by Csaba Osztrogonác.

        * qmake/mkspecs/features/features.prf:

2012-05-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Clarify warning about missing GLib/Gio/GStreamer for media support

        And only print it once.

        Reviewed by Csaba Osztrogonác.

        * qmake/mkspecs/features/features.prf:

2012-05-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Clean up and split features.prf into a static list of defaults

        The static list of feature defaults is used as a fallback for any
        feature that's not dynamically detected or overriden on the command
        line (though build-webkit or passing DEFINES+= to qmake).

        The static list is complete, which allows for auto-generation based
        on Features.py (see bug https://bugs.webkit.org/show_bug.cgi?id=85456)

        https://bugs.webkit.org/show_bug.cgi?id=85611

        Reviewed by Simon Hausmann.

        * Scripts/build-webkit:
        * Tools.pro:
        * qmake/mkspecs/features/features.prf:
        * qmake/mkspecs/features/features.pri: Added.

2012-05-04  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r116085, r116091, and r116095.
        http://trac.webkit.org/changeset/116085
        http://trac.webkit.org/changeset/116091
        http://trac.webkit.org/changeset/116095
        https://bugs.webkit.org/show_bug.cgi?id=85628

        We are not ready with dependencies on all platform yet (mac) +
        problems with debug builds. (Requested by Zoltan on #webkit).

        * qmake/mkspecs/features/features.prf:

2012-05-04  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] LayoutTestController does not support overriding WebKitLoadSiteIconsKey
        https://bugs.webkit.org/show_bug.cgi?id=85171

        Reviewed by Andreas Kling.

        Implement support for overriding "WebKitLoadSiteIconsKey" setting in
        EFL's LayoutTestController.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::overridePreference):

2012-05-03  Alexis Menard  <alexis.menard@openbossa.org>

        [Qt] Enable fullscreen API for WebKit2.
        https://bugs.webkit.org/show_bug.cgi?id=85498

        Reviewed by Simon Hausmann.

        Enable the fullscreen API on the MiniBrowser and turn
        it default on WebKit2, disable it on WK1.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):
        * MiniBrowser/qt/qml/BrowserWindow.qml:
        * Scripts/webkitperl/FeatureList.pm:
        * qmake/mkspecs/features/features.prf:

2012-05-04  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        REGRESSION(r116008) old-run-webkit-tests broken
        https://bugs.webkit.org/show_bug.cgi?id=85597

        Reviewed by Simon Hausmann.

        Reinstate libraryContainsSymbol.

        * Scripts/webkitperl/features.pm:
        (libraryContainsSymbol):

2012-05-04  Zoltan Horvath  <zoltan@webkit.org>

        [Qt] Set WebCore imagedecoders as default and add fallback to QImageDecoder
        https://bugs.webkit.org/show_bug.cgi?id=80400

        Remove WTF_USE_QT_IMAGE_DECODER macro.

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/features.prf:

2012-05-03  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] DRT should obey layoutTestController's addURLToRedirect()
        https://bugs.webkit.org/show_bug.cgi?id=82722

        Reviewed by Maciej Stachowiak.

        Implement support for layoutTestController's addURLToRedirect()
        in EFL's DRT so that it redirects properly when indicated.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::onWillSendRequest):

2012-05-03  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] DRT should support LayoutTestController's willSendRequestReturnsNullOnRedirect()
        https://bugs.webkit.org/show_bug.cgi?id=82704

        Reviewed by Antonio Gomes.

        EFL's DRT needs to obey LayoutTestController's
        willSendRequestReturnsNullOnRedirect().

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::onWillSendRequest):

2012-05-03  Raphael Kubo da Costa  <rakuco@webkit.org>

        git-add-reviewer: Do not put the bug title and its URL in the same line in the commit message.
        https://bugs.webkit.org/show_bug.cgi?id=85570

        Reviewed by Adam Roben.

        The standard format of commit messages and ChangeLog entries has a
        short summary in the first line, followed by the bug URL in
        Bugzilla. Passing "%s" in the pretty format line to git-rev-list
        merges these two lines into a single one separated by a space
        character, which is not what we want.

        Since "%s%n%n%b" is in practice "%B" (raw message), use it
        instead, as the first two lines do not end up being merged
        together.

        * Scripts/git-add-reviewer:
        (writeCommitMessageToFile):

2012-05-03  Ojan Vafai  <ojan@chromium.org>

        Improve UI for garden-o-matic examine view when there are fewer than 5 tests.
        https://bugs.webkit.org/show_bug.cgi?id=85566

        Reviewed by Adam Barth.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/results.js:
        (.):
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/results_unittests.js:
        (.):
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/styles/results.css:

2012-05-03  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Recognize FreeBSD as a valid platform.
        https://bugs.webkit.org/show_bug.cgi?id=81467

        Reviewed by Adam Barth.

        Add PlatformInfo.is_freebsd() so that trying to use webkit-patch
        on FreeBSD does not raise an "unrecognized platform" exception.

        Most of this patch contains some unit tests for the mentioned
        method, as currently platform-specific code is needed only on
        Windows.

        * Scripts/webkitpy/common/system/platforminfo.py:
        (PlatformInfo.__init__):
        (PlatformInfo.is_freebsd):
        (PlatformInfo._determine_os_name):
        * Scripts/webkitpy/common/system/platforminfo_mock.py:
        (MockPlatformInfo.is_freebsd):
        * Scripts/webkitpy/common/system/platforminfo_unittest.py:
        (fake_platform):
        (fake_platform.FakePlatformModule.release):
        (TestPlatformInfo.test_real_code):
        (TestPlatformInfo.test_os_name_and_wrappers):
        (TestPlatformInfo.test_os_version):
        (TestPlatformInfo.test_display_name):
        (TestPlatformInfo.test_total_bytes_memory):
        (TestPlatformInfo.test_free_bytes_memory):
        * Scripts/webkitpy/layout_tests/port/factory.py:
        (PortFactory._default_port):

2012-05-03  Ojan Vafai  <ojan@chromium.org>

        Make the table headers white-space:nowrap. This decreases the vertical size,
        which makes for more minimal embedding in garden-o-matic.

        * TestResultServer/static-dashboards/flakiness_dashboard_tests.css:
        (.table-header-content *):

2012-05-03  Eric Seidel  <eric@webkit.org>

        Split build-webkit's feature option list off into its own module in preparation for autogeneration
        https://bugs.webkit.org/show_bug.cgi?id=85548

        Reviewed by Daniel Bates.

        My Perl-fu is very weak.  This moves the feature option list off into a separate module
        file so that I can easily autogenerate just that file with the fancy new generate-feature-files command.
        It's a bit odd to have an array which we return out to build-webkit to modify, but it turns out
        not to matter.  Also, build-webkit doesn't actually use any of the variables we're using to
        store the results from the option parse, so those end up inaccessible from build-webkit (except by reference)
        which is actually cleaner.  Callers can't assume that they would get a new array every time, but someone
        with more Perl-fu than I could create something fancier than this if we need in the future.

        * Scripts/build-webkit:
        * Scripts/webkitperl/FeatureList.pm: Added.
        (getFeatureOptionList):

2012-05-03  Dirk Pranke  <dpranke@chromium.org>

        REGRESSION: run-webkit-tests failing on Chromium Mac
        https://bugs.webkit.org/show_bug.cgi?id=85459

        Unreviewed, build fix.

        Turns out select doesn't throw IOErrors, it has it's own kind of
        error :(. Trap that instead.

        * Scripts/webkitpy/layout_tests/port/server_process.py:
        (ServerProcess._wait_for_data_and_update_buffers_using_select):

2012-05-03  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] Rewrite FindCairo.cmake.
        https://bugs.webkit.org/show_bug.cgi?id=84895

        Reviewed by Daniel Bates.

        The old approach relied on pkg-config for finding Cairo (which
        introduced a dependency on pkg-config that could be avoided), used
        the LibFindMacros code that we should probably remove in the
        future and did not use the FindPackageHandleStandardArguments
        module.

        Change all that by rewriting the module.
        - Use the pkg-config output optionally instead of requiring it
        like LibFindMacros did.
        - Remove the implicit dependency on FreeType which often found it
        the wrong way via pkg-config and without considering
        CMAKE_PREFIX_PATH.
        - Retrieve the Cairo version by looking at cairo-version.h instead
        of relying on pkg-config. It requires some additional code for
        checking if the desired version has been found, but that will not
        be needed once we start depending on CMake 2.8.3 or later.

        The only downside is that FPHSA sets <UPPERCASED_NAME>_FOUND
        instead of <Name>_FOUND, and to keep things consistent
        Cairo_LIBRARIES and Cairo_INCLUDE_DIRS have become CAIRO_LIBRARIES
        and CAIRO_INCLUDE_DIRS.

        * DumpRenderTree/efl/CMakeLists.txt: Use CAIRO_FOO instead of
        Cairo_FOO.
        * EWebLauncher/CMakeLists.txt: Ditto.

2012-05-03  Ojan Vafai  <ojan@chromium.org>

        Fix modifier and bug sorting on the flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=85554

        Reviewed by Dirk Pranke.

        The sorting assumes that the column header name matches a field
        in the testResults object and uses that field for sorting.
        Filter the bugs out of the modifiers list and put them in a bugs field
        and only put the non-bug modifiers in the modifiers list.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (populateExpectationsData):
        (htmlForSingleTestRow):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:

2012-05-03  Ojan Vafai  <ojan@chromium.org>

        Fix some state resetting when running unittests. HtmlForSingleTestRow
        was flaky.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (htmlForSingleTestRow):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (resetGlobals):

2012-05-03  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Use PlatformInfo wherever possible in the User class.
        https://bugs.webkit.org/show_bug.cgi?id=85549

        Reviewed by Dirk Pranke.

        Instead of relying on sys.platform to detect whether the current
        platform is a Mac, use the PlatformInfo class instead.

        * Scripts/webkitpy/common/system/user.py:
        (User.__init__):
        (User.edit_changelog):

2012-05-03  Ojan Vafai  <ojan@chromium.org>

        Remove the percent failed column from the flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=85552

        Reviewed by Dirk Pranke.

        This column isn't useful enough to justify the visual noise.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (processMissingAndExtraExpectations):
        (tableHeaders):
        (htmlForSingleTestRow):
        (sortTests):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (test):

2012-05-03  Eric Seidel  <eric@webkit.org>

        --coverage should not not use the "feature" options system in build-webkit, similarly remove special-casing for WTF_URL
        https://bugs.webkit.org/show_bug.cgi?id=85542

        Reviewed by Daniel Bates.

        Remove these last two odd-men-out, so that we can generate the default feature options
        for build-webkit using the new generate-feature-files command.
        The Mac build system has some special casing for ENABLE_ defines which gets them
        defined as -D on the build command, even though initially they start out as
        environment variables ENABLE_FOO = ENABLE_FOO.  The Feature options in build-webkit
        depend on this support, but it doesn't work for WTF_USE_ defines like WTF_USE_WTF_URL.
        I'm told that WTF_URL is not actively being worked on, so just removing it for now.
        It should probably come back to life as an ENABLE_, or build-webkit or the Xcode projects
        should be made generically smarter about these USE_WTF defines.
        (There is still WTF_USE_TILED_BACKING_STORE in the feature list, but it only seems
        used by Qt.  If someone tried build-webkit --tiled-backing-store on Mac today it
        would not work!)

        * Scripts/build-webkit:

2012-05-03  Eric Seidel  <eric@webkit.org>

        Remove the last bits of Leopard support from our perl scripts
        https://bugs.webkit.org/show_bug.cgi?id=85545

        Reviewed by Daniel Bates.

        Chromium still supports Leopard (for a little while yet), but AppleMacWebKit dropped
        Leopard support several months ago.  Remove the last bits of isLeopard() branching
        in our Perl scripts, since no one is using this (Chromium has never used this Perl code).

        * Scripts/build-webkit:
        * Scripts/old-run-webkit-tests:
        (countAndPrintLeaks):
        (captureSavedCrashLog):
        * Scripts/webkitdirs.pm:
        (determineArchitecture):
        (argumentsForRunAndDebugMacWebKitApp):

2012-05-03  Ojan Vafai  <ojan@chromium.org>

        [Chromium] Don't show the WebKit Linux ASAN bot on the flakiness dashboard.
        https://bugs.webkit.org/show_bug.cgi?id=85551

        Reviewed by Dirk Pranke.

        It's not uploading results and in the short term we don't plan to have it start.

        * TestResultServer/static-dashboards/builders.js:
        (isChromiumWebkitTipOfTreeTestRunner):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:

2012-05-03  Ojan Vafai  <ojan@chromium.org>

        Show the test name in the dashboard if showChrome==false and we're showing multiple tests
        https://bugs.webkit.org/show_bug.cgi?id=85243

        Reviewed by Dirk Pranke.

        This happens for cases where a test name matches multiple tests.
        In practice, this only happens for virtual test suites (e.g. the canvas tests).

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (htmlForIndividualTestOnAllBuildersWithChrome):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (testHtmlForIndividualTestOnAllBuildersWithChromeNonexistant):
        (testHtmlForIndividualTestOnAllBuildersWithChrome):
        (testHtmlForIndividualTestOnAllBuildersWithChromeWebkitMaster):
        (testHtmlForIndividualTests):

2012-05-03  Ojan Vafai  <ojan@chromium.org>

        Port the flakiness dashboard unittests to qunit
        https://bugs.webkit.org/show_bug.cgi?id=85544

        Reviewed by Adam Barth.

        * TestResultServer/static-dashboards/dashboard_base.js:
        (appendJSONScriptElements):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (resetGlobals):
        (runExpectationsTest):
        (test):
        * TestResultServer/static-dashboards/run-unittests.html: Added.

2012-05-03  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Remove check for readline on Mac.
        https://bugs.webkit.org/show_bug.cgi?id=85547

        Reviewed by Eric Seidel.

        Python 2.5 is not supported by the WebKit project anymore, and
        Python's readline documentation does not mention the module not
        being available in the supported versions.

        * Scripts/webkitpy/common/system/user.py:

2012-05-03  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [NRWT] Run performance tests with lock
        https://bugs.webkit.org/show_bug.cgi?id=78628

        Reviewed by Tony Chang.

        Locking performance tests (like we do for http tests) will force them
        to run in serial. This reduces the load of the machine when running perf
        tests and minimizes the chances of the tests to fail, specially
        timeouts.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.__init__):
        (Manager._is_perf_test):
        (Manager._test_requires_lock):
        * Scripts/webkitpy/layout_tests/port/http_lock.py:

2012-05-03  Dirk Pranke  <dpranke@chromium.org>

        Attempt to fix a crash on SL ...

        Unreviewed, build fix.

        It looks like we may be getting an IOError raised during
        select() on chromium mac, and that error isn't being caught.
        Pushing it into the try/catch block will hopefully catch this
        and allow us to see why the subprocess is crashing.

        * Scripts/webkitpy/layout_tests/port/server_process.py:
        (ServerProcess._wait_for_data_and_update_buffers_using_select):

2012-05-02  Jon Honeycutt  <jhoneycutt@apple.com>

        WebFrameLoaderClient::dispatchWillSendSubmitEvent() needs to be
        implemented for WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=84304

        Reviewed by Jessie Berlin.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        Added new files to project.

        * TestWebKitAPI/Tests/WebKit2/WillSendSubmitEvent.cpp: Added.
        (TestWebKitAPI::didReceiveMessageFromInjectedBundle):
        Look for the "DidReceiveWillSendSubmitEvent" message. The message body
        will be the dictionary of form control names and values passed to the
        injected bundle's willSendSubmitEvent handler; look for the pairs
        "textField" -> "text field" and "passwordField" -> "password field".
        Check that "hiddenField" is not included.
        (TestWebKitAPI::setInjectedBundleClient):
        (TestWebKitAPI::TEST):

        * TestWebKitAPI/Tests/WebKit2/WillSendSubmitEvent_Bundle.cpp: Added.
        (TestWebKitAPI::willSendSubmitEvent):
        Post a message to the TestWebKitAPI process with the dictionary of form
        control names and values that we received.
        (TestWebKitAPI::WillSendSubmitEventTest::WillSendSubmitEventTest):
        (TestWebKitAPI::WillSendSubmitEventTest::didCreatePage):
        Set up the page's form client.

        * TestWebKitAPI/Tests/WebKit2/auto-submitting-form.html: Added.

2012-05-03  Eric Seidel  <eric@webkit.org>

        Remove dead code from build-webkit for working around old XCode dependency bug
        https://bugs.webkit.org/show_bug.cgi?id=85535

        Reviewed by Adam Barth.

        Xcode used to have a bug whereby it didn't notice if you changed the #defines
        passed on the command line to xcodebuild.  I wrote code to work around this
        while bringing up SVG support 5-6 years ago.  I think we can finally remove this
        code from build-webkit, since SVG is the only feature flag to ever use it
        (modern in-progress features like MathML don't seem to be using the support)
        an I suspect the XCode bug has long been fixed.

        * Scripts/build-webkit:
        * Scripts/webkitperl/features.pm:

2012-05-03  Andy Estes  <aestes@apple.com>

        InjectedBundleControllerMac.mm needs to include config.h
        https://bugs.webkit.org/show_bug.cgi?id=85531

        Reviewed by Andreas Kling.

        * TestWebKitAPI/mac/InjectedBundleControllerMac.mm:

2012-05-03  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Use PlatformInfo whenever possible in server_process.py.
        https://bugs.webkit.org/show_bug.cgi?id=85516

        Reviewed by Eric Seidel.

        Eliminate direct access to sys.platform wherever possible by using
        PlatformInfo.is_win() instead.

        * Scripts/webkitpy/layout_tests/port/server_process.py:
        (ServerProcess.__init__): Remove the executive parameter as it was
        not passed by any caller, obtain a SystemHost from port_obj
        instead.
        (ServerProcess._log): Style, remove extra empty line.
        (ServerProcess._start):
        (ServerProcess.stop):
        (ServerProcess.kill):
        * Scripts/webkitpy/layout_tests/port/server_process_unittest.py:
        (TrivialMockPort.__init__): Create a MockSystemHost used by
        ServerProcess.
        (TestServerProcess.test_broken_pipe): Test different platforms.

2012-05-03  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        webkitpy: Style checker broken when committing a PNG
        https://bugs.webkit.org/show_bug.cgi?id=85504

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/style/checkers/png.py:
        (PNGChecker.__init__):

2012-05-03  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, fix another call to join(), similar to the ones landed
        in r115975.

        * Scripts/webkitdirs.pm:
        (jhbuildConfigurationChanged):

2012-05-03  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Remove sys.platform accesses in CrashLogs.
        https://bugs.webkit.org/show_bug.cgi?id=85436

        Reviewed by Dirk Pranke.

        Instead of directly checking for sys.platform == 'darwin', use a
        SystemHost and call PlatformInfo.is_mac().

        * Scripts/webkitpy/common/system/crashlogs.py:
        (CrashLogs.__init__):
        (CrashLogs.find_newest_log):
        (CrashLogs._log_directory_darwin):
        (CrashLogs._find_newest_log_darwin):
        * Scripts/webkitpy/common/system/crashlogs_unittest.py:
        (CrashLogsTest.test_find_log_darwin):
        * Scripts/webkitpy/layout_tests/port/mac.py:
        (MacPort._get_crash_log):
        * Scripts/webkitpy/layout_tests/port/test.py:
        (TestDriver.run_test):
        * Scripts/webkitpy/tool/commands/queries.py:
        (execute):

2012-05-03  Philippe Normand  <pnormand@igalia.com>

        [GTK] join() is wrongly used in webkitdirs.pm since r115532
        https://bugs.webkit.org/show_bug.cgi?id=85501

        Reviewed by Martin Robinson.

        * Scripts/webkitdirs.pm:
        (getJhbuildPath):
        (buildAutotoolsProject):

2012-05-03  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] ImageDiff crashes when it can't open a display
        https://bugs.webkit.org/show_bug.cgi?id=85476

        Reviewed by Martin Robinson.

        Replace gdk_init() initialization call with the g_type_init()
        call. GdkPixbufLoader doesn't actually need the current call to be
        made and this change will also remove crashes when ImageDiff
        is started in an environment without a DISPLAY env.

        * DumpRenderTree/gtk/ImageDiff.cpp:
        (main):

2012-05-03  Zan Dobersek  <zandobersek@gmail.com>

        ImageDiff should be run inside a properly established environment
        https://bugs.webkit.org/show_bug.cgi?id=85292

        Reviewed by Martin Robinson.

        When creating the ImageDiff server process, pass along a freshly-set-up environment
        in which the process should be executed in.

        * Scripts/webkitpy/layout_tests/port/webkit.py:
        (WebKitPort._start_image_diff_process):

2012-05-03  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Allow the web process and WTR to be paused on startup

        Makes it easier to debug the web process or run-webkit-tests -2, as you
        have ample time to attach gdb to the process.

        Reviewed by Simon Hausmann.

        * Scripts/webkitpy/layout_tests/port/qt.py:
        (QtPort.setup_environ_for_server):
        * WebKitTestRunner/qt/main.cpp:
        (main):

2012-05-03  Csaba Osztrogonác  <ossy@webkit.org>

        Password protect "Stop build" button
        https://bugs.webkit.org/show_bug.cgi?id=81982

        Reviewed by Ryosuke Niwa.

        Only authenticated users should be able to use stopBuild, stopAllBuilds, cancelPendingBuild
        features to prevent killing builds on build.webkit.org by SPAM bots.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:

2012-05-03  Dongwoo Im  <dw.im@samsung.com>

        [DRT] Remove the name of parameter, visibility, from the setPageVisibility stub implementations.
        https://bugs.webkit.org/show_bug.cgi?id=85468

        Reviewed by Nikolas Zimmermann.

        * DumpRenderTree/blackberry/LayoutTestControllerBlackBerry.cpp:
        (LayoutTestController::setPageVisibility): Remove the name of parameter, visibility.
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setPageVisibility): Remove the name of parameter, visibility.
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setPageVisibility): Remove the name of parameter, visibility.
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setPageVisibility): Remove the name of parameter, visibility.
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setPageVisibility): Remove the name of parameter, visibility.

2012-05-03  Stephanie Lewis  <slewis@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=85450 unbounded growth of JSDOMWindowShells loading pages in the same window
        <rdar://problem/11320059> REGRESSION (r115083): PLT3 shows linear memory growth and gets slower with each run

        Reviewed by Brady Eidson.

        The API added for DOMWindowExtension, didCreateGlobalObjectForFrame, would create a global object
        for every world, even those that did not need the callback.  This had the side effect of creating a
        JSDOMWindowShell that the associated world didn't necessarily know to clean up.  Instead of creating
        unnecessary objects change the API to globalObjectIsAvailableForFrame and do not pass the global object
        in the API.  The object can be accessed later by those worlds which require it.

        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic.cpp:
        (TestWebKitAPI):
        (TestWebKitAPI::didReceiveMessageFromInjectedBundle):
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic_Bundle.cpp:
        (TestWebKitAPI):
        (DOMWindowExtensionBasic):
        (TestWebKitAPI::DOMWindowExtensionBasic::didCreatePage):
        (TestWebKitAPI::DOMWindowExtensionBasic::globalObjectIsAvailableForFrame):
        (TestWebKitAPI::globalObjectIsAvailableForFrameCallback):

2012-05-03  Nikolas Zimmermann  <nzimmermann@rim.com>

        Not reviewed. Fix mac build, it was missing setPageVisibility/resetPageVisibility stub implementations.

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::resetPageVisibility):
        (LayoutTestController::setPageVisibility):

2012-05-02  Alexander Færøy  <ahf@0x90.dk>

        Rename deviceDPI to devicePixelRatio
        https://bugs.webkit.org/show_bug.cgi?id=85049

        Reviewed by Kenneth Rohde Christiansen.

        Use 1.5 as device pixel ratio for the Qt MiniBrowser.

        * MiniBrowser/qt/qml/BrowserWindow.qml:

2012-05-03  Dongwoo Im  <dw.im@samsung.com>

        [EFL][DRT] Implement the LayoutTestController's methods related to the Page Visibility API.
        https://bugs.webkit.org/show_bug.cgi?id=85347

        Reviewed by Nikolas Zimmermann.

        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/blackberry/LayoutTestControllerBlackBerry.cpp:
        (LayoutTestController::resetPageVisibility): Not implemented.
        (LayoutTestController::setPageVisibility): Not implemented.
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::resetPageVisibility): Reset the page visibility.
        (LayoutTestController::setPageVisibility): Set the page visibility.
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::resetPageVisibility): Not implemented.
        (LayoutTestController::setPageVisibility): Not implemented.
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::resetPageVisibility): Not implemented.
        (LayoutTestController::setPageVisibility): Not implemented.
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::resetPageVisibility): Not implemented.
        (LayoutTestController::setPageVisibility): Not implemented.
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::resetPageVisibility): Not implemented.
        (LayoutTestController::setPageVisibility): Not implemented.

2012-05-02  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r115918.
        http://trac.webkit.org/changeset/115918
        https://bugs.webkit.org/show_bug.cgi?id=85452

        "Broke test-webkitpy on Apple Lion bots" (Requested by estes
        on #webkit).

        * Scripts/webkitpy/common/system/crashlogs.py:
        (CrashLogs.__init__):
        (CrashLogs.find_newest_log):
        (CrashLogs._log_directory_darwin):
        (CrashLogs._find_newest_log_darwin):
        * Scripts/webkitpy/common/system/crashlogs_unittest.py:
        (CrashLogsTest.test_find_log_darwin):
        * Scripts/webkitpy/layout_tests/port/mac.py:
        (MacPort._get_crash_log):
        * Scripts/webkitpy/layout_tests/port/test.py:
        (TestDriver.run_test):
        * Scripts/webkitpy/tool/commands/queries.py:
        (execute):

2012-05-02  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Remove sys.platform accesses in CrashLogs.
        https://bugs.webkit.org/show_bug.cgi?id=85436

        Reviewed by Dirk Pranke.

        Instead of directly checking for sys.platform == 'darwin', use a
        SystemHost and call PlatformInfo.is_mac().

        * Scripts/webkitpy/common/system/crashlogs.py:
        (CrashLogs.__init__):
        (CrashLogs.find_newest_log):
        (CrashLogs._log_directory_darwin):
        (CrashLogs._find_newest_log_darwin):
        * Scripts/webkitpy/common/system/crashlogs_unittest.py:
        (CrashLogsTest.test_find_log_darwin):
        * Scripts/webkitpy/layout_tests/port/mac.py:
        (MacPort._get_crash_log):
        * Scripts/webkitpy/layout_tests/port/test.py:
        (TestDriver.run_test):
        * Scripts/webkitpy/tool/commands/queries.py:
        (execute):

2012-05-02  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Special-case win32 calls in file_lock and executive.
        https://bugs.webkit.org/show_bug.cgi?id=85431

        Reviewed by Dirk Pranke.

        Simplify accesses to sys.platform by only checking if sys.platform
        is "win32" and removing explicit checks for the else case.

        * Scripts/webkitpy/common/system/executive.py:
        (Executive.check_running_pid):
        * Scripts/webkitpy/common/system/file_lock.py:
        (FileLock._create_lock):
        (FileLock._remove_lock):

2012-05-02  Ojan Vafai  <ojan@chromium.org>

        Remove pink from flakiness dashboard
        https://bugs.webkit.org/show_bug.cgi?id=85422

        Reviewed by Dirk Pranke.

        The pink indicates that the test doesn't match it's listing in test_expectations.txt.
        In practice, this just added noise and confused people.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (htmlForSingleTestRow):
        (showLegend):
        * TestResultServer/static-dashboards/flakiness_dashboard_tests.css:
        (#legend-contents *):
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (testHtmlForSingleTestRow):

2012-05-02  Gustavo Noronha Silva  <gns@gnome.org>

        Unreviewed. Fix mistake I committed when applying review comments.

        * jhbuild/jhbuild-wrapper: dependencies_path was getting 'Root'
        appended to its path, so jhbuild itself was being cloned and
        installed in the wrong place when using WEBKITOUTPUTDIR.

2012-05-02  Dirk Pranke  <dpranke@chromium.org>

        nrwt: make ServerProcess work on chromium win
        https://bugs.webkit.org/show_bug.cgi?id=85333

        Reviewed by Ojan Vafai.

        This change implements a poor man's select() that will
        slow-spin doing non-blocking reads on the stdout and stderr
        named pipes connecting the worker to the driver. Seems to work
        and I have yet to see much overhead or ill effects but it
        probably needs more testing.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumDriver.__init__):
        * Scripts/webkitpy/layout_tests/port/server_process.py:
        (ServerProcess._start):
        (ServerProcess._wait_for_data_and_update_buffers_using_select):
        (ServerProcess._wait_for_data_and_update_buffers_using_win32_apis):
        (ServerProcess):
        (ServerProcess._non_blocking_read_win32):
        (ServerProcess._read):
        * Scripts/webkitpy/layout_tests/port/server_process_unittest.py:
        (TestServerProcess.test_basic): Added.

2012-05-02  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Use a SystemHost instead of PlatformInfo in the PNG checker.
        https://bugs.webkit.org/show_bug.cgi?id=85426

        Reviewed by Dirk Pranke.

        r115880 replaced the direct use of sys.platform with a
        PlatformInfo object. Dirk Pranke later told me SystemHost objects
        should be preferred, as nothing out of webkitpy.common.system
        should create its own PlatformInfo instances.

        * Scripts/webkitpy/common/system/systemhost_mock.py:
        (MockSystemHost.__init__): Make it possible to specify a custom
        filesystem object.
        * Scripts/webkitpy/style/checkers/png.py:
        (PNGChecker.__init__): Accept a host object instead of a
        filesystem one, which is now obtained from host.
        (PNGChecker._config_file_path): Retrieve PlatformInfo from
        SystemHost.
        * Scripts/webkitpy/style/checkers/png_unittest.py:
        (PNGCheckerTest.test_init): Adjust calls to PNGChecker to its new
        constructor signature.
        (PNGCheckerTest.test_check): Ditto.

2012-05-02  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Remove direct checks for sys.platform == 'darwin' in the layout test classes.
        https://bugs.webkit.org/show_bug.cgi?id=85424

        Reviewed by Tony Chang.

        We should reduce direct usage of sys.platform in webkitpy and use
        PlatformInfo instead.

        * Scripts/webkitpy/layout_tests/servers/http_server.py:
        (Lighttpd._prepare_config): Call PlatformInfo.is_mac() instead of
        checking for 'darwin' directly.
        * Scripts/webkitpy/layout_tests/servers/http_server_base.py:
        (HttpServerBase.__init__): Ditto.

2012-05-02  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Remove direct sys.platform usage in run_webkit_tests_integrationtest.
        https://bugs.webkit.org/show_bug.cgi?id=85419

        Reviewed by Dirk Pranke.

        As pointed out by Dirk Pranke, a PlatformInfo is not supposed to
        be created directly, we should should a SystemHost instead.

        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.setUp): Create a SystemHost and obtain the PlatformInfo
        object from it instead of creating PlatformInfo directly.

2012-05-02  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Remove direct sys.platform usage in run_webkit_tests_integrationtest.
        https://bugs.webkit.org/show_bug.cgi?id=85419

        Rubber-stamped by Dirk Pranke.

        Follow-up patch to r115887 which fixes some capitalization problems
        pointed out in comments 2 and 4.

        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.setUp):
        (MainTest.test_child_processes_2):
        (MainTest.test_child_processes_min):
        (MainTest.test_exception_raised):
        (MainTest.test_keyboard_interrupt):

2012-05-02  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Remove direct sys.platform usage in run_webkit_tests_integrationtest.
        https://bugs.webkit.org/show_bug.cgi?id=85419

        Reviewed by Dirk Pranke.

        Another part of the work towards replacing direct sys.platform
        usage with PlatformInfo.

        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.setUp): Move the setting of SHOULD_TEST_PROCESSES
        here. Even though it is costlier, unittest.setUpClass was
        introduced in Python 2.7.
        (MainTest.test_child_processes_2): Use self.SHOULD_TEST_PROCESSES.
        (MainTest.test_child_processes_min): Ditto.
        (MainTest.test_exception_raised): Ditto.
        (MainTest.test_keyboard_interrupt): Ditto.
        (MainTest.test_crash_log): Check for PlatformInfo.is_mac().
        (MainTest.test_web_process_crash_log): Ditto, and remove duplicate
        check at the end.
        (MainTest.test_no_http_tests): Remove check for (cygwin && Python
        2.5.2), as we only support Python 2.6+.

2012-05-02  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Remove direct sys.platform usage in the PNG checker.
        https://bugs.webkit.org/show_bug.cgi?id=85407

        Reviewed by Tony Chang.

        Work towards replacing direct sys.platform usage with
        PlatformInfo.

        * Scripts/webkitpy/common/system/platforminfo_mock.py:
        (MockPlatformInfo.__init__): Accept os_name and os_version as
        arguments.
        * Scripts/webkitpy/style/checkers/png.py:
        (PNGChecker.__init__): Create a PlatformInfo object instead of
        using sys.platform when needed.
        (PNGChecker._config_file_path): Check for the current platform via
        PlatformInfo.
        * Scripts/webkitpy/style/checkers/png_unittest.py:
        (PNGCheckerTest.test_check): Update tests after the changes above.

2012-05-02  Raphael Kubo da Costa  <rakuco@webkit.org>

        [watchlist] Update watchlist rules for EFL-related patches.
        http://bugs.webkit.org/show_bug.cgi?id=85160

        Reviewed by Eric Seidel.

        * Scripts/webkitpy/common/config/watchlist: Monitor
        Source/WTF/wtf/efl and LayoutTests/platform/efl as well.

2012-05-02  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Revert r115191 - "Make the web view's url property follow the active url"

        It uncovered/caused issues in the icon-implementation that can't be
        easily fixed, so rolling out instead.

        https://bugs.webkit.org/show_bug.cgi?id=77554

        Rubber-stamped by Simon Hausmann.

        * MiniBrowser/qt/qml/BrowserWindow.qml:
        * TestWebKitAPI/Tests/WebKit2/PageLoadBasic.cpp:
        (TestWebKitAPI::TEST):

2012-05-02  Zan Dobersek  <zandobersek@gmail.com>

        Reftest mismatches are providing undefined diff percent in results.html
        https://bugs.webkit.org/show_bug.cgi?id=85283

        Reviewed by Ojan Vafai.

        When writing test results for a reftest mismatch, also take into account the
        difference percent that is produced when generating image diff. This value is
        then used when creating test results in the form of dictionaries, stored under
        the 'image_diff_percent' key. It ultimately ends up in JSON results data,
        providing additional information about the reftest difference.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (interpret_test_failures): Store the diff percent for reftest failure under the
        'image_diff_percent' key.
        * Scripts/webkitpy/layout_tests/controllers/test_result_writer.py:
        (write_test_result): Also set the new diff_percent attribute of the reftest
        mismatch failure to the value of the difference percent ImageDiff outputs.
        * Scripts/webkitpy/layout_tests/models/test_failures.py:
        (FailureReftestMismatch.__init__): Add the new diff_percent attribute with the
        default value of None.
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (EndToEndTest.test_reftest_with_two_notrefs): Update the test case expected results.

2012-05-02  Terry Anderson  <tdanderson@chromium.org>

        Addition of a contributor to committers.py
        https://bugs.webkit.org/show_bug.cgi?id=85324

        Reviewed by Unreviewed.

        * Scripts/webkitpy/common/config/committers.py:

2012-05-02  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL] EFL's LayoutTestController overridePreference implementation
        https://bugs.webkit.org/show_bug.cgi?id=83007

        Reviewed by Antonio Gomes.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (toBool): aux function converting JSStringRef to bool
        (toInt): aux function converting JSStringRef to int
        (LayoutTestController::overridePreference): added implementation

2012-05-01  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Fix sys.platform check in find_files_unittest.
        https://bugs.webkit.org/show_bug.cgi?id=85339

        Reviewed by Ryosuke Niwa.

        Follow-up to r101618 -- 'win' is not a valid sys.platform value,
        'win32' should be used instead. The check always returned false
        due to this, so assert_normalize() was never called.

        * Scripts/webkitpy/common/find_files_unittest.py:
        (TestWinNormalize.test_win): Add the missing import for the
        FileSystem class and fix the sys.platform check.

2012-05-02  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] drag&drop related failures
        https://bugs.webkit.org/show_bug.cgi?id=84675

        Reviewed by Philippe Normand.

        Rather than checking options to see whether we're running pixel tests
        the pixel_tests argument passed to GtkDriver._start should be used as
        it also covers cases when pixel tests should be run because of testing
        reftests. This again creates different Xvfb processes with proper
        display IDs for a worker that's performing both ordinary and pixel
        tests, as was the case before changes made in r114788.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkDriver._start):

2012-05-02  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Enable device orientation/motion with Qt 5

        Reviewed by Tor Arne Vestbø.

        Enable device orientation/motion features with Qt 5 if Qt Sensors is available.

        * qmake/mkspecs/features/features.prf:

2012-05-01  Raphael Kubo da Costa  <rakuco@webkit.org>

        webkitpy: Remove unused platform imports.
        https://bugs.webkit.org/show_bug.cgi?id=85341

        Reviewed by Eric Seidel.

        Remove a few uses of `import platform' which were either rendered
        unneeded after r105931 or were never needed at all.

        * Scripts/webkitpy/common/system/executive.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter.py:

2012-05-01  Terry Anderson  <tdanderson@chromium.org>

        [chromium] Accept four parameters when dispatching a WebInputEvent::GestureTap in chromium DRT eventSender
        https://bugs.webkit.org/show_bug.cgi?id=85289

        Reviewed by Eric Seidel.

        * DumpRenderTree/chromium/EventSender.cpp:
        (EventSender::gestureEvent):
            This change will allow for testing of WK85101. Currently
            no tests use the extra parameters deltaX and deltaY. Added
            a check for the size of |arguments|.

2012-05-01  Eric Seidel  <eric@webkit.org>

        Add myself to the watchlist to watch all rendering changes, as well as sort the watchers in the list
        https://bugs.webkit.org/show_bug.cgi?id=85305

        Reviewed by Adam Barth.

        * Scripts/webkitpy/common/config/watchlist:

2012-05-01  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r115735.
        http://trac.webkit.org/changeset/115735
        https://bugs.webkit.org/show_bug.cgi?id=85314

        cause two tests to crash due to an ASSERTION failure
        (Requested by zhenyao on #webkit).

        * DumpRenderTree/chromium/EventSender.cpp:
        (EventSender::gestureEvent):

2012-05-01  Terry Anderson  <tdanderson@chromium.org>

        [chromium] Accept four parameters when dispatching a WebInputEvent::GestureTap in chromium DRT eventSender
        https://bugs.webkit.org/show_bug.cgi?id=85289

        Reviewed by Eric Seidel.

        * DumpRenderTree/chromium/EventSender.cpp:
        (EventSender::gestureEvent):
            This change will allow for testing of WK85101. Currently no tests use the extra
            parameters deltaX and deltaY.

2012-05-01  Zan Dobersek  <zandobersek@gmail.com>

        Print out stderr output of ImageDiff if it is present
        https://bugs.webkit.org/show_bug.cgi?id=85285

        Reviewed by Philippe Normand.

        Log the stderr output of ImageDiff as a warning if present. This is
        especially helpful when ImageDiff crashes and stderr data might contain
        relevant information about what caused the crash.

        * Scripts/webkitpy/layout_tests/port/webkit.py:
        (WebKitPort._read_image_diff):

2012-05-01  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        [Qt] Add an experimental extension to set the min. contents width
        https://bugs.webkit.org/show_bug.cgi?id=85281

        Reviewed by Antonio Gomes.

        * MiniBrowser/qt/qml/BrowserWindow.qml:

        Set the value of preferredMinimumContentsWidth to 980.

2012-04-30  Ojan Vafai  <ojan@chromium.org>

        Fix tests to not depend on the actual list of builders at build.chromium.org.

        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (testHtmlForIndividualTestOnAllBuildersWithChrome):
        (testHtmlForIndividualTestOnAllBuildersWithChromeWebkitMaster):

2012-04-29  Sam Weinig  <sam@webkit.org>

        Remove BlobBuilder
        https://bugs.webkit.org/show_bug.cgi?id=84036

        Reviewed by Anders Carlsson.

        * Scripts/build-webkit:
        * qmake/mkspecs/features/features.prf:
        Make exposing the WebKitBlobBuilder JS object conditional on a new
        ENABLE_LEGACY_WEBKIT_BLOB_BUILDER flag. Don't enable this for the Mac,
        but do for everyone else.

2012-04-30  Amruth Raj Padmanabhuni  <amruthraj@motorola.com>

        [GTK] Add glib as a dependency to build glib-networking
        https://bugs.webkit.org/show_bug.cgi?id=85181

        Reviewed by Martin Robinson.

        * gtk/jhbuild.modules:

2012-04-30  Alexis Menard  <alexis.menard@openbossa.org>

        Move myself to reviewers.

        Reviewed by Andreas Kling.

        * Scripts/webkitpy/common/config/committers.py:

2012-04-30  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Unreviewed, move myself to reviewers

        * Scripts/webkitpy/common/config/committers.py:

2012-04-30  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix make distcheck.

        * TestWebKitAPI/GNUmakefile.am: Add missing headers to compilation
        and resources to EXTRA_DIST.

2012-04-30  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [GTK] DRT support for layoutTestController.removeOriginAccessWhitelistEntry
        https://bugs.webkit.org/show_bug.cgi?id=85156

        Reviewed by Martin Robinson.

        Add missing implementation removeOriginAccessWhitelistEntry to
        GTK's LayoutTestController.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::removeOriginAccessWhitelistEntry):

2012-04-29  Maciej Stachowiak  <mjs@apple.com>

        REGRESSION: On Lion, run-webkit-tests changes the display color profile even when not running pixel tests
        https://bugs.webkit.org/show_bug.cgi?id=81729

        Reviewed by Dan Bernstein.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager._set_up_run): Only launch LayoutTestHelper when running pixel tests.

2012-04-29  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [GTK] DRT needs an implementation of layoutTestController.setDomainRelaxationForbiddenForURLScheme
        https://bugs.webkit.org/show_bug.cgi?id=85131

        Reviewed by Martin Robinson.

        Add missing implementation setDomainRelaxationForbiddenForURLScheme to
        GTK's LayoutTestController.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setDomainRelaxationForbiddenForURLScheme):

2012-04-28  Sam Weinig  <sam@webkit.org>

        Smooth scrolling needs a new key
        <rdar://problem/11331632>

        Reviewed by Dan Bernstein.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):
        * TestWebKitAPI/mac/InjectedBundleControllerMac.mm:
        (TestWebKitAPI::InjectedBundleController::platformInitialize):
        * WebKitTestRunner/InjectedBundle/mac/InjectedBundleMac.mm:
        (WTR::InjectedBundle::platformInitialize):
        Update for new key.

2012-04-28  Zan Dobersek  <zandobersek@gmail.com>

        [WK2] http/tests/navigation/anchor-frames-gbk.html fails
        https://bugs.webkit.org/show_bug.cgi?id=76896

        Reviewed by Darin Adler.

        Only dump as text if currently dumping render tree. This ensures that
        calling dumpAsText in a test with dumpChildFramesAsText already being
        called doesn't override the first decision, possibly making tests fail.

        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::dumpAsText):

2012-04-28  Dan Winship  <danw@gnome.org>

        Unreviewed; Add me to the SoupNetwork watchlist

        * Scripts/webkitpy/common/config/watchlist:

2012-04-27  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] jhbuild cloning is not following WEBKITOUTPUTDIR.
        https://bugs.webkit.org/show_bug.cgi?id=76161

        Reviewed by Martin Robinson.

        * Scripts/webkitdirs.pm:
        (getJhbuildPath): New method to obtain the jhbuild base directory,
        using the product base directory
        (jhbuildConfigurationChanged): Use the new method
        (buildAutotoolsProject): Ditto.
        * efl/jhbuildrc: Use WEBKITOUTPUTDIR when calculating the path.
        * gtk/jhbuildrc: Ditto.
        * jhbuild/jhbuild-wrapper: Ditto.

2012-04-27  Scott Graham  <scottmg@chromium.org>

        [chromium] make case of npTestNetscapePlugIn.dll match case in copy rule
        https://bugs.webkit.org/show_bug.cgi?id=85083

        Reviewed by Dirk Pranke.

        Make output product_name for npTestNetscapePlugIn.dll match the case
        of the copy_TestNetscapePlugIn rule. This is required for ninja, which
        is more particular about case matching in rules than the VS build.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2012-04-27  Dirk Pranke  <dpranke@chromium.org>

        [chromium] use "drt-style" output, not "test-shell-style" output, on mac and linux DRT
        https://bugs.webkit.org/show_bug.cgi?id=84917

        Unreviewed, build fix.

        Reland the change in r115453 with a fix for chromium win.
        The logic in ChromiumDriver was busted on windows, causing DRT
        to get launched without the --test-shell flag.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumDriver):
        (ChromiumDriver.__init__):
        (ChromiumDriver._wrapper_options):
        (ChromiumDriver.cmd_line):
        (ChromiumDriver._start):
        (ChromiumDriver.has_crashed):
        (ChromiumDriver.run_test):
        (ChromiumDriver.stop):
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        (ChromiumDriverTest.setUp):
        (ChromiumDriverTest.test_stop):
        (ChromiumDriverTest.test_two_drivers.MockDriver.__init__):
        (ChromiumDriverTest.test_two_drivers):

2012-04-27  Peter Beverloo  <peter@chromium.org>

        Add John Grabowski as a non-committer to committers.py
        https://bugs.webkit.org/show_bug.cgi?id=85080

        Reviewed by Dirk Pranke.

        He's being CC'ed often enough because of his involvement in the Chromium
        side of Chrome for Android upstreaming.

        * Scripts/webkitpy/common/config/committers.py:
          add jrg@chromium.org

2012-04-27  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        [Qt] Fix minimal build.
        https://bugs.webkit.org/show_bug.cgi?id=85045

        Reviewed by Tor Arne Vestbø.

        Do not set conflicting values of ENABLE_XSLT.

        * qmake/mkspecs/features/features.prf:

2012-04-27  Dominik Röttsches  <dominik.rottsches@linux.intel.com>

        [EFL][DRT] EFL should sanitize pulseaudio module configuration too
        https://bugs.webkit.org/show_bug.cgi?id=85047

        Reviewed by Dirk Pranke.

        PulseAudio test setup sanitization shared between EFL and GTK.

        * Scripts/webkitpy/layout_tests/port/efl.py:
        (EflPort):
        (EflPort.setup_test_run):
        (EflPort.clean_up_test_run):
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort): Moving pulseaudio unload/restore out to shared class.
        * Scripts/webkitpy/layout_tests/port/pulseaudio_sanitizer.py: Added.
        (PulseAudioSanitizer):
        (PulseAudioSanitizer._unload_pulseaudio_module):
        (PulseAudioSanitizer._restore_pulseaudio_module):

2012-04-27  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, revert r115453 - broke chromium win bots

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort._path_to_image_diff):
        (ChromiumDriver):
        (ChromiumDriver.__init__):
        (ChromiumDriver._wrapper_options):
        (ChromiumDriver.cmd_line):
        (ChromiumDriver.stop):
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        (ChromiumDriverTest.setUp):
        (ChromiumDriverTest.test_stop):
        (ChromiumDriverTest.test_two_drivers):
        (ChromiumDriverTest.test_two_drivers.MockDriver.__init__):

2012-04-27  Ryosuke Niwa  <rniwa@webkit.org>

        Chromium Windows Perf bots timeout due to not output
        https://bugs.webkit.org/show_bug.cgi?id=84940

        Reviewed by Dirk Pranke.

        Dirk and I investigated the issue on the bot but we couldn't figure out what is going wrong.
        Since we run-perf-tests don't need any of fancy feature printer provides, just use python's
        built-in logging module instead. Printing out to stdout and stderr seem to work so hopefully
        this will fix the issue on the bot.

        * Scripts/run-perf-tests:
        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest.run):
        (PerfTest.run_failed):
        (PerfTest.parse_output):
        (PerfTest.output_statistics):
        (ChromiumStylePerfTest.parse_output):
        (PageLoadingPerfTest.run):
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (MainTest.test_parse_output):
        (MainTest.test_parse_output_with_failing_line):
        (TestPageLoadingPerfTest):
        (TestPageLoadingPerfTest.test_run):
        (TestPageLoadingPerfTest.test_run_with_bad_output):
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner.__init__):
        (PerfTestsRunner._parse_args):
        (PerfTestsRunner.run):
        (PerfTestsRunner._upload_json):
        (PerfTestsRunner._print_status):
        (PerfTestsRunner._run_tests_set):
        (PerfTestsRunner._run_single_test):
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (create_runner):
        (test_run_test_set):
        (test_run_test_set_kills_drt_per_run):
        (test_run_test_pause_before_testing):
        (test_run_test_set_for_parser_tests):
        (test_run_test_set_with_json_output):
        (test_run_test_set_with_json_source):
        (test_run_test_set_with_multiple_repositories):
        (test_upload_json):
        (test_parse_args):

2012-04-27  Dirk Pranke  <dpranke@chromium.org>

        [chromium] use "drt-style" output, not "test-shell-style" output, on mac and linux DRT
        https://bugs.webkit.org/show_bug.cgi?id=84917

        Reviewed by Ojan Vafai.

        This change changes the chromium new-run-webkit-tests
        implementation to use the code in WebKitDriver and ServerProcess
        by default on Mac and Linux, instead of using the old-style
        Chromium/test_shell style of output.

        We will still use the test_shell style on Windows for now
        and you can still get the old style of behavior with
        new-run-webkit-tests --additional-drt-flag --test-shell

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumDriver):
        (ChromiumDriver.__init__):
        (ChromiumDriver._wrapper_options):
        (ChromiumDriver.cmd_line):
        (ChromiumDriver._start):
        (ChromiumDriver.has_crashed):
        (ChromiumDriver.run_test):
        (ChromiumDriver.stop):
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        (ChromiumDriverTest.setUp):
        (ChromiumDriverTest.test_stop):
        (ChromiumDriverTest.test_two_drivers.MockDriver.__init__):
        (ChromiumDriverTest.test_two_drivers):

2012-04-27  Dirk Pranke  <dpranke@chromium.org>

        webkitpy: fix race in unit tests for manager_worker_broker
        https://bugs.webkit.org/show_bug.cgi?id=84925

        Reviewed by Ojan Vafai.

        I have been intermittently seeing hangs when running
        test-webkitpy on Mac SL; it appears that there's a bug (?) in
        the multiprocessing module where queue references are getting
        leaked or not cleaned up somehow. By explicitly closing the
        queues, things seem to be happy, so this patch adds a cleanup()
        method to the message broker and modifies the manager (and the
        unit tests) to call it. This may get rid of the intermittent
        error on shutdown on Linux I've seen as well.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager._run_tests):
        * Scripts/webkitpy/layout_tests/controllers/manager_worker_broker.py:
        (_Broker.__del__):
        (_Broker):
        (_Broker.cleanup):
        (_BrokerConnection.cleanup):
        * Scripts/webkitpy/layout_tests/controllers/manager_worker_broker_unittest.py:
        (_TestsMixin.test_name):
        (_TestsMixin.test_cancel):
        (_TestsMixin.test_done):
        (_TestsMixin.test_unknown_message):

2012-04-27  Gavin Peters  <gavinp@chromium.org>

        Add new ENABLE_LINK_PRERENDER define to control the Prerendering API
        https://bugs.webkit.org/show_bug.cgi?id=84871

        Reviewed by Adam Barth.

        Prerendering is currently covered by the ENABLE_LINK_PREFETCH macro, but the new Prerendering
        API separates it from prefetching.  Having separate include guards lets ports enable prefetching,
        a relatively easy change, without needing to build the infrastructure for prerendering, which
        is considerably more complicated.

2012-04-27  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, GTK gardening.

        * Scripts/run-gtk-tests:
        (TestRunner): Skip flaky WebKit2 API test.

2012-04-27  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, GTK gardening.

        * Scripts/run-gtk-tests:
        (TestRunner): Fix another typo. So easy to get confused by a Test
        name and the actual name of the executable...

2012-04-27  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, GTK gardening.

        * Scripts/run-gtk-tests:
        (TestRunner): Skip failing WebKit2 API test.

2012-04-27  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] DRT should support LayoutTestController's dumpResourceLoadCallbacks()
        https://bugs.webkit.org/show_bug.cgi?id=81891

        Reviewed by Philippe Normand.

        Implement support for LayoutTestController's
        dumpResourceLoadCallbacks() in EFL's DumpRenderTree by catching new
        ewk_view signals about resource loading and print out the expected
        information. This allows for several test cases to be removed from the
        skip list.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (descriptionSuitableForTestResult):
        (DumpRenderTreeChrome::onResponseReceived):
        (DumpRenderTreeChrome::onResourceLoadFinished):
        (DumpRenderTreeChrome::onResourceLoadFailed):
        (DumpRenderTreeChrome::onNewResourceRequest):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2012-04-27  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, GTK typo fix.

        * Scripts/run-gtk-tests:
        (TestRunner): Fix-up skipped WebKit2 API test name TestWKConnection.

2012-04-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [SOUP] Add a way to register custom uri schemes in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=84130

        Reviewed by Martin Robinson.

        * Scripts/webkitpy/style/checkers/cpp.py:
        (check_identifier_name_in_declaration): Add webkit_soup prefix to
        the list of exceptions to the underscores in identifiers rule.

2012-04-26  Ryosuke Niwa  <rniwa@webkit.org>

        Extract PerfTestFactory
        https://bugs.webkit.org/show_bug.cgi?id=83944

        Reviewed by Dirk Pranke.
        
        Extracted PerfTestFactory out of PerfTest. This class creates appropriate PerfTest object given
        a test name and a path. Also removed dirname from the constructors of PerfTest and its subclasses.

        Also added simple test cases to sanity check PerfTestFactory.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest.__init__):
        (PerfTest.test_name):
        (ChromiumStylePerfTest.__init__):
        (PageLoadingPerfTest.__init__):
        (PageLoadingPerfTest.run):
        (PerfTestFactory):
        (PerfTestFactory.create_perf_test):
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (MainTest.test_parse_output):
        (MainTest.test_parse_output_with_failing_line):
        (TestPageLoadingPerfTest.test_run):
        (TestPageLoadingPerfTest.test_run_with_bad_output):
        (TestPerfTestFactory):
        (TestPerfTestFactory.test_regular_test):
        (TestPerfTestFactory.test_inspector_test):
        (TestPerfTestFactory.test_page_loading_test):
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner):
        (PerfTestsRunner._collect_tests):
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (run_test):
        (_tests_for_runner):

2012-04-26  Dirk Pranke  <dpranke@chromium.org>

        nrwt: clean up server process, webkit driver so chromium can use it
        https://bugs.webkit.org/show_bug.cgi?id=84910

        Reviewed by Ojan Vafai.

        This change moves the "sample a process" logic out of
        server_process.py and into a port-specific class (where really
        only the mac has an implementation), and also preemptively kills
        DRT when a test times out in WebKitDriver (rather than waiting through the
        additional delays caused by calling stop() when we would want to
        restart the driver generically in worker.py).

        These changes will make it possible for the chromium port to
        switch over to the stock WebKitDriver implementation, at least
        on mac and linux.

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.sample_process):
        * Scripts/webkitpy/layout_tests/port/mac.py:
        (MacPort.sample_process):
        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
        (test_helper_fails_to_stop):
        (test_sample_process):
        (test_sample_process.logging_run_command):
        (test_sample_process_throws_exception):
        (test_sample_process_throws_exception.throwing_run_command):
        * Scripts/webkitpy/layout_tests/port/server_process.py:
        (ServerProcess._log):
        (ServerProcess._handle_timeout):
        (ServerProcess.stop):
        (ServerProcess):
        (ServerProcess.kill): Here we add a method to immediately stop
        the process rather than trying to shut it down cleanly.
        * Scripts/webkitpy/layout_tests/port/server_process_unittest.py:
        (TestServerProcess.test_broken_pipe):
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        (WebKitDriver.run_test): Fix an issue where we weren't passing
        along any per-test args (only needed for Chromium, but still).
        Also, kill the driver immediately if we time out a test.

2012-04-26  Benjamin Poulain  <bpoulain@apple.com>

        ObjcClass::methodsNamed() can leak if buffer is dynamically allocated
        https://bugs.webkit.org/show_bug.cgi?id=84668

        Reviewed by Alexey Proskuryakov.

        Extend ObjCPlugin to support the new layout tests of the Objective-C bridge.

        * DumpRenderTree/mac/ObjCPlugin.m:
        (+[ObjCPlugin isSelectorExcludedFromWebScript:]):
        (+[ObjCPlugin webScriptNameForSelector:]):
        (-[ObjCPlugin methodMappedToLongName]):
        (-[ObjCPlugin testConversionColon:]):
        (-[ObjCPlugin _:]):

2012-04-26  Dimitri Glazkov  <dglazkov@chromium.org>

        Unreviewed, rolling out r115340.
        http://trac.webkit.org/changeset/115340
        https://bugs.webkit.org/show_bug.cgi?id=83048

        Does not work with Windows.

        * Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:
        (SingleTestRunner._run_reftest):
        * Scripts/webkitpy/layout_tests/controllers/test_result_writer.py:
        (copy_file):
        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port._parse_reftest_list):
        (Port.reference_files):
        (Port._real_tests):
        * Scripts/webkitpy/layout_tests/port/base_unittest.py:
        (PortTest.test_reference_files):
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        (ChromiumDriverTest.test_write_command_and_read_line):

2012-04-26  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Enable VIDEO_TRACK feature
        https://bugs.webkit.org/show_bug.cgi?id=84830

        Reviewed by Gustavo Noronha Silva.

        Enable VIDEO_TRACK by default on EFL port whenever build-webkit is
        used.

        * Scripts/build-webkit:

2012-04-08  Robert Hogan  <robert@webkit.org>

        new-webkit-run-tests: handle ref tests from the CSS test suite
        https://bugs.webkit.org/show_bug.cgi?id=83048

        Reviewed by Ryosuke Niwa.

        This allows new-run-webkit-tests to run reference tests created for the CSS test suite. It removes a big swathe
        of pixel and text results that are no longer required now that the reference results are used and adds in the support
        files from the CSS test suite that allow the ref tests to run.

        * Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:
        (SingleTestRunner._run_reftest): Assert that the reference result exists. Previously the test would
         run without it and report a pass!
        * Scripts/webkitpy/layout_tests/controllers/test_result_writer.py:
        (copy_file): ensure the output directory exists, it may not if the reference test is
          contained in a folder that contains nothing but reference tests.
        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.available_reference_files): Add as a helper. Handle embedded relative paths, e.g: some/../path
        (Port.reference_files): Only return reference results in the reftest list that actually exist on
          disk. Also, don't ignore potential reference results on disk that are not in the reftest list, and
          don't ignore them just because we have a reftest list for the test's directory.
        (Port._real_tests): ignore anything that looks like a test in a 'support' directory, this semantic
          is used by the CSS 2.1 test suite.
        * Scripts/webkitpy/layout_tests/port/base_unittest.py:
        (PortTest.test_reference_files_when_reftestlist_and_reference_file_present): Ensure that a test with a reference result
          on disk but no reference result listed in the directory's reftest list picks up its reference result.
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        (ChromiumDriverTest.test_strip_uri): Test that some/test.html and some/other/../test.html are treated
         as the same file.

2012-04-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix GTK+ build after r115314.

        For some reason it fails while bulding GtkVersioning for WTR, but
        it didn't fail neither in EWS nor in my laptop. We don't really
        need GtkVersioning in WTR since it already depends on GTK+3
        unconditionally.

        * WebKitTestRunner/GNUmakefile.am: Remove GtkVersioning.c from
        compilation.
        * WebKitTestRunner/gtk/EventSenderProxyGtk.cpp:
        (WTR::EventSenderProxy::createMouseButtonEvent): Use GTK+ 3 API
        directly instead of getDefaultGDKPointerDevice() helper.
        (WTR::EventSenderProxy::keyDown): Ditto.
        (WTR::EventSenderProxy::mouseMoveTo): Ditto.

2012-04-24  Ojan Vafai  <ojan@chromium.org>

        Show flakiness dashboard data in garden-o-matic
        https://bugs.webkit.org/show_bug.cgi?id=83716

        Reviewed by Dimitri Glazkov.

        Put an iframe below the expected/actual results in the Results view.
        Size the iframe to it's height.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/garden-o-matic.html:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/run-unittests.html:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/results.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/results_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/styles/results.css:

2012-04-26  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] [DRT] LayoutTestController needs implementation of setJavaScriptProfilingEnabled
        https://bugs.webkit.org/show_bug.cgi?id=84576

        Reviewed by Martin Robinson.

        Add missing implementation setJavaScriptProfilingEnabled to EFL's
        LayoutTestController in order to unskip tests rely on this setting.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setJavaScriptProfilingEnabled):

2012-04-26  Xianzhu Wang  <wangxianzhu@chromium.org>

        Add Jing Zhao, Min Qin, Tien-Ren Chen and Hao Zheng into contributors list.

        Not reviewed.

        * Scripts/webkitpy/common/config/committers.py:

2012-04-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Test TestWebKitAPI/WebKit2/TestNewFirstVisuallyNonEmptyLayout times out
        https://bugs.webkit.org/show_bug.cgi?id=84957

        Reviewed by Martin Robinson.

        * Scripts/run-gtk-tests:
        (TestRunner): Unskip TestNewFirstVisuallyNonEmptyLayout and
        TestNewFirstVisuallyNonEmptyLayoutForImages.
        * TestWebKitAPI/gtk/PlatformWebViewGtk.cpp:
        (TestWebKitAPI::PlatformWebView::PlatformWebView): Show the
        toplevel window containing the web view to make sure events are
        received.

2012-04-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Add bug numbers to skipped tests.

        * Scripts/run-gtk-tests:
        (TestRunner):

2012-04-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Build and run TestWebKitAPI WebKit2 unit tests
        https://bugs.webkit.org/show_bug.cgi?id=84446

        Reviewed by Philippe Normand.

        * Scripts/run-gtk-tests:
        (TestRunner): Add TestWebKitAPI/WebKit2 to the list of directories
        containing tests. Unskip FunctionalTest.RefCountedStorage, since
        we are now using a custom main that initializes WTF threading.
        (TestRunner._setup_testing_environment): Set environment variables
        required to run WebKit2 tests.
        * TestWebKitAPI/GNUmakefile.am:
        * TestWebKitAPI/JavaScriptTest.cpp: Use
        JavaScriptCore/JSContextRef.h instead of
        JavaScriptCore/JavaScriptCore.h since it includes JSStringRefCF.h
        unconditionally.
        * TestWebKitAPI/PlatformWebView.h: Define PlatformWKView and
        PlatformWindow for GTK.
        * TestWebKitAPI/Tests/WebKit2/EvaluateJavaScript.cpp: Remove
        unneded header that breaks the build of GTK port.
        * TestWebKitAPI/Tests/WebKit2/PreventEmptyUserAgent.cpp: Use
        JavaScriptCore/JSContextRef.h instead of
        JavaScriptCore/JavaScriptCore.h since it includes JSStringRefCF.h
        unconditionally.
        * TestWebKitAPI/Tests/WebKit2/WKPreferences.cpp:
        (TestWebKitAPI::TEST): Add expected values for GTK+ port.
        * TestWebKitAPI/gtk/InjectedBundleControllerGtk.cpp:
        (TestWebKitAPI):
        (TestWebKitAPI::InjectedBundleController::platformInitialize):
        * TestWebKitAPI/gtk/PlatformUtilitiesGtk.cpp: Added.
        (TestWebKitAPI::Util::checkTestFinished):
        (TestWebKitAPI::Util::run):
        (TestWebKitAPI::Util::sleep):
        (TestWebKitAPI::Util::getFilenameFromEnvironmentVariableAsUTF8):
        (TestWebKitAPI::Util::createInjectedBundlePath):
        (TestWebKitAPI::Util::createURLForResource):
        (TestWebKitAPI::Util::URLForNonExistentResource):
        (TestWebKitAPI::Util::isKeyDown):
        * TestWebKitAPI/gtk/PlatformWebViewGtk.cpp: Added.
        (TestWebKitAPI::PlatformWebView::PlatformWebView):
        (TestWebKitAPI::PlatformWebView::~PlatformWebView):
        (TestWebKitAPI::PlatformWebView::page):
        (TestWebKitAPI::PlatformWebView::resizeTo):
        (TestWebKitAPI::doKeyStroke):
        (TestWebKitAPI::PlatformWebView::simulateSpacebarKeyPress):
        (TestWebKitAPI::PlatformWebView::simulateAltKeyPress):
        (TestWebKitAPI::doMouseButtonEvent):
        (TestWebKitAPI::PlatformWebView::simulateRightClick):
        (TestWebKitAPI::PlatformWebView::simulateMouseMove):
        * TestWebKitAPI/gtk/main.cpp:
        (main):

2012-04-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] run-gtk-tests: Use a timeout per test instead of a global timeout
        https://bugs.webkit.org/show_bug.cgi?id=84695

        Reviewed by Philippe Normand.

        It also adds a command line option to be able to pass a custom
        timeout value, instead of hard-coding it. The default timeout is 10
        seconds if no other value is passed to the script.

        * Scripts/run-gtk-tests:
        (TestTimeout): Exception raised when a test times out.
        (TestRunner._get_child_pid_from_test_output): Helper function to
        get the pid of the running test from gtester output.
        (TestRunner._kill_process): Helper funtion ot kill a process
        ignoring exceptions if the process is already died.
        (TestRunner._run_test_command): Run the test command raising
        TestTimeout exception if the test doesn't finish before the given
        timeout in seconds.
        (TestRunner._run_test_command.alarm_handler): Alarm handler that
        raises TestTimeout exception.
        (TestRunner._run_test_glib): Use _run_test_command() to run the test.
        (TestRunner._run_test_google): Ditto.
        (TestRunner.run_tests): Add current test to the list of timed out
        test if TestTimeout exception is raised. Show the list of timed
        out test at the end.

2012-04-26  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] [DRT] LayoutTestController needs implementation of addOriginAccessWhitelistEntry and removeOriginAccessWhitelistEntry
        https://bugs.webkit.org/show_bug.cgi?id=83880

        Reviewed by Antonio Gomes.

        Add missing implementation addOriginAccessWhitelistEntry and
        removeOriginAccessWhitelistEntry to EFL's LayoutTestController
        in order to unskip tests which rely on this.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::addOriginAccessWhitelistEntry):
        (LayoutTestController::removeOriginAccessWhitelistEntry):

2012-04-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Add downloads support to MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=73662

        Reviewed by Philippe Normand.

        * MiniBrowser/gtk/BrowserDownloadsBar.c: Added.
        (browserDownloadsBarChildRemoved): Close the downloads bar if
        there aren't active downloads.
        (browserDownloadsBarResponse): Destroy the downloads bar when
        closed.
        (browser_downloads_bar_init):
        (browser_downloads_bar_class_init):
        (browser_downloads_bar_new): Create a new downloads bar.
        (actionButtonClicked): Cancel the download if cancel button was
        clicked, or open the downloaded file if the download finished.
        (browserDownloadFinalize):
        (browser_download_init):
        (browser_download_class_init):
        (downloadReceivedResponse): Update download message using the
        response URI.
        (remainingTime): Helper function to get human readable remaining
        time.
        (downloadProgress): Update downloads progress.
        (downloadReceivedData):
        (downloadFinished): Update download message and turn download
        button into open.
        (downloadFailed): Show error message or destroy the download UI if
        it was cancelled.
        (browserDownloadNew): Create a new download widget for the given
        WebKitDownload.
        (browser_downloads_bar_add_download): Add download widget to the
        downloads bar.
        * MiniBrowser/gtk/BrowserDownloadsBar.h: Added.
        * MiniBrowser/gtk/BrowserWindow.c:
        (downloadStarted): Create a download widget and add it to the
        downloads bar when a new download is started.
        (browserWindowConstructed): Connect to
        WebKitWebContext::download-started signal.
        * MiniBrowser/gtk/GNUmakefile.am: Add new files to compilation.

2012-04-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Skip unit test failing in debug bot.

        * Scripts/run-gtk-tests:
        (TestRunner):

2012-04-26  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][DRT] "resource,request,willsend" signal needs to provide more information
        https://bugs.webkit.org/show_bug.cgi?id=84670

        Reviewed by Andreas Kling.

        Handle in EFL's DumpRenderTree the new Ewk_Frame_Resource_Messages now
        passed with the "resource,request,willsend" signal and dump
        information about the network request and the possible network
        response if LayoutTestController's dumpResourceLoadCallbacks() returns
        true.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (pathSuitableForTestResult):
        (urlSuitableForTestResult):
        (descriptionSuitableForTestResult):
        (DumpRenderTreeChrome::onWillSendRequest):

2012-04-25  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt][WK2] Unreviewed, rolling out r113703 because of crashing tests.
        http://trac.webkit.org/changeset/113703
        https://bugs.webkit.org/show_bug.cgi?id=83024

        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:
        * Tools.pro:
        * qmake/mkspecs/features/features.prf:
        * qmake/mkspecs/features/functions.prf:

2012-04-25  Maciej Stachowiak  <mjs@apple.com>

        Teach LayoutTestHelper to correctly restore the color profile when it's a factory profile
        https://bugs.webkit.org/show_bug.cgi?id=84931

        Reviewed by Filip Pizlo.

        * DumpRenderTree/mac/LayoutTestHelper.m:
        (installLayoutTestColorProfile): Account for the possibility of the default
        profile being a factory profile.

2012-04-25  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r115240.
        http://trac.webkit.org/changeset/115240
        https://bugs.webkit.org/show_bug.cgi?id=84928

        It broke everything (Requested by Ossy_HOME on #webkit).

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkDriver):
        (GtkDriver._start):
        (GtkDriver._start.x_filter):
        (GtkDriver.stop):
        (GtkPort._driver_class):
        * Scripts/webkitpy/layout_tests/port/qt.py:
        (QtPort._build_driver):
        * Scripts/webkitpy/layout_tests/port/xvfbdriver.py: Removed.

2012-04-25  Dirk Pranke  <dpranke@chromium.org>

        [chromium] change DRT's "DRT" output to match the other ports
        https://bugs.webkit.org/show_bug.cgi?id=84904

        Reviewed by Kent Tamura.

        Since we run Chromium's DRT in --test-shell mode, the
        non-test-shell output has never been really beaten on to make
        sure it's right. This fixes a few issues and will be tested
        with upcoming NRWT changes that'll land in a separate patch.
        In particular we should never output framing text like "\n"
        or "#EOF" outside of something outside of TestEventPrinter,
        and we weren't handling audio output properly at all.

        * DumpRenderTree/chromium/TestEventPrinter.cpp:
        (DRTPrinter):
        (TestShellPrinter):
        (DRTPrinter::handleTextFooter):
        (DRTPrinter::handleAudioFooter):
        (DRTPrinter::handleTestFooter):
        (TestShellPrinter::handleAudioFooter):
        * DumpRenderTree/chromium/TestEventPrinter.h:
        (TestEventPrinter):
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):
        (TestShell::dump):

2012-04-25  Joshua Bell  <jsbell@chromium.org>

        Unreviewed: Adding Alec Flett as a contributor (non-committer).

        * Scripts/webkitpy/common/config/committers.py:

2012-04-25  Abhishek Arya  <inferno@chromium.org>

        Mark myself as a reviewer.
        https://bugs.webkit.org/show_bug.cgi?id=84902

        Reviewed by Dimitri Glazkov.

        * Scripts/webkitpy/common/config/committers.py:

2012-04-25  Kristóf Kosztyó  <kkristof@inf.u-szeged.hu>

        [Qt][NRWT] Run each DRT in it's own xvfb
        https://bugs.webkit.org/show_bug.cgi?id=77335

        Reviewed by Dirk Pranke.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort._driver_class):
        * Scripts/webkitpy/layout_tests/port/qt.py:
        (QtPort._driver_class):
        * Scripts/webkitpy/layout_tests/port/xvfbdriver.py: Added.
        (XvfbDriver):
        (XvfbDriver._start):
        (XvfbDriver._start.x_filter):
        (XvfbDriver.stop):

2012-04-25  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r115222.
        http://trac.webkit.org/changeset/115222
        https://bugs.webkit.org/show_bug.cgi?id=84874

        Caused test regressions on the EFL build (Requested by rakuco
        on #webkit).

        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::addOriginAccessWhitelistEntry):
        (LayoutTestController::removeOriginAccessWhitelistEntry):

2012-04-25  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] [DRT] LayoutTestController needs implementation of addOriginAccessWhitelistEntry and removeOriginAccessWhitelistEntry
        https://bugs.webkit.org/show_bug.cgi?id=83880

        Reviewed by Antonio Gomes.

        Add missing implementation addOriginAccessWhitelistEntry and
        removeOriginAccessWhitelistEntry to EFL's LayoutTestController
        in order to unskip tests which rely on this.

        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::addOriginAccessWhitelistEntry):
        (LayoutTestController::removeOriginAccessWhitelistEntry):

2012-04-25  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] [DRT] Reset text zoom factor before running a test
        https://bugs.webkit.org/show_bug.cgi?id=84861

        Reviewed by Antonio Gomes.

        This fix eliminates most of the current flakiness on EFL build
        bots, although some CSS tests will now need rebasiling.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):

2012-04-25  Milian Wolff  <milian.wolff@kdab.com>

        [Qt] add LayoutTestController::setPrinting support to Qt unit tests
        https://bugs.webkit.org/show_bug.cgi?id=84246

        Reviewed by Simon Hausmann.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::dump):

2012-04-18  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Make the web view's url property follow the active url

        https://bugs.webkit.org/show_bug.cgi?id=77554

        Update  the location bar in the minibrowser to behave
        a bit more like normal browsers in terms of when the url will change
        and how active focus is handled.

        Reviewed by Simon Hausmann.

        * MiniBrowser/qt/qml/BrowserWindow.qml:

2012-04-25  Philippe Normand  <pnormand@igalia.com>

        Webkit build fails due to missing gstreamer include file on Kubuntu 8.04
        https://bugs.webkit.org/show_bug.cgi?id=81913

        Reviewed by Tor Arne Vestbø.

        * qmake/mkspecs/features/features.prf: Check for gstreamer-0.10
        and gstreamer-plugins-base >= 0.10.30 just like the GTK port
        does. 0.10.27 is unfortunately not recent enough to get the media
        player working reliably.


2012-04-25  Xiaobo Wang  <xbwang@torchmobile.com.cn>

        [BlackBerry] Run tests in '/http/tests/local' with local URI
        https://bugs.webkit.org/show_bug.cgi?id=84820

        Reviewed by Nikolas Zimmermann.

        Currently we run all tests under folder "/http/tests/" as HTTP
        tests (http://...). However in WebKit ORWT and NRWT scripts, tests in
        'http/tests/local' are run with local path (like '/developer/LayoutTests
        /http/tests/local/absolute-url-strip-whitespace.html').
        With this patch we can keep the same behaviour as other portings.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::DumpRenderTree::isHTTPTest):

2012-04-25  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL][DRT] Reset DRT settings to their default values after a testcase was executed.
        https://bugs.webkit.org/show_bug.cgi?id=84709

        Reviewed by Eric Seidel.

        Not all the settings that can be changed by layout testcases through a JS API were 
        reset in DumpRenderTreeChrome::resetDefaultsToConsistentValues().

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (defaultEditingBehavior): returns editing behavior depending on current platform.
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues): reset some missed DRT settings

2012-04-24  Dirk Pranke  <dpranke@chromium.org>

        nrwt: add ASAN handling to chromium crash logs
        https://bugs.webkit.org/show_bug.cgi?id=84664

        Reviewed by Ojan Vafai.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort._get_crash_log):

2012-04-24  Dirk Pranke  <dpranke@chromium.org>

        webkit-patch rebaseline-test is retrieving stale expectations
        https://bugs.webkit.org/show_bug.cgi?id=84762

        Reviewed by Ojan Vafai.

        webkit-patch rebaseline-expectations is fetching files directly
        from the layout-test-results directory on the buildbots, rather
        than fetching them from the archive. This is problematic because
        we don't clobber the directory after each run and so you can end
        up fetching stale failing results.

        This change temporarily changes the code to fetch the zip file
        instead -- making things much slower -- until I can confer w/
        abarth and ojan over the best way to fix this for the long-term.

        * Scripts/webkitpy/tool/commands/rebaseline.py:
        (RebaselineTest.__init__):
        (RebaselineTest._zip_file_set):
        (RebaselineTest):
        (RebaselineTest._fetch_baseline):
        (RebaselineTest._rebaseline_test):
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        (TestRebaseline.stub_rebaseline_test_command_and_tool):
        (TestRebaseline.stub_rebaseline_test_command_and_tool.FakeZipFileSet):
        (TestRebaseline.stub_rebaseline_test_command_and_tool.FakeZipFileSet.read):
        (TestRebaseline.test_rebaseline_updates_expectations_file_noop):
        (test_rebaseline_updates_expectations_file):
        (test_rebaseline_test):
        (test_rebaseline_and_copy_test):
        (test_rebaseline_and_copy_test_no_existing_result):
        (test_rebaseline_and_copy_test_with_lion_result):
        (test_rebaseline_and_copy_no_overwrite_test):

2012-04-24  Ojan Vafai  <ojan@chromium.org>

        Improve code for embedding flakiness dashboard as an iframe
        https://bugs.webkit.org/show_bug.cgi?id=84782

        Reviewed by Dirk Pranke.

        -Include the horizontal scrollbar height in the measured height of the page.
        -Post a message everytime the height changes instead of in response to a queryContentHeight message.
        This way, the embedder doesn't need to poll.

        No new tests. This is hard to test because it involves postMessage and iframes.
        Once we switch the dashboard tests over to qunit, we should be able to write an
        asyncTest for this.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        (generatePage):
        (appendHTML):
        (appendExpectations):
        (postHeightChangedMessage):
        (generatePageForIndividualTests.if):
        (generatePageForIndividualTests):
        * TestResultServer/static-dashboards/flakiness_dashboard_embedded.html: Added.

2012-04-16  Ojan Vafai  <ojan@chromium.org>

        Replace garden-o-matic accordion UI with a panel UI
        https://bugs.webkit.org/show_bug.cgi?id=84081

        Reviewed by Dimitri Glazkov.

        This is a nicer UI to work with and makes it easier to embed the flakiness dashboard,
        since we can reuse the same iframe without moving it in the DOM.

        Also, excise unnecessary jquery-isms.

        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/results.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/scripts/ui/results_unittests.js:
        * BuildSlaveSupport/build.webkit.org-config/public_html/TestFailures/styles/results.css:

2012-04-24  Peter Beverloo  <peter@chromium.org>

        [Chromium] DumpRenderTree should depend on base.gyp:test_support_base
        https://bugs.webkit.org/show_bug.cgi?id=84729

        Reviewed by Dirk Pranke.

        This dependency is necessary for Android since it'll soon be
        calling InitAndroidOSPathStub() in it's platform support. The
        TestWebKitAPI and webkit_unit_tests already have this dependency.

        * DumpRenderTree/DumpRenderTree.gyp/DumpRenderTree.gyp:

2012-04-24  Ojan Vafai  <ojan@chromium.org>

        Replace vague informative statement with the list of builders where the test isn't listed
        https://bugs.webkit.org/show_bug.cgi?id=84779

        Reviewed by Dirk Pranke.

        This is more informative and more likely to be noticed. With the old UI, people never
        read the line and if they did, they didn't really understand what it meant. Hopefully
        have the list of builders will be more clear.

        * TestResultServer/static-dashboards/flakiness_dashboard.js:
        * TestResultServer/static-dashboards/flakiness_dashboard_tests.css:
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:

2012-04-24  Tommy Widenflycht  <tommyw@google.com>

        MediaStream API: Create a new flag for PeerConnection
        https://bugs.webkit.org/show_bug.cgi?id=84723

        Reviewed by Dimitri Glazkov.

        To allow Chrome to make the GetUserMedia functionality available by default we
        need another flag for the PeerConnection related parts. This new flag is in
        addition to the general media stream flag, and both need to be enabled for
        PeerConnection object creation.

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):

2012-04-24  Joe Mason  <jmason@rim.com>

        [BlackBerry] Revert broken changes to authentication dialog
        https://bugs.webkit.org/show_bug.cgi?id=80135

        Reviewed by Antonio Gomes.

        The previous patches from this bug caused an infinite loop when using digest auth;
        apparently they were only tested with basic.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        * DumpRenderTree/blackberry/DumpRenderTreeBlackBerry.h:
        (WebCore):

2012-04-24  Zan Dobersek  <zandobersek@gmail.com>

        [TestResultsServer] Add a unit test for changes in r114868
        https://bugs.webkit.org/show_bug.cgi?id=84713

        Reviewed by Ojan Vafai.

        Add a new unit test to test the isToTWebKit attribute of a BuilderGroup object
        that is created for either DEPS or ToT builder groups. The unit test covers changes
        made in r114868.

        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js:
        (testBuilderGroupIsToTWebKitAttribute.g_handleBuildersListLoaded):
        (testBuilderGroupIsToTWebKitAttribute.assertEquals):

2012-04-24  Brady Eidson  <beidson@apple.com>

        <rdar://problem/10120155> and https://bugs.webkit.org/show_bug.cgi?id=82664
         Need DOMWindow mechanism to supplement UserScripts for page cache notifications

        Reviewed by Sam Weinig.

        Add a new bundle test that stresses the basics of the WKBundleDOMWindowExtension API.

        It makes sure new extensions can be added at the right times, and that all of the expected
        callbacks are made.

        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic.cpp: Added.
        (TestWebKitAPI::didReceiveMessageFromInjectedBundle): Record all messages sent from the bundle.
        (TestWebKitAPI::TEST): Run a page through some basic exercises, then compared messages sent from the
           bundle to a set of known expected messages.

        Listen to all the new client callbacks, create some extensions, and monitor their lifetimes:
        * TestWebKitAPI/Tests/WebKit2/DOMWindowExtensionBasic_Bundle.cpp: Added.
        (TestWebKitAPI::DOMWindowExtensionBasic::DOMWindowExtensionBasic):
        (TestWebKitAPI::DOMWindowExtensionBasic::frameLoadFinished):
        (TestWebKitAPI::DOMWindowExtensionBasic::sendExtensionStateMessage):
        (TestWebKitAPI::DOMWindowExtensionBasic::initialize):
        (TestWebKitAPI::DOMWindowExtensionBasic::didCreatePage):
        (TestWebKitAPI::DOMWindowExtensionBasic::updateExtensionStateRecord):
        (TestWebKitAPI::DOMWindowExtensionBasic::sendBundleMessage):
        (TestWebKitAPI::DOMWindowExtensionBasic::didCreateGlobalObjectForFrame):
        (TestWebKitAPI::DOMWindowExtensionBasic::willDisconnectDOMWindowExtensionFromGlobalObject):
        (TestWebKitAPI::DOMWindowExtensionBasic::didReconnectDOMWindowExtensionToGlobalObject):
        (TestWebKitAPI::DOMWindowExtensionBasic::willDestroyGlobalObjectForDOMWindowExtension):
        (TestWebKitAPI::didFinishLoadForFrameCallback):
        (TestWebKitAPI::didCreateGlobalObjectForFrameCallback):
        (TestWebKitAPI::willDisconnectDOMWindowExtensionFromGlobalObjectCallback):
        (TestWebKitAPI::didReconnectDOMWindowExtensionToGlobalObjectCallback):
        (TestWebKitAPI::willDestroyGlobalObjectForDOMWindowExtensionCallback):

        * TestWebKitAPI/Tests/WebKit2/InjectedBundleBasic.cpp:
        (TestWebKitAPI::didReceiveMessageFromInjectedBundle): Make this method static, as it always should have been.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:

2012-04-24  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Build and run TestWebKitAPI unit tests
        https://bugs.webkit.org/show_bug.cgi?id=84325

        Reviewed by Philippe Normand.

        We only build WTF unit tests for now. WebKit2 tests will be
        enabled in a follow up patch.

        * Scripts/run-gtk-tests:
        (TestRunner): Add TestWebKitAPI/WTF to the list of directories
        containing unit tests.
        (TestRunner._run_test_glib): Run glib tests using gtester.
        (TestRunner._run_test_google): Run google tests.
        (TestRunner._run_test): Use _run_test_glib or _run_test_google
        depending on whether given test is glib or google test
        * TestWebKitAPI/GNUmakefile.am: Added.
        * TestWebKitAPI/config.h: Use #ifdef instead of # to fix a compile
        warning with -Wundef. Include WebKit2 headers only when building
        WebKit2.

2012-04-24  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        [Qt][WK2] Convert touch-point area
        https://bugs.webkit.org/show_bug.cgi?id=84434

        Reviewed by Kenneth Rohde Christiansen.

        Fix failing test after r114917 by also adding the new EventSender API
        to WebKitTestRunner.

        * WebKitTestRunner/EventSenderProxy.h:
        (EventSenderProxy):
        * WebKitTestRunner/InjectedBundle/Bindings/EventSendingController.idl:
        * WebKitTestRunner/InjectedBundle/EventSendingController.cpp:
        (WTR::EventSendingController::setTouchPointRadius):
        * WebKitTestRunner/InjectedBundle/EventSendingController.h:
        (EventSendingController):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::didReceiveSynchronousMessageFromInjectedBundle):
        * WebKitTestRunner/qt/EventSenderProxyQt.cpp:
        (WTR::EventSenderProxy::addTouchPoint):
        (WTR::EventSenderProxy::updateTouchPoint):
        (WTR::EventSenderProxy::setTouchPointRadius):
        (WTR::EventSenderProxy::clearTouchPoints):

2012-04-24  Mikhail Naganov  <mnaganov@chromium.org>

        [Chromium] Unreviewed test expectations update.
        https://bugs.webkit.org/show_bug.cgi?id=84726

        Mark webkitpy.layout_tests.servers.http_server_unittest.TestHttpServer.test_start_cmd as failing on Windows.

        * Scripts/webkitpy/test/test_finder.py:
        (TestFinder._default_names):

2012-04-24  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Enable Web Timing
        https://bugs.webkit.org/show_bug.cgi?id=84705

        Reviewed by Tony Gentilcore.

        Enable web timing by default whenever build-webkit is used.

        * Scripts/build-webkit:

2012-04-23  Eriq Augustine  <eaugusti@chromium.org>

        Return value from executed script in Chromium.
        https://bugs.webkit.org/show_bug.cgi?id=79851

        Reviewed by Adam Barth.

        Adding a function to LayoutTestController that evaluates a script in
        an isolated wold an returns the result of the evaluation.

        * DumpRenderTree/LayoutTestController.cpp:
        (evaluateScriptInIsolatedWorldAndReturnValue):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/blackberry/LayoutTestControllerBlackBerry.cpp:
        (LayoutTestController::evaluateScriptInIsolatedWorldAndReturnValue):
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::setXSSAuditorEnabled):
        (LayoutTestController::evaluateScriptInIsolatedWorldAndReturnValue):
        * DumpRenderTree/chromium/LayoutTestController.h:
        (LayoutTestController):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::evaluateScriptInIsolatedWorldAndReturnValue):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::evaluateScriptInIsolatedWorldAndReturnValue):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::evaluateScriptInIsolatedWorldAndReturnValue):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::evaluateScriptInIsolatedWorldAndReturnValue):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        (LayoutTestController):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::evaluateScriptInIsolatedWorldAndReturnValue):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::evaluateScriptInIsolatedWorldAndReturnValue):

2012-04-23  Dirk Pranke  <dpranke@chromium.org>

        run-perf-tests fail intermittently with an exception
        https://bugs.webkit.org/show_bug.cgi?id=83532

        Reviewed by Ryosuke Niwa.

        This bulletproofs port.get_option('child_processes')
        against the case where the option wasn't set.

        * Scripts/webkitpy/layout_tests/port/mac.py:
        (MacPort._get_crash_log):
        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
        (test_get_crash_log):
        (test_get_crash_log.fake_time_cb):

2012-04-23  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] Add desktop zooming support for QQuickWebView
        https://bugs.webkit.org/show_bug.cgi?id=82337

        Unreviewed typo fix after r114900.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow): Fix the mistyped
        value of a zoom level.

2012-04-23  Hao Zheng  <zhenghao@chromium.org>

        [chromium-android] Get rid of the trick that replaces system fallback font with DejaVuSans.
        https://bugs.webkit.org/show_bug.cgi?id=84580

        Reviewed by Ojan Vafai.

        Android's first fallback font is changed to DroidSansArabic.ttf in JB.
        Take the opportunity to get rid of the trick.

        * Scripts/webkitpy/layout_tests/port/chromium_android.py:
        (ChromiumAndroidPort.start_helper):
        (ChromiumAndroidPort._push_fonts):

2012-04-23  Dirk Pranke  <dpranke@chromium.org>

        test-webkitpy is failing
        https://bugs.webkit.org/show_bug.cgi?id=84617

        Reviewed by Eric Seidel.

        * Scripts/webkitpy/layout_tests/port/http_lock_unittest.py:
        (HttpLockTestWithRealFileSystem.clean_all_lockfile):

2012-04-23  Ojan Vafai  <ojan@chromium.org>

        Split up flakiness_dashboard.html into multiple files. This is a step in the direction
        of making the code more maintainable (e.g. being able to use qunit for testing).

        * TestResultServer/static-dashboards/dashboard_base.js:
        * TestResultServer/static-dashboards/flakiness_dashboard.css: Added.
        * TestResultServer/static-dashboards/flakiness_dashboard.html:
        * TestResultServer/static-dashboards/flakiness_dashboard.js: Copied from Tools/TestResultServer/static-dashboards/flakiness_dashboard.html.
        * TestResultServer/static-dashboards/flakiness_dashboard_tests.css: Added.
        * TestResultServer/static-dashboards/flakiness_dashboard_unittests.js: Renamed from Tools/TestResultServer/static-dashboards/flakiness_dashboard_tests.js.

2012-04-23  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        [Qt][WK2] Convert touch-point area.
        https://bugs.webkit.org/show_bug.cgi?id=84434

        Reviewed by Kenneth Rohde Christiansen.

        Add feature to set touch-point radius for emitted touch-events.

        * DumpRenderTree/qt/EventSenderQt.cpp:
        (EventSender::addTouchPoint):
        (EventSender::updateTouchPoint):
        (EventSender::setTouchPointRadius):
        (EventSender::clearTouchPoints):
        * DumpRenderTree/qt/EventSenderQt.h:
        (EventSender):

2012-04-23  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] EFL's LayoutTestController does not implement elementDoesAutoCompleteForElementWithId
        https://bugs.webkit.org/show_bug.cgi?id=84425

        Reviewed by Antonio Gomes.

        Use the new helper in DumpRenderTreeSupportEfl to properly
        test whether an element performs autocompletion.

        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::elementDoesAutoCompleteForElementWithId):

2012-04-23  Csaba Osztrogonác  <ossy@webkit.org>

        master.cfg cleanup, remove dead codes after r92792.
        https://bugs.webkit.org/show_bug.cgi?id=84433

        Relanding r114881 after typo fix in UploadBuiltProduct.

        Reviewed by Ryosuke Niwa.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:

2012-04-23  Dominik Röttsches  <dominik.rottsches@linux.intel.com>

        [EFL][DRT] Need to support requestAnimationFrame
        https://bugs.webkit.org/show_bug.cgi?id=84585

        Reviewed by Martin Robinson.

        Making requestAnimationFrame() support a default on the EFL build.

        * Scripts/build-webkit:

2012-04-23  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] Add desktop zooming support for QQuickWebView
        https://bugs.webkit.org/show_bug.cgi?id=82337

        Reviewed by Simon Hausmann.

        Add zooming support for MiniBrowser to
        test the new API.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::zoomIn):
        (BrowserWindow::zoomOut):
        (BrowserWindow::keyPressEvent):
        (BrowserWindow::wheelEvent):
        * MiniBrowser/qt/BrowserWindow.h:
        (BrowserWindow):

2012-04-23  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed rolling out r114881, because it broke upload buildstep.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (ConfigureBuild.__init__):
        (ConfigureBuild.start):
        (CompileWebKit.start):
        (UploadBuiltProduct):
        (UploadBuiltProduct.determineExtraFeatures):
        (Factory.__init__):
        (BuildFactory.__init__):
        (TestFactory.__init__):
        (loadBuilderConfig):

2012-04-23  Csaba Osztrogonác  <ossy@webkit.org>

        master.cfg cleanup, remove dead codes after r92792.
        https://bugs.webkit.org/show_bug.cgi?id=84433

        Reviewed by Ryosuke Niwa.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:

2012-04-23  Milian Wolff  <mail@milianw.de>

        [Qt] Make DRT not dump pixel results if test is calling layoutTestController.dumpAsText()
        https://bugs.webkit.org/show_bug.cgi?id=84327

        Reviewed by Csaba Osztrogonác.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::dump):

2012-04-22  Sriram Neelakandan  <sriram.neelakandan@gmail.com>

        [Gtk] Added MOZ_X11 build flag for TARGET_X11
        https://bugs.webkit.org/show_bug.cgi?id=40785

        Reviewed by Anders Carlsson.

        * GNUmakefile.am:

2012-04-22  Zan Dobersek  <zandobersek@gmail.com>

        [TestResultsServer] Impossible to inspect builds on non-Chromium builders
        https://bugs.webkit.org/show_bug.cgi?id=84544

        Reviewed by Ryosuke Niwa.

        Use the groupEnum parameter that is passed through to the onBuilderListLoad
        function rather than an undefined attribute of the BuilderGroup object. This
        makes it again possible to inspect builds on non-Chromium builders in the
        test results server by not trying to always add Chromium revision links.

        * TestResultServer/static-dashboards/builders.js:

2012-04-20  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Revert changes that disabled Cairo fonts metrics hinting
        https://bugs.webkit.org/show_bug.cgi?id=84502

        Reviewed by Daniel Bates.

        Re-enable Cairo metrics hinting, which seems to ensure consistent results in
        reference and pixel test results. This makes our font metrics a bit different
        than the Mac port's, but it's a decent price to pay for consistent results.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (initializeGtkFontSettings):
        * WebKitTestRunner/InjectedBundle/gtk/ActivateFontsGtk.cpp:
        (WTR::initializeGtkSettings):

2012-04-04  Jer Noble  <jer.noble@apple.com>

        apple.com top navigation bar appears inside video during full screen exit animation
        https://bugs.webkit.org/show_bug.cgi?id=83095

        Reviewed by Eric Carlson.

        Add a new LayoutTestController function, setHasCustomFullScreenBehavior(), which allows scripts to
        disable the standard full screen behavior, and replace it with explicit callbacks to the relevant
        Document methods from within the script.  This allows subtle timing bugs to be consistently reproduced
        from within LayoutTests.

        Add the new methods, hasCustomFullScreenBehavior() and setHasCustomFullScreenBehavior():
        * DumpRenderTree/LayoutTestController.cpp:
        (setHasCustomFullScreenBehaviorCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController::setHasCustomFullScreenBehavior):
        (LayoutTestController::hasCustomFullScreenBehavior):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::enterFullScreenForElement):
        (WTR::InjectedBundlePage::exitFullScreenForElement):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:
        (WTR::LayoutTestController::setHasCustomFullScreenBehavior):
        (WTR::LayoutTestController::hasCustomFullScreenBehavior):
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::reset):
        * DumpRenderTree/chromium/LayoutTestController.h:
        (LayoutTestController::setHasCustomFullScreenBehavior):
        (LayoutTestController::hasCustomFullScreenBehavior):

        Query the new methods before calling will/did/Enter/ExitFullScreen:
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::enterFullScreenNow):
        (WebViewHost::exitFullScreenNow):
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:enterFullScreenForElement:listener:]):
        (-[UIDelegate webView:exitFullScreenForElement:listener:]):

2012-04-20  Nandor Huszka  <hnandor@inf.u-szeged.hu>

        NRWT: option --skip-pixel-test-if-no-baseline support on DRT
        https://bugs.webkit.org/show_bug.cgi?id=72841

        Reviewed by Dirk Pranke

        This patch implements support for --skip-pixel-test-if-no-baseline generically in NRWT,
        instead of in every DRT and WTR implementation. We add 'should_run_pixel_test'
        and 'reference_files' fields to the TestInput objects, and use those flags
        to select the right driver to use in the DriverProxy.

        * Scripts/webkitpy/layout_tests/controllers/single_test_runner.py:
        (SingleTestRunner.__init__):
        (SingleTestRunner._driver_input):
        (SingleTestRunner._run_reftest):
        * Scripts/webkitpy/layout_tests/controllers/worker.py:
        (Worker.handle_test_list):
        (Worker._update_test_input):
        * Scripts/webkitpy/layout_tests/models/test_input.py:
        (TestInput):
        (TestInput.__init__):
        (TestInput.__repr__):
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumDriver._wrapper_options):
        (ChromiumDriver.run_test):
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        (ChromiumDriverTest.test_crash_log):
        * Scripts/webkitpy/layout_tests/port/driver.py:
        (DriverInput.__init__):
        (Driver.__init__):
        (DriverProxy.__init__):
        (DriverProxy.run_test):
        (DriverProxy.start):
        (DriverProxy.cmd_line):
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkDriver._start):
        * Scripts/webkitpy/layout_tests/port/mock_drt.py:
        (MockDRT.run):
        (MockDRT.input_from_line):
        (MockDRT.output_for_test):
        (MockDRT.write_test_output):
        (MockChromiumDRT.input_from_line):
        (MockChromiumDRT.output_for_test):
        (MockChromiumDRT.write_test_output):
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        (WebKitDriver.cmd_line):
        (WebKitDriver.run_test):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::TestController):
        (WTR::TestController::initialize):
        (WTR::TestController::runTest):
        * WebKitTestRunner/TestController.h:
        (TestController):
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::TestInvocation):
        (WTR::TestInvocation::setIsPixelTest):
        * WebKitTestRunner/TestInvocation.h:
        (TestInvocation):

2012-04-20  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Make it possible to define offline storage quota per origin
        https://bugs.webkit.org/show_bug.cgi?id=84170

        Improved LayoutTestController::setDatabaseQuota to set quota based on
        origin which was causing some tests to fail. Also align the default
        quota for testing (5MB) with others ports.

        When dumpDatabaseCallbacks is set to true by, also dump some database
        information when quota is exceed, which is also required by some tests.

        Reviewed by Antonio Gomes.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):
        * DumpRenderTree/efl/DumpRenderTreeView.cpp:
        (onExceededDatabaseQuota):
        (drtViewAdd):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setDatabaseQuota):

2012-04-20  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] [DRT] Send double click event from EventSender
        https://bugs.webkit.org/show_bug.cgi?id=82867

        Reviewed by Daniel Bates.

        Add support for EFL DumpRenderTree EventSender to send
        double click events.

        * DumpRenderTree/efl/EventSender.cpp:
        (sendMouseEvent):

2012-04-20  Sergio Villar Senin  <svillar@igalia.com>

        [GTK] Enable Web Timing
        https://bugs.webkit.org/show_bug.cgi?id=42432

        Reviewed by Gustavo Noronha Silva.

        Build web timing by default whenever build-webkit is used.

        * Scripts/build-webkit:

2012-04-20  Kamil Blank  <k.blank@samsung.com>

        [EFL] Add missing reset for setAuthorAndUserStylesEnabled inside DRT.
        https://bugs.webkit.org/show_bug.cgi?id=84430

        Reviewed by Daniel Bates.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::resetDefaultsToConsistentValues):

2012-04-20  Ryosuke Niwa  <rniwa@webkit.org>

        REGRESSION(r112781): Windows build slaves are no longer including .pdb files in archives handed to testers
        https://bugs.webkit.org/show_bug.cgi?id=84424

        Reviewed by Mark Rowe.

        Let Windows and Chromium have their own list of files to copy.

        * BuildSlaveSupport/built-product-archive:
        (removeDirectoryIfExists):
        (copyBuildFiles):
        (archiveBuiltProduct):

2012-04-20  Kamil Blank  <k.blank@samsung.com>

        [EFL] Add setting API for author and user styles.
        https://bugs.webkit.org/show_bug.cgi?id=82860

        Reviewed by Daniel Bates.

        Implementation of setAuthorAndUserStylesEnabled.

        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setAuthorAndUserStylesEnabled):

2012-04-19  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] Missing keycode translation for space key
        https://bugs.webkit.org/show_bug.cgi?id=84153

        Reviewed by Antonio Gomes.

        Set keyname for space key before dispatching event.

        * DumpRenderTree/efl/EventSender.cpp:
        (keyNameFromJSValue):

2012-04-19  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Allow to use WebInspector in GtkLauncher
        https://bugs.webkit.org/show_bug.cgi?id=84143

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Add new files to compilation.
        * GtkLauncher/LauncherInspectorWindow.c: Added.
        (launcherInspectorWindowFinalize):
        (launcher_inspector_window_init):
        (launcher_inspector_window_class_init):
        (inspectedURIChanged): Update the window title based on current
        inspected URI.
        (showInspectorWindow): Show inspector window.
        (closeInspectorWindow): Hide inspector window.
        (launcherInspectorWindowNew): Create an inspector window.
        (launcherInspectorWindowGetWebView): Return the inspected web view.
        * GtkLauncher/LauncherInspectorWindow.h: Added.
        * GtkLauncher/main.c:
        (inspectorInspectWebViewCb): Create an inspector window.
        (createBrowser): Connect to inspect-web-view signal of the view
        inspector.

2012-04-19  Jeremy Mao  <yujie.mao@intel.com>

        Media Stream API: Piece of code cleanup for the chromium port
        https://bugs.webkit.org/show_bug.cgi?id=84328

        Reviewed by Kent Tamura.

        WebUserMediaClientMock use an old requestUserMedia interface and
        Replace it with the new interface.

        * DumpRenderTree/chromium/WebUserMediaClientMock.cpp:
        (WebKit::WebUserMediaClientMock::requestUserMedia):
        Remove the old requestUserMedia and replace it with the new.
        * DumpRenderTree/chromium/WebUserMediaClientMock.h:
        (WebUserMediaClientMock):

2012-04-19  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] DRT console messages should contain only the file name part of local URIs
        https://bugs.webkit.org/show_bug.cgi?id=84236

        Reviewed by Kentaro Hara.

        Process console messages before printing them in EFL's DumpRenderTree
        them so that they contain only the file name part of local URIs. This
        is what is expected by test cases.

        * DumpRenderTree/efl/DumpRenderTreeView.cpp:
        (urlSuitableForTestResult):
        (onConsoleMessage):

2012-04-19  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] [DRT] Should create offline storage inside DUMPRENDERTREE_TEMP
        https://bugs.webkit.org/show_bug.cgi?id=84169

        All databases were being created inside ~/.webkit which was causing
        flaky tests when running multiple tests in parallel, specially timeouts
        due to concurrency.

        Reviewed by Eric Seidel.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::initialize):

2012-04-19  Dominik Röttsches  <dominik.rottsches@linux.intel.com>

        [GTK] 3 fast/ layout tests failing after upgrading libsoup to 2.37.92
        https://bugs.webkit.org/show_bug.cgi?id=82484

        Reviewed by Martin Robinson.

        Bumping libsoup to version 2.38.1 which fixes the above WebKit bug.

        * efl/jhbuild.modules:
        * gtk/jhbuild.modules:

2012-04-19  Lucas Forschler  <lforschler@apple.com>

        Move apple-xserve-10 from Lion Test to SnowLeopard Debug Build
        
        * BuildSlaveSupport/build.webkit.org-config/config.json:

2012-04-19  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] dispatchDidCancelClientRedirect needs implementation
        https://bugs.webkit.org/show_bug.cgi?id=83669

        Reviewed by Antonio Gomes.

        Catch the new ewk_frame "redirect,cancelled" signal in EFL's DRT and
        and print out information that is expected by several test cases if
        LayoutTestController's dumpFrameLoadCallback() returns true.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::onFrameCreated):
        (DumpRenderTreeChrome::onFrameRedirectCancelled):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2012-04-18  Hironori Bono  <hbono@chromium.org>

        Split SpellChecker::didCheck() to SpellChecker::didCheckSucceeded() and SpellChecker::didCheckCanceled()
        https://bugs.webkit.org/show_bug.cgi?id=83748

        Reviewed by Ryosuke Niwa.

        This change replaces a call for SpellChecker::didCheck() with one for
        SpellChecker::didCheckCenceled() because didCheck() has been split into
        didCheckSucceeded() and didCheckCanceled().

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::requestCheckingOfText): Replaced didCheck with didCheckCanceled.

2012-04-18  Dirk Pranke  <dpranke@chromium.org>

        Fix failure in test-webkitpy after r114583.

        Unreviewed, build fix.

        Updating the call site in r114583 w/o updating the test caused
        the test to fail. Somehow I forgot to run the unit tests :(.

        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        (ChromiumDriverTest.test_crash_log):

2012-04-18  Filip Pizlo  <fpizlo@apple.com>

        JSC testing should have complete coverage over typed array types
        https://bugs.webkit.org/show_bug.cgi?id=84302

        Reviewed by Geoff Garen.
        
        Made run-fast-jsc print something and a newline if jsc threw an exception or
        otherwise returned with an error code, but did not crash.

        * Scripts/run-fast-jsc:

2012-04-18  Dirk Pranke  <dpranke@chromium.org>

        Fix crash in chromium.py after r114877.

        Unreviewed, build fix.

        Missed updating one call site for get_crash_log() :(.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumDriver.run_test):

2012-04-18  Philippe Normand  <pnormand@igalia.com>

        [GTK] NRWT bails out if more than one X server runs on the machine
        https://bugs.webkit.org/show_bug.cgi?id=84276

        Reviewed by Dirk Pranke.

        Set up GTK driver's Xvfb display number based on Xorg servers
        currently running.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkDriver._start):
        (GtkDriver._start.x_filter):

2012-04-18  Dirk Pranke  <dpranke@chromium.org>

        run-webkit-tests picked up an old crash log
        https://bugs.webkit.org/show_bug.cgi?id=84196

        Reviewed by Ryosuke Niwa.

        Modify the crash log-finding code so that we can
        limit our search to logs newer than X - this prevents
        us from finding old crash logs for a given process/pid
        combination even when the PIDs might've wrapped.
 
        Also fix a bug in filesystem_mock where files_under() would
        return paths that didn't exist.

        * Scripts/webkitpy/common/system/crashlogs.py:
        (CrashLogs.find_newest_log):
        (CrashLogs._find_newest_log_darwin):
        * Scripts/webkitpy/common/system/crashlogs_unittest.py:
        (CrashLogsTest.test_find_log_darwin):
        (CrashLogsTest.test_find_log_darwin.bad_read):
        (CrashLogsTest):
        * Scripts/webkitpy/common/system/filesystem_mock.py:
        (MockFileSystem.files_under):
        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port._get_crash_log):
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort._get_crash_log):
        * Scripts/webkitpy/layout_tests/port/gtk_unittest.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        (MacPort._get_crash_log):
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:
        (PortTestCase.test_get_crash_log):
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        (WebKitDriver.run_test):

2012-04-18  Dirk Pranke  <dpranke@chromium.org>

        nrwt: support additional test expectations files
        https://bugs.webkit.org/show_bug.cgi?id=84222

        Reviewed by Ojan Vafai.

        This patch adds an --additional-expectations flag that can be
        used to point to more files that will override the default set
        of expectations. This will allow us to remove the
        'google_chrome' ports and eventually help to clean up override
        handling in the chromium ports and unify expectations files and
        Skipped files; this can also be used to specify overrides for
        tests that run differently on a given machine.

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.test_expectations_overrides):
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.test_expectations_overrides):
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.test_additional_expectations):

2012-04-18  Jer Noble  <jer.noble@apple.com>

        Lion Production Test failing with error: "Failed to stop httpd: pid file still exists"
        https://bugs.webkit.org/show_bug.cgi?id=84177

        Reviewed by Dirk Pranke.

        Try to delete the pid file left by Apache in the case it was killed forcefully.

        * Scripts/webkitpy/layout_tests/servers/apache_http_server.py:
        (LayoutTestApacheHttpd._stop_running_server):

2012-04-18  Allan Sandfeld Jensen  <allan.jensen@nokia.com>

        Clean-up WheelEvent Conversion.
        https://bugs.webkit.org/show_bug.cgi?id=84243

        Reviewed by Simon Hausmann.
        
        Calculate proper wheel-delta from pixel-delta given.

        * DumpRenderTree/qt/EventSenderQt.cpp:
        (EventSender::EventSender):
        (EventSender::mouseScrollBy):
        (EventSender::continuousMouseScrollBy):

2012-04-18  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r114506.
        http://trac.webkit.org/changeset/114506
        https://bugs.webkit.org/show_bug.cgi?id=84254

        Seems to be making gtk's DumpRenderTree crash occasionally
        (Requested by tomz on #webkit).

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):

2012-04-18  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [CMake] Use jsc target instead of ONLY_BUILD_JAVASCRIPTCORE
        https://bugs.webkit.org/show_bug.cgi?id=84229

        CMake caches ONLY_BUILD_JAVASCRIPTCORE=1 and will reuse the setting for
        subsequent builds, stopping WebCore from being built ever again.

        Instead of trying to emulate a build target using command line options,
        just build the existing jsc target directly.

        Reviewed by Rob Buis.

        * Scripts/build-jsc:

2012-04-18  Simon Pena  <spena@igalia.com>

        [GTK] r114021 triggered media flakyness
        https://bugs.webkit.org/show_bug.cgi?id=83874

        Reviewed by Philippe Normand.

        Now that there is gtk API to update the
        MediaPlaybackRequiresUserGesture property, set it to false from the
        DumpRenderTree tool when resetting defaults to consistent values.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):

2012-04-18  Vivek Galatage  <vivekgalatage@gmail.com>

        Web Inspector: Disabling Inspector causes build failure on Windows
        https://bugs.webkit.org/show_bug.cgi?id=83557

        Reviewed by Pavel Feldman.

        The calls to inspector APIs are not put under ENABLE(INSPECTOR) guard.
        This change brings all such API calls under the guard.

        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::showWebInspector):
        (WTR::LayoutTestController::closeWebInspector):
        (WTR::LayoutTestController::evaluateInWebInspector):
        (WTR::LayoutTestController::setJavaScriptProfilingEnabled):
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::invoke):

2012-04-18  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] atk/textChangedNotifications API test fails
        https://bugs.webkit.org/show_bug.cgi?id=84010

        Unreviewed, unskipping test after bug being fixed by r114311.

        * Scripts/run-gtk-tests:
        (TestRunner): Unskip now passing test.

2012-04-17  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Viewport metatag doesn't disable double-tap zoom
        https://bugs.webkit.org/show_bug.cgi?id=84199

        Reviewed by George Staikos.

        Revert a part of the change master_32/SHA:fa0f8ee9 and use
        WebPage::setUserScalable instead.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (BlackBerry::WebKit::DumpRenderTree::resetToConsistentStateBeforeTesting):

2012-04-17  Dirk Pranke  <dpranke@chromium.org>

        build-webkit: make ninja work with chromium linux
        https://bugs.webkit.org/show_bug.cgi?id=84213

        Reviewed by Eric Seidel.

        Fix typos so that build-webkit will use ninja to
        build chromium if a build.ninja file exists and is up-to-date.

        * Scripts/webkitdirs.pm:
        (determineIsChromiumNinja):

2012-04-17  Ojan Vafai  <ojan@chromium.org>

        Add caching to the flakiness dashboard json files
        https://bugs.webkit.org/show_bug.cgi?id=84198

        Reviewed by Dirk Pranke.

        * TestResultServer/handlers/testfilehandler.py:
        (GetFile._get_file_list):
        (GetFile._get_file_content):
        (GetFile._get_file_content_from_key):
        (GetFile._get_test_list_json):
        (GetFile._serve_json):
        Add a Last-Modified header and handle If-Modified-Since headers.
        (GetFile.get):

2012-04-17  Anders Carlsson  <andersca@apple.com>

        Need a client callback for when the user tries to interact with an already unresponsive page
        https://bugs.webkit.org/show_bug.cgi?id=84201
        <rdar://problem/11140862>

        Reviewed by Andreas Kling.

        Add new client functions.

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::initialize):

2012-04-17  Dirk Pranke  <dpranke@chromium.org>

        nrwt: handle stopping layout test helper after a ctrl-c cleanly on the chromium port
        https://bugs.webkit.org/show_bug.cgi?id=84190

        Reviewed by Ojan Vafai.

        LayoutTestHelper would exit when the user typed ctrl-c, but we
        would attempt to write to it to shut it down, generating an
        IOError.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.stop_helper):

2012-04-17  Dirk Pranke  <dpranke@chromium.org>

        rename --experimental-fully-parallel
        https://bugs.webkit.org/show_bug.cgi?id=84188

        Reviewed by Ojan Vafai.

        I thought this was done long ago; rename
        --experimental-fully-parallel to just --fully-parallel and
        remove the --no- switch that AFAIK no one uses.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager._run_tests):
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):

2012-04-17  Christophe Dumez  <christophe.dumez@intel.com>

        EFL's LayoutTestController does not implement callShouldCloseOnWebView
        https://bugs.webkit.org/show_bug.cgi?id=82301

        Reviewed by Martin Robinson.

        Implement callShouldCloseOnWebView in EFL's LayoutTestController by
        calling shouldClose() on the FrameLoader, allowing the related test
        to be removed from the skip list.

        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::callShouldCloseOnWebView):

2012-04-17  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] Add setting API to enable/disable XSSAuditor
        https://bugs.webkit.org/show_bug.cgi?id=83281

        Add missing implementation setXSSAuditorEnabled to EFL's LayoutTestController
        in order to unskip tests in http/tests/security/xssAuditor. Also, catch the signal 
        'xss,detected' in DRT to enable a test, which is expecting a line containing
        'didDetectXSS' in the output when reflected XSS is encountered in the page.

        Reviewed by Antonio Gomes.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::onFrameCreated):
        (DumpRenderTreeChrome::onDidDetectXSS):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):
        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::setXSSAuditorEnabled):

2012-04-17  Nandor Huszka  <hnandor@inf.u-szeged.hu>

        [Qt] JSC build should handle --no-webkit2 option to avoid unwanted clean-builds
        https://bugs.webkit.org/show_bug.cgi?id=77533

        Reviewed by Simon Hausmann.

        Pick up the --no-webkit2 option from BUILD_WEBKIT_ARGS and pass on
        the corresponding parameter to the buildQMakeProjects function.

        * Scripts/build-jsc:

2012-04-17  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] DRT should support LayoutTestController's dumpFrameLoadCallbacks()
        https://bugs.webkit.org/show_bug.cgi?id=83030

        Reviewed by Antonio Gomes.

        Implement support for LayoutTestController's dumpFrameLoadCallbacks()
        in EFL's DumpRenderTree. Make use of the new frame argument passed to
        the "load,started" and "load,finished" signals.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::onLoadStarted):
        (DumpRenderTreeChrome::processWork):
        (DumpRenderTreeChrome::topLoadingFrameLoadFinished):
        (DumpRenderTreeChrome::onWebViewOnloadEvent):
        (DumpRenderTreeChrome::onInsecureContentRun):
        (DumpRenderTreeChrome::onInsecureContentDisplayed):
        (DumpRenderTreeChrome::onFrameCreated):
        (DumpRenderTreeChrome::onFrameProvisionalLoad):
        (DumpRenderTreeChrome::onFrameLoadCommitted):
        (DumpRenderTreeChrome::onFrameLoadFinished):
        (DumpRenderTreeChrome::onFrameLoadError):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2012-04-17  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r114376.
        http://trac.webkit.org/changeset/114376
        https://bugs.webkit.org/show_bug.cgi?id=84155

        Wrong patch version committed, asked by the patch author.
        (Requested by rakuco on #webkit).

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::processWork):
        (DumpRenderTreeChrome::onLoadFinished):
        (DumpRenderTreeChrome::onWillSendRequest):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2012-04-17  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] DRT should support LayoutTestController's dumpFrameLoadCallbacks()
        https://bugs.webkit.org/show_bug.cgi?id=83030

        Reviewed by Antonio Gomes.

        Implement support for LayoutTestController's dumpFrameLoadCallbacks()
        in EFL's DumpRenderTree.

        * DumpRenderTree/efl/DumpRenderTreeChrome.cpp:
        (DumpRenderTreeChrome::createView):
        (DumpRenderTreeChrome::processWork):
        (DumpRenderTreeChrome::topLoadingFrameLoadFinished):
        (DumpRenderTreeChrome::onWebViewOnloadEvent):
        (DumpRenderTreeChrome::onInsecureContentRun):
        (DumpRenderTreeChrome::onInsecureContentDisplayed):
        (DumpRenderTreeChrome::onFrameCreated):
        (DumpRenderTreeChrome::onFrameProvisionalLoad):
        (DumpRenderTreeChrome::onFrameLoadCommitted):
        (DumpRenderTreeChrome::onFrameLoadFinished):
        (DumpRenderTreeChrome::onFrameLoadError):
        * DumpRenderTree/efl/DumpRenderTreeChrome.h:
        (DumpRenderTreeChrome):

2012-04-17  Michael Brüning  <michael.bruning@nokia.com>

        [Qt] Fix builds with force_static_libs_as_shared for non-linux builds.
        https://bugs.webkit.org/show_bug.cgi?id=83035

        Reviewed by Simon Hausmann.

        The force_static_libs_as_shared feature for the Qt port will remove
        hide_symbols from Qt's CONFIG in order to make them visible to other
        libraries again.

        Due to an evaluation order problem in qmake, the flags for the C++ compiler
        that are set by adding hide_symbols to the CONFIG variables get applied
        to qmake's C++ compiler flags directly and hence trying to remove these
        later will not work and cause build failures when using the force_static_libs_as_shared
        feature of the Qt port.

        This is fixed by removing the flags that hide the exports from the compiler flags directly.

        * qmake/mkspecs/features/force_static_libs_as_shared.prf:

2012-04-16  Ryosuke Niwa  <rniwa@webkit.org>

        Remove CreateWebKitBuildDirectory step to fix Chromium Windows Perf bot
        https://bugs.webkit.org/show_bug.cgi?id=84068

        Reviewed by Eric Seidel.

        Remove CreateWebKitBuildDirectory from master.cfg since download-built-product
        automatically creates the build directory if needed.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (DownloadAndPerfTestFactory.__init__):
        (DownloadAndPerfTestWebKit2Factory.__init__):

2012-04-16  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Use configure instead of autogen.sh for gtk+
        https://bugs.webkit.org/show_bug.cgi?id=84112

        Rubber-stamped by Martin Robinson.

        * gtk/jhbuild.modules: GTK+'s autogen requires gobject-introspection;
        we don't want to depend on that for now, so run configure instead - we
        can, since we are using a tarball

2012-04-16  Gustavo Noronha Silva  <gns@gnome.org>

        Unreviewed, rolling out r114322.
        http://trac.webkit.org/changeset/114322
        https://bugs.webkit.org/show_bug.cgi?id=84096

        Didn't make the debug bot happy, so back out

        * gtk/jhbuild.modules:

2012-04-16  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Try to fix debug bot by adding gobject-introspection to the build
        https://bugs.webkit.org/show_bug.cgi?id=84096

        Unreviewed speculative build fix.

        * gtk/jhbuild.modules: Added gobject-introspection, since modules need
        an up-to-date introspection m4 for running autogen.

2012-04-16  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Add pango to jhbuild
        https://bugs.webkit.org/show_bug.cgi?id=84086

        Unreviewed build fix.

        * gtk/jhbuild.modules: Add pango's latest stable release, 1.30, to our
        jhbuild environment. It's required for latest stable GTK+ and some
        systems may lack it.

2012-04-16  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] fonts jhbuild module needs an empty clean target
        https://bugs.webkit.org/show_bug.cgi?id=84085

        Rubber-stamped by Martin Robinson.

        * gtk/jhbuild.modules: update to webkitgtk-test-fonts 0.0.2, which
        includes a phony clean target that should make warnings and errors go
        away.

2012-04-16  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Bump dependency on GTK+ 3.x to match reality
        https://bugs.webkit.org/show_bug.cgi?id=84060

        Rubber-stamped by Martin Robinson.

        * gtk/jhbuild.modules: Bump GTK+ to 3.4.0, plus glib and gdk-pixbuf
        to their GNOME 3.4 versions.
        * gtk/patches/gtk+-3.0.12-gtkprinter.patch: Removed. This patch
        is applied upstream.

2012-04-16  Vincent Scheib  <scheib@chromium.org>

        Adding Contributors Brian Salomon and Tom Hudson to committers.py.

        Unreviewed.

        * Scripts/webkitpy/common/config/committers.py:

2012-04-16  Jonathan Dong  <jonathan.dong@torchmobile.com.cn>

        [BlackBerry] Add ability for DRT to handle HTTP authentication challenges.
        https://bugs.webkit.org/show_bug.cgi?id=84031

        Reviewed by Rob Buis.

        Implemented interface function didReceiveAuthenticationChallenge in class
        DumpRenderTree.

        * DumpRenderTree/blackberry/DumpRenderTree.cpp:
        (drtCredentialDescription):
        (BlackBerry::WebKit::DumpRenderTree::didReceiveAuthenticationChallenge):
        (WebKit):
        * DumpRenderTree/blackberry/DumpRenderTreeBlackBerry.h:
        (WebCore):
        (DumpRenderTree):

2012-04-16  Philippe Normand  <pnormand@igalia.com>

        build-webkit --gtk --no-webkit2 builds WK2
        https://bugs.webkit.org/show_bug.cgi?id=83977

        Reviewed by Martin Robinson.

        * Scripts/build-webkit: Fixup ./configure option to disable
        WebKit2 build.

2012-04-16  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] [DRT] Feeding key events with invalid keyName
        https://bugs.webkit.org/show_bug.cgi?id=83797

        Keep the keyName valid within scope of KeyEventInfo to avoid
        feeding key events with invalid keyName.

        Reviewed by Philippe Normand.

        * DumpRenderTree/efl/EventSender.cpp:
        (KeyEventInfo::KeyEventInfo):
        (KeyEventInfo):
        (keyPadNameFromJSValue):
        (keyNameFromJSValue):
        (createKeyEventInfo):
        (sendKeyDown):

2012-04-16  Andras Piroska  <pandras@inf.u-szeged.hu>

        [Qt] Replace QtXmlPatterns usage with libxslt dependency
        <https://bugs.webkit.org/show_bug.cgi?id=76820>

        Reviewed by Simon Hausmann.

        The features.prf file was modified, in order to use libxml and libxslt by default.
        This modification only work at Qt5.

        * qmake/config.tests/libxml2/libxml2.cpp: Added.
        (main):
        * qmake/config.tests/libxml2/libxml2.pro: Added.
        * qmake/config.tests/libxslt/libxslt.cpp: Added.
        (main):
        * qmake/config.tests/libxslt/libxslt.pro: Added.
        * qmake/mkspecs/features/features.prf:
        * qmake/sync.profile:

2012-04-16  Seokju Kwon  <seokju.kwon@samsung.com>

        [EFL] EWebLaucher : Fix wrong parameter order in function call for multiple windows.
        https://bugs.webkit.org/show_bug.cgi?id=83862

        Reviewed by Kenneth Rohde Christiansen.

        EWebLauncher creates multiple windows, like multiple tabs when pressing F9 key.
        It doesn't work properly because of wrong parameter order in function call.

        * EWebLauncher/main.c:

2012-04-16  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, GTK gardening.

        * Scripts/run-gtk-tests:
        (TestRunner): Skip /webkit/atk/textChangedNotifications.

2012-04-13  Ryosuke Niwa  <rniwa@webkit.org>

        Chromium perf bots should not build
        https://bugs.webkit.org/show_bug.cgi?id=83641

        Reviewed by Eric Seidel.

        Don't build on perf bots to improve the cycle time.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2012-04-14  Zalan Bujtas  <zbujtas@gmail.com>

        [WK2] Set WebKitTestRunner's WebProcess cache model to DocumentBrowser.
        https://bugs.webkit.org/show_bug.cgi?id=81945

        Reviewed by Dan Bernstein.

        WebProcess's default cache model is DocumentViewer. When DocumentViewer model is on,
        the PageCache's capacity is set to 0. Tests that are enabling 'WebKitUsesPageCachePreferenceKey' expect
        PageCache to be functional.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):

2012-04-11  James Robinson  <jamesr@chromium.org>

        [chromium] Remove unused compositeToTexture / compositeOffscreen setting
        https://bugs.webkit.org/show_bug.cgi?id=83733

        Reviewed by Adrienne Walker.

        Remove compositeOffscreen / compositeToTexture setting. This was an experiment that is no longer needed.

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main):
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):
        (TestShell::resetWebSettings):
        * DumpRenderTree/chromium/TestShell.h:
        (TestShell):
        * DumpRenderTree/chromium/WebPreferences.cpp:
        (WebPreferences::reset):
        (WebPreferences::applyTo):
        * DumpRenderTree/chromium/WebPreferences.h:
        (WebPreferences):

2012-04-13  Ryosuke Niwa  <rniwa@webkit.org>

        webkitpy build fix. Revert the debug change (number of runs was 2 instead of 20),
        and also rebaseline the test results since we ignore the first run now.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PageLoadingPerfTest.run):
        * Scripts/webkitpy/performance_tests/perftest_unittest.py:
        (TestPageLoadingPerfTest.test_run):

2012-04-12  Ryosuke Niwa  <rniwa@webkit.org>

        Enable SVG page loading performance tests
        https://bugs.webkit.org/show_bug.cgi?id=83861

        Reviewed by Adam Barth.

        Add support for page loading tests. These are tests without any test running harnesses, and we use
        DriverOutput's test_timeout to measure the loading time.

        Extracted PerfTest.run and PerfTest.run_failed from PerfTestRunner._run_single_test.

        * Scripts/webkitpy/performance_tests/perftest.py:
        (PerfTest.run):
        (PerfTest):
        (PerfTest.run_failed):
        (PerfTest.parse_output):
        (PerfTest.output_statistics):
        (ChromiumStylePerfTest.parse_output):
        (PageLoadingPerfTest): Added.
        (PageLoadingPerfTest.__init__):
        (PageLoadingPerfTest.run): Run the driver 20 times to get the statistics for the loading time.
        * Scripts/webkitpy/performance_tests/perftest_unittest.py: Added.
        (MockPrinter):
        (MockPrinter.__init__):
        (MockPrinter.write):
        (MainTest):
        (MainTest.test_parse_output):
        (MainTest.test_parse_output_with_failing_line):
        (TestPageLoadingPerfTest):
        (TestPageLoadingPerfTest.assertWritten):
        (TestPageLoadingPerfTest.MockDriver):
        (TestPageLoadingPerfTest.MockDriver.__init__):
        (TestPageLoadingPerfTest.MockDriver.run_test):
        (TestPageLoadingPerfTest.test_run):
        (TestPageLoadingPerfTest.test_run_with_bad_output):
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner):
        (PerfTestsRunner._collect_tests._is_test_file): Now recognizes svg tests.
        (PerfTestsRunner._collect_tests):
        (PerfTestsRunner._run_tests_set):
        (PerfTestsRunner._run_single_test):
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (test_collect_tests_with_page_load_svg):
        (test_collect_tests_with_page_load_svg.add_file):

2012-04-10  Brady Eidson  <beidson@apple.com>

        <rdar://problem/11176921> and https://bugs.webkit.org/show_bug.cgi?id=83600
        Need WebKit2 API to notify whether history loads are in the page cache

        Add a test ShouldGoToBackForwardListItem that exercises the new BundlePageLoaderClient
        callback as well as the new WKBundleBackForwardListItemIsInPageCache() API.

        Reviewed by Darin Adler.

        * TestWebKitAPI/Tests/WebKit2/ShouldGoToBackForwardListItem.cpp: Added.
        (TestWebKitAPI::didFinishLoadForFrame):
        (TestWebKitAPI::willGoToBackForwardListItem):
        (TestWebKitAPI::setPageLoaderClient):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/ShouldGoToBackForwardListItem_Bundle.cpp: Added.
        (ShouldGoToBackForwardListItemTest):
        (TestWebKitAPI::shouldGoToBackForwardListItemCallback):
        (TestWebKitAPI::ShouldGoToBackForwardListItemTest::ShouldGoToBackForwardListItemTest):
        (TestWebKitAPI::ShouldGoToBackForwardListItemTest::didCreatePage):
        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage): Update for the new client.

2012-04-13  Dominik Röttsches  <dominik.rottsches@linux.intel.com>

        Group EFL bots into a category on the buildbot master
        https://bugs.webkit.org/show_bug.cgi?id=82712

        Reviewed by Adam Roben.

        Creating a new category definition on the buildbot frontend.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (loadBuilderConfig): Determine category for EFL bots
        * BuildSlaveSupport/build.webkit.org-config/templates/root.html: Add links to EFL category

2012-04-13  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r113714.
        http://trac.webkit.org/changeset/113714
        https://bugs.webkit.org/show_bug.cgi?id=83887

        It is behaving strange on the bots and needs more
        investigation. (Requested by jeez_ on #webkit).

        * WebKitTestRunner/qt/PlatformWebViewQt.cpp:
        (WTR::PlatformWebView::PlatformWebView):

2012-04-11  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        webkit-tools-completion: Support bugzilla email completion for webkit-patch upload --cc
        https://bugs.webkit.org/show_bug.cgi?id=83690

        Reviewed by Tor Arne Vestbø.

        Typing part of an email and pressing <TAB> will bash-complete it using the list in
        Tools/Scripts/webkitpy/common/config/committers.py

        * Scripts/webkit-tools-completion.sh:

2012-04-13  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Add API for color chooser
        https://bugs.webkit.org/show_bug.cgi?id=83692

        Enables INPUT_TYPE_COLOR by default on the EFL port.

        Reviewed by Kenneth Rohde Christiansen.

        * Scripts/build-webkit:

2012-04-12  Ryosuke Niwa  <rniwa@webkit.org>

        Extract PerfTest class from PerfTestRunner
        https://bugs.webkit.org/show_bug.cgi?id=83847

        Reviewed by Hajime Morita.

        Extracted PerfTest and ChromiumStylePerfTest from PerfTestRunner. This class abstracts a test
        that was previously represented by a tuple.

        Also moved the logic to determine whether a given test is chromium style or not from run() to
        _collect_tests(). And moved the output parsing algorithms for parser style and chromium style
        tests from PerfTestRunner to PerfTest and ChromiumStylePerfTest respectively so that we may
        add new types of tests more easily.

        * Scripts/webkitpy/performance_tests/perftest.py: Added.
        (PerfTest):
        (PerfTest.__init__):
        (PerfTest.test_name):
        (PerfTest.dirname):
        (PerfTest.path_or_url):
        (PerfTest._should_ignore_line_in_parser_test_result):
        (PerfTest.parse_output):
        (ChromiumStylePerfTest):
        (ChromiumStylePerfTest.__init__):
        (ChromiumStylePerfTest.parse_output):
        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._collect_tests):
        (PerfTestsRunner.run):
        (PerfTestsRunner._run_tests_set):
        (PerfTestsRunner._run_single_test):
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (run_test):
        (_tests_for_runner):
        (test_run_test_set_with_json_output):
        (test_run_test_set_with_json_source):
        (test_run_test_set_with_multiple_repositories):
        (_collect_tests_and_sort_test_name):
        (test_collect_tests):
        (test_collect_tests_with_skipped_list):

2012-04-12  Balazs Kelemen  <kbalazs@webkit.org>

        [Qt] Fix WebKit1 build with V8
        https://bugs.webkit.org/show_bug.cgi?id=83322

        Reviewed by Adam Barth.

        * DumpRenderTree/qt/DumpRenderTree.pro:
        * qmake/mkspecs/features/default_post.prf:
        * qmake/mkspecs/features/default_pre.prf:
        * qmake/mkspecs/features/features.prf:

2012-04-12  Dirk Pranke  <dpranke@chromium.org>

        test-webkitpy fails on metered_stream_unittest for non-US West Coast Time Zones
        https://bugs.webkit.org/show_bug.cgi?id=83583

        Reviewed by Philippe Normand

        Updated the unit test to ignore the hours and minutes of the
        localtime for time(0), since we can't easily guarantee which
        timezone we're in or what timezone rules were in effect on
        1/1/1970; this should be mostly fine since we can trust that
        time.localtime() will work, although there is the possibility
        that we'll screw up the time formatting of which field is the
        hours and which is the minutes.

        * Scripts/webkitpy/layout_tests/views/metered_stream_unittest.py:
        (VerboseTest):
        (VerboseTest.test_basic):
        (VerboseTest.test_log_after_update):

2012-04-12  Dominik Rottsches  <dominik.rottsches@linux.intel.com>

        Add an EFL Debug Buildbot to the master configuration
        https://bugs.webkit.org/show_bug.cgi?id=82711

        Forgot to add EFL Linux Debug to scheduler.

        Reviewed by Philippe Normand.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2012-04-12  Dominik Röttsches  <dominik.rottsches@linux.intel.com>

        Add an EFL Debug Buildbot to the master configuration
        https://bugs.webkit.org/show_bug.cgi?id=82711

        Reviewed by Philippe Normand.

        Hooking up our EFL Linux 64bit debug configuration buildbot to the buildbot master.

        * BuildSlaveSupport/build.webkit.org-config/config.json: EFL Debug builder added

2012-04-12  George Staikos  <staikos@webkit.org>

        Enable the fullscreen API for BlackBerry.
        https://bugs.webkit.org/show_bug.cgi?id=83757

        Reviewed by Antonio Gomes.

        * Scripts/build-webkit:

2012-04-12  Simon Pena  <spena@igalia.com>

        [GTK] Test runner crashes without recent versions of pulseaudio-utils
        https://bugs.webkit.org/show_bug.cgi?id=83774

        Reviewed by Philippe Normand.

        Besides checking that pactl is available, check also that its output
        is the expected one, and handle gracefully when it isn't, when
        trying to unload pulseaudio modules.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort._unload_pulseaudio_module):
        (GtkPort._restore_pulseaudio_module):

2012-03-05  Pierre Rossi  <pierre.rossi@gmail.com>

        [Qt] Use QRawFont when building with Qt 5
        https://bugs.webkit.org/show_bug.cgi?id=78001

        Flip the QRawFont switch for Qt 5.

        Reviewed by Simon Hausmann.

        * qmake/mkspecs/features/features.prf:

2012-04-11  Vivek Galatage  <vivekgalatage@gmail.com>

        Web Inspector: Disabling Inspector causes build failure on Windows
        https://bugs.webkit.org/show_bug.cgi?id=83557

        Reviewed by Pavel Feldman.

        The calls to inspector APIs are not put under ENABLE(INSPECTOR) guard.
        This change brings all such API calls under the guard.

        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:
        (LayoutTestController):
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::invoke):

2012-04-11  Dirk Pranke  <dpranke@chromium.org>

        Fix regression introduced in r113927.

        Unreviewed, build fix.

        I failed to rename skipped_tests() to skipped_layout_tests()
        everywhere it needed to be renamed. The unit tests didn't catch
        this because the TestPort was one of the places that didn't get
        renamed :(.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager.parse_expectations):
        * Scripts/webkitpy/layout_tests/port/test.py:
        (TestPort.skipped_layout_tests):
        * Scripts/webkitpy/tool/commands/queries.py:
        (PrintExpectations._model):

2012-04-11  Dirk Pranke  <dpranke@chromium.org>

        new-run-webkit-tests: 'webkit-patch skipped-ports' introduced bad layering
        https://bugs.webkit.org/show_bug.cgi?id=47528

        Reviewed by Adam Barth.

        The skipped-ports command has been replaced by 'webkit-patch
        print-expectations', which offers the equivalent functionality
        via 'webkit-patch print-expectations --platform \* -t skip'
        (and other features, of course).
        
        This also allows me to fix a nasty layering violation where the
        chromium port had to know about the TestExpectations objects in
        order to implement the command properly.

        Lastly, this allows me to rename skipped_tests() to
        skipped_layout_tests() to more consistent with
        skipped_perf_tests().
        
        This patch removes skips_layout_test() from the Port interface,
        because that can't be implemented without the port knowing about
        Expectations objects (and skipped-ports was the only thing using it).

        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.skipped_layout_tests):
        (Port.skipped_perf_tests):
        * Scripts/webkitpy/layout_tests/port/base_unittest.py:
        (PortTest.test_default_configuration_notfound):
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        (ChromiumPort.test_expectations_overrides):
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        (ChromiumPortTest.test_path_to_image_diff):
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        (WebKitPort.skipped_layout_tests):
        * Scripts/webkitpy/tool/commands/queries.py:
        (execute):
        * Scripts/webkitpy/tool/commands/queries_unittest.py:
        (QueryCommandsTest.test_tree_status):

2012-04-11  Mark Rowe  <mrowe@apple.com>

        Remove a fprintf from LayoutTestController.

        This fprintf is causing 100+MB of data to be written to stderr during a single run of the tests.
        It was added for no apparent reason by Ryosuke in r113651.

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::redirectionDestinationForURL):

2012-04-11  Nico Weber  <thakis@chromium.org>

        [mac] Suppress deprecation warning for GlobalToLocal in the carbon parts of the test plugin.
        https://bugs.webkit.org/show_bug.cgi?id=83709

        Reviewed by Anders Carlsson.

        * DumpRenderTree/TestNetscapePlugIn/main.cpp:
        (handleEventCarbon):

2012-04-11  Rafael Brandao  <rafael.lobo@openbossa.org>

        Adding myself to committers.py
        https://bugs.webkit.org/show_bug.cgi?id=83711

        Unreviewed update to committers.py.

        * Scripts/webkitpy/common/config/committers.py:

2012-04-11  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] LayoutTestController needs implementation of pageProperty
        https://bugs.webkit.org/show_bug.cgi?id=82449

        Add missing implementation pageProperty to EFL's LayoutTestController
        in order to unskip printing/page-rule-selection.html

        Reviewed by Antonio Gomes.

        * DumpRenderTree/efl/LayoutTestControllerEfl.cpp:
        (LayoutTestController::pageProperty):

2012-04-11  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r113836.
        http://trac.webkit.org/changeset/113836
        https://bugs.webkit.org/show_bug.cgi?id=83705

        Broke all the WebKit2 inspector tests (Requested by andersca
        on #webkit).

        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::showWebInspector):
        (WTR::LayoutTestController::closeWebInspector):
        (WTR::LayoutTestController::evaluateInWebInspector):
        (WTR::LayoutTestController::setJavaScriptProfilingEnabled):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:
        (LayoutTestController):
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::invoke):

2012-04-11  Vivek Galatage  <vivekgalatage@gmail.com>

        Web Inspector: Disabling Inspector causes build failure on Windows
        https://bugs.webkit.org/show_bug.cgi?id=83557

        Reviewed by Pavel Feldman.

        The calls to inspector APIs are not put under ENABLE(INSPECTOR) guard.
        This change brings all such API calls under the guard.

        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:
        (LayoutTestController):
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::invoke):

2012-04-11  No'am Rosenthal  <noam.rosenthal@nokia.com>

        [Qt][WK2] Manage graphics buffers in the web process
        https://bugs.webkit.org/show_bug.cgi?id=78675
 
        Make graphics surface available only for Qt 5, attempting to fix
        the Qt-mac build.

        Unreviewed build fix.

        * qmake/mkspecs/features/features.prf:

2012-04-11  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, GTK NRWT follow-up fix after r113849.

        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort._unload_pulseaudio_module): Exit early if pactl is not found.

2012-04-11  Simon Pena  <spena@igalia.com>

        [GTK] media/event-attributes.html fails
        https://bugs.webkit.org/show_bug.cgi?id=71662

        Reviewed by Philippe Normand.

        PulseAudio's module "module-stream-restore" allows saving the volume
        of a stream, restoring it the next time it runs.
        This affects the tests, since DumpRenderTree's volume settings are
        saved between test runs, and tests relying on specific volume values
        would miss some volumeChange events (or get additional ones).

        This patch hooks on the existing GtkPort setup_test_run method and
        creates a new clean_up_test_run method, so PulseAudio's module is
        unloaded (if found) before running the tests, and restored (if it
        was there previously) after they finished, ensuring the tests run in
        the right environment.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager._clean_up_run): Invoke the port implementation of
        clean_up_test_run.
        * Scripts/webkitpy/layout_tests/port/base.py:
        (Port.clean_up_test_run): Add an empty implementation of
        clean_up_test_run.
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        (GtkPort._unload_pulseaudio_module): Unloads the offending
        pulseaudio module, if found.
        (GtkPort):
        (GtkPort._restore_pulseaudio_module): Restores the offending
        pulseaudio module, if it was there previously.
        (GtkPort.setup_test_run): Calls _unload_pulseaudio_module.
        (GtkPort.clean_up_test_run): Calls _restore_pulseaudio_module.

2012-04-11  Andras Becsi  <andras.becsi@nokia.com>

        Fix the build with gcc 4.7.0
        https://bugs.webkit.org/show_bug.cgi?id=83584

        Reviewed by Alexey Proskuryakov.

        * qmake/mkspecs/features/unix/default_post.prf:
        The -fuse-ld=gold option is not supported with upstream gcc.

2012-04-11  Ryosuke Niwa  <rniwa@webkit.org>

        Refactor PerfTestRunner to include file extensions in test names
        https://bugs.webkit.org/show_bug.cgi?id=83677

        Reviewed by Hajime Morita.

        Move the logic that extracts the test name from _process_parser_test_result to _collect_tests.

        * Scripts/webkitpy/performance_tests/perftestsrunner.py:
        (PerfTestsRunner._collect_tests):
        (PerfTestsRunner._run_tests_set):
        (PerfTestsRunner._process_parser_test_result): Still replace "/" by ": " to keep the output format.
        We can make the said behavior change by simply removing "test_name = re.sub(r'\.\w+$', '', test_name)" here.
        (PerfTestsRunner._run_single_test):
        * Scripts/webkitpy/performance_tests/perftestsrunner_unittest.py:
        (run_test):
        (_tests_for_runner):
        (test_run_test_set):
        (test_run_test_set_kills_drt_per_run):
        (test_run_test_pause_before_testing):
        (test_run_test_set_for_parser_tests):
        (test_collect_tests):
        (test_collect_tests_with_skipped_list):

2012-04-11  Vivek Galatage  <vivekgalatage@gmail.com>

        Web Inspector: Disabling Inspector causes build failure on Windows
        https://bugs.webkit.org/show_bug.cgi?id=83557

        Reviewed by Pavel Feldman.

        The calls to inspector APIs are not put under ENABLE(INSPECTOR) guard.
        This change brings all such API calls under the guard.

        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:
        (LayoutTestController):
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::TestInvocation::invoke):

2012-04-10  Kent Tamura  <tkent@chromium.org>

        Unreviewed. Using tkent+wkapi@ for ChromiumPublicApi notifications.

        * Scripts/webkitpy/common/config/watchlist:
        * Scripts/webkitpy/common/config/committers.py: Add tkent+wkapi@ to pass the style checker.

2012-04-10  Dirk Pranke  <dpranke@chromium.org>

        If NRWT gets killed halfway through a run, it incorrectly reports tests that weren't run as passes
        https://bugs.webkit.org/show_bug.cgi?id=82799

        Reviewed by Ojan Vafai.

        The tests we were skipping in _mark_interrupted_tests_as_skipped
        had incorrectly-constructed TestResults, and so they were not
        being treated as failures. The JSON generator doesn't record
        tests that are passed or skiped in incremental_results, so you
        couldn't tell these tests were being skipped at all.

        This change changes _mark_interrupted_tests_as_skipped() to
        treat the skipped tests as failures; this is arguably still
        incorrect but is minimally invasive for now. We probably need to
        revisit how we are uploading information about tests that are
        skipped and passed altogether in a separate change.

        This change also cleans up a couple of other nits that were
        unnecessary or broken in this same code path.

        * Scripts/webkitpy/layout_tests/controllers/manager.py:
        (Manager._mark_interrupted_tests_as_skipped):
        (Manager._upload_json_files): Deletes the check for
        chromium-mac-leopard (as it is no longer necessary).
        * Scripts/webkitpy/layout_tests/layout_package/json_layout_results_generator.py:
        (JSONLayoutResultsGenerator.__init__): Here we were
        recalculating the failure type unnecessarily.
        * Scripts/webkitpy/layout_tests/models/test_failures.py:
        (determine_result_type):
        (FailureEarlyExit): Adds a new failure type so we can tell what
        happened.
        (FailureEarlyExit.message):
        * Scripts/webkitpy/layout_tests/run_webkit_tests_integrationtest.py:
        (MainTest.test_exit_after_n_failures_upload): Add more checks to
        ensure that we are recording the SKIP correctly; this is less
        than ideal, because we can't actually test the contents of
        incremental_results.json. We should fix that at some point.

2012-04-10  Dirk Pranke  <dpranke@chromium.org>

        make chromium layout tests not depend on platform/win, platform/mac-leopard, or platform/mac-snowleopard
        https://bugs.webkit.org/show_bug.cgi?id=83401

        Reviewed by Adam Barth.

        Last patch in the series - no longer look in mac-leopard,
        mac-snowleopard, or mac-lion.

        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        (ChromiumMacPort):
        * TestResultServer/static-dashboards/flakiness_dashboard.html:

2012-04-10  Dirk Pranke  <dpranke@chromium.org>

        webkit-patch: add a print-expectations command
        https://bugs.webkit.org/show_bug.cgi?id=83347

        Reviewed by Adam Barth.

        This command will print the expected results for a given set of
        tests on a given set of ports matching a given set of keywords.

        Example output (printing all the tests not expected to pass, and their
        expected results, on a Mac):

        $ webkit-patch print-expectations -x pass fast/html
        // For mac-snowleopard
        fast/html/details-open4.html = TEXT
        fast/html/details-open2.html = TEXT
        fast/html/details-no-summary4.html = TEXT
        fast/html/details-open-javascript.html = TEXT
        $

        You can also print full test-expectatons.txt lines using --full and a
        CSV-style report (which can be useful for post-processing) using --csv.

        It will replace the 'skipped-files' command (which will be
        removed in a subsequent patch) and is a more general (and
        cleaner and properly layered) solution.

        Also add an update() command to MockOptions() to make overriding keywords easier.

        * Scripts/webkitpy/layout_tests/models/test_expectations.py:
        (TestExpectationSerializer.to_string):
        (TestExpectationSerializer):
        (TestExpectationSerializer.to_csv):
        (TestExpectationSerializer._format_result):
        (TestExpectationLine.create_passing_expectation):
        (TestExpectationsModel.get_test_set_for_keyword):
        (TestExpectationsModel.has_keyword):
        (TestExpectations.model):
        * Scripts/webkitpy/tool/commands/queries.py:
        (execute):
        (PrintExpectations):
        (PrintExpectations.__init__):
        (PrintExpectations.execute):
        (PrintExpectations._filter_tests):
        (PrintExpectations._format_lines):
        (PrintExpectations._model):
        * Scripts/webkitpy/tool/commands/queries_unittest.py:
        (TestPrintExpectations): Added.
        * Scripts/webkitpy/tool/mocktool.py:
        (MockOptions):
        (MockOptions.__init__):
        (MockOptions.update): Added.

2012-04-10  Dirk Pranke  <dpranke@chromium.org>

        webkitpy: refactor handling of --platform and related options
        https://bugs.webkit.org/show_bug.cgi?id=83525

        Reviewed by Adam Barth.

        This change moves to centralize handling of --platform, --debug,
        --gtk, and other similar flags into a central place next to the
        code that actually uses those flags in PortFactory to get the
        right Port object.

        * Scripts/webkitpy/layout_tests/port/__init__.py:
        * Scripts/webkitpy/layout_tests/port/factory.py:
        (port_options):
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        (parse_args):
        * Scripts/webkitpy/tool/commands/queries.py:
        (PrintBaselines.__init__):

2012-04-10  Ojan Vafai  <ojan@chromium.org>

        Add a chromeless view to the individual tests view
        https://bugs.webkit.org/show_bug.cgi?id=83541

        Reviewed by Daniel Bates.

        This is the view suitable to inlining in other contexts (e.g. garden-o-matic).

        * TestResultServer/static-dashboards/flakiness_dashboard.html:
        * TestResultServer/static-dashboards/flakiness_dashboard_tests.js:
        (testHtmlForIndividualTestOnAllBuilders):
        (testHtmlForIndividualTestOnAllBuildersWithChromeNonexistant):
        (testHtmlForIndividualTestOnAllBuildersWithChrome):
        (testHtmlForIndividualTestOnAllBuildersWithChromeWebkitMaster):
        (testHtmlForIndividualTests):
        (htmlEscape):
        (runTests):

2012-04-10  Dirk Pranke  <dpranke@chromium.org>

        remove 'win' from chromium-win, chromium-linux fallback paths
        https://bugs.webkit.org/show_bug.cgi?id=83613

        Reviewed by Ojan Vafai.

        The chromium ports no longer need to look at the apple 'win'
        directory for baseline results.

        Also remove the old '-gpu-' entries from the flakiness dashboard
        map since I'm touching lines nearby.

        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        (ChromiumLinuxPort):
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        (ChromiumWinPort):
        * TestResultServer/static-dashboards/flakiness_dashboard.html:

2012-04-10  No'am Rosenthal  <noam.rosenthal@nokia.com>

        [Qt][WK2] Manage graphics buffers in the web process
        https://bugs.webkit.org/show_bug.cgi?id=78675

        Enable graphics surfaces on Mac for Qt.

        Reviewed by Kenneth Rohde Christiansen.

        * qmake/mkspecs/features/features.prf:

2012-04-10  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Enable USE_FOLDERS property
        https://bugs.webkit.org/show_bug.cgi?id=83571

        Reviewed by Daniel Bates.

        Setting the FOLDER property on targets gives more structure
        to the generated Visual Studio solutions.
        This does not affect other CMake generators.

        * DumpRenderTree/efl/CMakeLists.txt:
        * EWebLauncher/CMakeLists.txt:
        * WinCELauncher/CMakeLists.txt:

2012-04-10  David Dorwin  <ddorwin@chromium.org>

        Add Encrypted Media Extensions methods to HTMLMediaElement
        https://bugs.webkit.org/show_bug.cgi?id=82971

        Reviewed by Adam Barth.

        The extensions are behind the ENABLE(ENCRYPTED_MEDIA) feature define.
        Implementation is based on v0.1 of the draft proposal at
        http://dvcs.w3.org/hg/html-media/raw-file/tip/encrypted-media/encrypted-media.html.

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):

2012-04-10  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][DRT] Catch the "title,changed" signal
